Thermalyze

Overview

Thermalyze provides an extensive set of analysis tools to help you characterize the performance of electronic and micro-mechanical devices in many different and insightful ways.

·Draw regions to measure temperature statistics within specific areas-of-interest on a device.

·Record and play back sequences of thermal images.

·Import and merge video images and schematics with thermal images to locate thermal anomalies.

·Create real-time strip charts, line profiles, and histograms.

·Use Lock-in Thermography to locate leakage current on semiconductor devices.

·Use Model Comparison to locate identify defective components on circuit boards.

Figure 1: Optotherm Thermalyze software

Figure 1: Optotherm Thermalyze software

Topics Covered in this Manual

·Details regarding all Thermalyze windows

·Details regarding all Thermalyze settings

Thermalyze Application Window

Main Image

The thermal image in the top left of the Thermalyze application window is designated the Main Image. References to the Main Image will be made throughout this section.

Camera Detector Temperature Stability

The current temperature of the thermal camera detector is displayed in the bottom left of the Thermalyze application window. When the camera is powered, the detector will slowly heat up due to internal heating of camera electronics. When the camera lens is changed, the detector will usually cool down due to the lower temperature of the newly installed lens. In order for the camera to provide the highest radiometric accuracy, the detector temperature should be stable. The stability of the detector temperature is indicated by the background color of the Camera Lens drop-down box. A red background indicates high instability, yellow indicates moderate instability, and green indicates that the detector temperature is stable.

Image Processing Rate

The rate at which images can be captured and displayed by the Optotherm IS640-17 thermal imaging camera is 60 frames per second (fps). The frame rate of the IS640-17-NLR (no export license required) camera is 7.5 fps. The image processing rate is displayed in the status bar in the bottom left of the screen. Image capture rate can sometimes fall below the camera frame rate if multiple software tools are in use simultaneously. The following analysis tools consume a large portion of a computer’s resources and can decrease image capture rate. They are listed in order of most to least severe.

·Emissivity tables

·Multiple regions

·Overlay Merge

·Strip chart

·Line profile

§Histogram

If you need to use several of the above tools and are experiencing a reduction in image capture rate, close all software tools and then record an image sequence of the thermal event of interest. After the sequence has been recorded, open the tools and replay the sequence to perform post analysis.

Additional Methods to Improve Image Processing Rate

1.Make sure that the small image size is displayed by unpressing the Large Image Size button image-size in the Setup section of the Shortcuts toolbar.

2.Open the Image Processing window and make sure that "none" is chosen for Noise Reduction and that Image Smoothing Enable is unchecked.

3.Close any software tools that are not needed.

4.If an emissivity table is active, reduce the number of pixel in the image to which the emissivity table is applied by drawing one or more regions.

5.Hide the region statistics on the display by unpressing the Display Statistic on Region button bar-graph on the Region toolbar

6.Disable region max locating by unpressing the Locate Region Max button crosshairs-hot on the Region toolbar.

7.Reduce the number of regions displayed to reduce the number of image statistics that are performed.

8.Reduce the number of regions whose emissivity is less than 1.00. When region emissivity is less than 1.00, applying emissivity to pixels enclosed by a region requires significant processing resources. To change a region’s emissivity, double-click a region on the Region Data Grid to select the region and display its settings in the Region Settings window. Set the region’s emissivity to 1.00 in the Emissivity box.

9.Turn off overlay merge by disabling overlay or by selecting the Opacity option in the Overlay frame.

10.If displaying the Line Profile, Histogram, or Strip Chart windows select a lower rate in the Update box in the top toolbar of the windows.

11.Open the User Preferences window and select a lower rate in the Region Data Update Rate box.

12.Open the User Preferences window and check the Update Image in Background Thread and Update Graphics in Background Thread boxes. Note: Regions and graphics displayed on the Main Image may flicker periodically.

Help and Navigation

This online help can be opened in the following ways:

·Open the Table of Contents or Search pane by selecting the corresponding item on the Help menu.

·Press the F1 key at any time to open to the Table of Contents pane.

·Press the Help button help on the shortcuts toolbar to open to the Table of Contents pane.

·Help buttons question are located on toolbars and menus and will take you to tool-specific topics.

·Help menus are available on each Thermalyze window and will take you to relevant help topics.

Menu Bar

The menu bar in the top left of the Thermalyze window provides access to all Thermalyze windows.

Camera Control Toolbar

The toolbar in the top left of the Thermalyze window is used to control operation of the Optotherm IS640 thermal imaging camera.

Shortcuts Toolbar

The toolbar in the top right of the Thermalyze window gives you quick access to commonly-used Thermalyze windows.

Software Controls and Settings

The values of controls and settings can be changed using one or more of the following methods:

Controls (buttons, checkboxes, radio-buttons, combo boxes, trackbars, and up-down boxes)

·Click on a button, checkbox, radio-button, combo box, trackbar, or up-down box.

·Select an up-down box and then enter a new value using the keyboard.

·Select a trackbar, up-down box, or combo box with the mouse or tab key and change the value using the left, right, up, and down keys.

·Select a trackbar or up-down box and change the value using the mouse scroll wheel. Hold down the Ctrl key while scrolling to change values by a smaller increment.

Images (Main Image, Lock-in Thermography image, Phase image)

·Hover over the top half of an image and use the mouse scroll wheel to change the palette max value. Hover over the bottom half to change the palette min value. Hold down the Ctrl key while scrolling to change values by a smaller increment.

Graphs (Strip Chart, Line Profile, and Histogram)

·Hover over the top half of the strip chart, line profile, or histogram and use the mouse scroll wheel to change the y-axis max value. Hover over the bottom half to change the y-axis min value. Hold down the Shift key while scrolling and hover over the left (right) half to change the values of the x-axis min (max). Hold the Ctrl key while scrolling to change values by a smaller increment.

Panels (Rectangular areas that contain controls specific to a particular function such as the Sequence, Region, and Palette panels)

·Check the expand box in the upper-right of a panel to set its default state to open. Uncheck the box to set it default state to closed. Hover over the top of a closed panel to temporarily expand it.

Error Reporting

If you encounter a program error while operating Thermalyze, we request that you send us a screenshot of the error message and a description of any actions taken within Thermalyze immediately prior to the error. We strike to correct program errors and provide bug fixes as soon as possible and we greatly appreciate your efforts to provide us with relevant information. Please send error information to: support@optotherm.com.


Image Capture

Section Topics

The topics in this section explain how to capture, view, open and save images from an Optotherm thermal imaging camera.

Figure 1: Image capture

Figure 1: Image capture


Camera Control

Description

The Shortcuts Toolbar (see Figure 1) in the top left of the Thermalyze window is used to control operation of the Optotherm IS640 thermal imaging camera. There are also status fields in the bottom left of the Thermalyze window that display camera operational information.

Figure 1: Camera Control toolbar

Figure 1: Camera Control toolbar

Camera

video-card Initialize Camera Link Board

Press this button to setup the Matrox Solios camera link video board for image capture. Unpress this button to free the video board computer resources.

lightning Camera Link Power

Press this button to enable power over camera link (PoCL) via the Matrox Solios camera link video board. Unpress this button to disable PoCL. When enabled, the IS640 camera is powered by 12VDC over the camera link cable.

signal Camera Communication

Press this button to establish serial communication between the IS640 camera and computer. Unpress this button to deactivate communication. Serial com port settings are available on the Camera Communication window. Communication is required for Thermalyze to read and control camera operational parameters.

camera-fixed Capture Images

Press this button to begin capturing and displaying real-time thermal images. Unpress this button to stop capturing images. The rate at which images are captured is displayed in frames per second (fps) in the Processing Rate status field in the bottom left of the Thermalyze window.

Note: The IS640 camera image capture rate is 60 fps. The IS640-NLR (no export license required camera capture rate is 7.5 fps.

Note: The date and time of the most recently captured image is displayed below the Main Image.

Caution: To prevent permanent damage to the detector, avoid staring at high temperature (> 300°C) targets for long periods of time.

settings Camera Settings

Press this button to open the Camera Settings window.

Touchup

on-button Enable Automatic Touchup Calibrations

The response of detector pixels is normalized during factory camera calibration. While capturing images however, changes in detector temperature may result in small fluctuations in pixel response and increased image noise. Touchup calibrations normalize small changes in pixel response, resulting in cleaner images. Press this button to enable automatic touchup calibrations.

If your camera includes a physical shutter in front of the detector and the shutter touchup feature has been enabled for your camera, the shutter will close in front of the detector periodically while capturing images to correct pixel response.

If your camera does not include a physical shutter or the shutterless touchup feature has been enabled for your camera, pixel response is corrected while capturing images using advanced software analysis. Unlike shutter touchups, shutterless touchups will not periodically interrupt image capture.

bullseye Perform Touchup Calibration

Press this button to perform a touchup calibration. For shutter touchups, the shutter will close momentarily in front of the detector, halting image capture briefly. For shutterless touchups, software analysis parameters will be reset and pixel noise correction will initiate while image capture continues.

Lens

Camera Lens

Select the camera lens to install on the camera. The lens options available in the drop-down box are determined by the specific lenses you purchased with your camera. When a lens is selected, the calibration data associated with that specific lens is loaded in Thermalyze in order to provide accurate radiometric temperature measurements.

The Lens combo box background color will turn red if the camera and lens temperature are unstable, yellow if nearly stable, and green if stable.

Important: The lens that is selected must match the lens that is currently installed on the camera in order to maintain proper camera calibration and measurement accuracy.

Range

Calibration Range

Depending on the lens installed, the IS640 camera will have one or more calibration ranges within which it can measure temperature. If there are multiple ranges available for the current lens installed, the lowest range will have the best sensitivity, resolution, and accuracy. Therefore, select the lowest range available unless it is necessary to measure temperatures higher than the lowest range allows.

The output signal from a pixel can saturate (beyond the limits of the output range) if the temperature to which it is exposed is higher or lower than the currently selected temperature range. The Range combo box background color will turn red if any pixels saturate high and will turn blue if any saturate low. If there are pixel that saturate high and others that saturate low, the backcolor will turn purple.

Note: When transitioning between ranges, there may be a few seconds when one or more pixels saturate while the camera adjusts to the new range.

Note: See your user manual for the specific calibration ranges available with your camera and lenses.

Image Averaging

on-button Enable Image Averaging

Real-time averaging of captured images reduces pixel noise level in captured images by computing the running average of pixel temperature values. Noise Equivalent Temperature Difference (NETD) is the minimum pixel temperature change that can be detected. The NETD specification for the IS640 camera is calculated at the full frame rate and no image averaging. Image averaging can significantly reduce NETD at higher levels of averaging.

Number of Images to Average

Image Averaging can be set to values from none to 128 images. High values can improve the detection of small temperature changes by reducing image noise level and NETD.

Tip: While image averaging can significantly reduce pixel noise level, it also increases the measurement response time. A common result of increased response time is blurring of moving objects. Fast response times (low Image Averaging values) are often required when measuring moving objects and when measuring objects whose temperature changes rapidly.

Camera Status Fields

Processing Rate

This field displays the rate at which images are captured or the rate at which sequence images are replayed. Processing rate is displayed in units of frames per second (fps).

If the IS640 camera image capture rate falls below it stated frame rate, follow the suggestions in the Introduction to increase processing rate.

Detector Temp

This field displays the current temperature of the camera detector. The temperature range in which the IS640 camera is calibrated is 15-40°C. The background color of this field will turn red if the detector temperature exceeds 40°C and blue if it falls below 15°C.

Processor Temp

This field displays the current temperature of the main microprocessor in the camera.

Note: This parameter is displayed so that it can be provided to Optotherm technical support if requested.


Camera Settings

Description

The Camera Settings window (see Figure 1) provides access to software settings that control communication between the IS640 camera and computer. To open the Camera Communication window, press the settings button in the Camera section of the Camera Control toolbar.

Figure 1: Camera Settings window

Figure 1: Camera Settings window

Camera Communication

Com Port | Select the serial com port to which the camera is connected. Communication between the IS640 camera and computer is performed via the UART on the Matrox Solios camera link video board through through the camera link cable. To determine the name of the com port, open the Windows Device Manager, expand Ports (COM & LPT). The com port name will be listed next to Matrox Solios Camera Link...
Baud Rate | Select the baud rate of 115,200 bps to communicate with the IS640 camera. This baud rate is programmed into the camera at the factory.

Touchup Calibrations

Enable Uniform Shutter Touchups

Check this box to correct for temperature gradients across the field-of-view. Temperature gradients can be caused by image ghosting (see Sentris/Micro User Manual) or high magnification lens (5 micron lens) effects.

Note: This setting has no effect if the shutterless touchup calibration feature is enabled for your camera.

Uniform Shutter Touchup Level

Set the level of the Uniform Shutter Touchup correction. To compensate for high magnification lens (5 micron lens) effects, set the level to 40%. To compensate for image ghosting, set the level to 100%. You can then make fine adjustments if necessary.

Note: This setting has no effect if the shutterless touchup calibration feature is enabled for your camera.


Image Size

Description

The Main Image can be displayed with a size of 640 x 480 or 1280 x 960 pixels. To change the size of the Main Image, click the Large Image Size item under the Setup menu or press the image-size button in the Setup section of the Shortcuts toolbar.

icons8-snail-48

Slow Capturing: Displaying images in large size requires considerable display processing resources. If image capture rate falls when displaying image in large size, follow the suggestions in the Introduction to increase processing rate.


Color Palette

Description

A color palette is an array of colors that is associated with an image display. When image is presented in the display, each pixel temperature value is mapped to a unique color in the palette. Most commonly, lighter palette colors represent higher temperatures while darker colors represent lower temperatures. The specific temperature values that each color represent can be changed by adjusting the temperatures that represents the lightest color of the palette and the temperature that represents the darkest color.

The Color Palette panel (see Figure 1) is located to the upper right of the Main Image on the Thermlyze application window.

Figure 1: Color Palette panel

Figure 1: Color Palette panel

Color Palette Controls

grayscale Grayscale Color Palette

Press this button to display pixel temperature in shades of gray. Use this palette when you need to resolve small physical features on a device or when focusing the camera lens.

temp-palette Temperature Color Palette

Press this button to display pixel temperatures in colors representing the radiant glow of objects at high temperature. Use this palette when you need to both resolve device features and also discriminate thermal differences.

rainbow-palette Spectrum Color Palette

Press this button to select the Spectrum color palette. Use this palette when you need to distinguish small thermal differences and gradients.

Note: When Image Subtraction is activated, a gray area is added to Spectrum Palette between the green and blue colors and represents the temperature value of zero.

Auto

Click this button to set the palette max and min values to the highest and lowest temperatures in the Main Image.

Tip: See Auto Scale Each and Auto Scale Region below for additional functionality.

In

Click thus button to zoom in to the palette slider scale in order to make fine adjustments.

Out

Click this button to zoom out of the Palette slider scales in order to make course adjustments

Auto Scale Each

When this box is checked, the color palette is automatically scaled each time the Main Image is updated and displayed if pixel temperature values change significantly.

Note: Automatically scaling the color palette requires significant computer processing resources. This box should be unchecked if the color palette is automatically scaling too often.

Auto Scale Region

When this box is checked and the Auto button is clicked, the palette max and min values are set to the highest and lowest temperatures of pixels enclosed within the currently selected Region. If no Region is selected, the palette is scaled to the highest and lowest temperatures of pixels in the entire image.

Palette Max and Min Sliders

Color palettes can be scaled within a specific temperature range by dragging the palette Max and Min sliders. After selecting a color palette, adjust the sliders to improve the contrast of the image within the temperature range of interest.

Tip: The palette sliders can also be adjusted using the mouse wheel and Ctrl key as explained in the Introduction.

The palette temperature range, displayed to the right of the image, displays the temperatures represented by the individual colors of the current color palette.

Note: A separate set of values for the Palette Max and Min and defaults are saved in memory when Image Subtraction is activated and when Model Comparison Results are displayed. Therefore, the Min and Max values and defaults will change when Image Subtraction is activated or Model Comparison Results are displayed. Use this feature to save a unique set of palette values for both normal mode, Image Subtraction, and Model Comparison Results

Move Together

When this box is checked, the palette sliders move together when either slider is adjusted to maintain a constant temperature span.

Palette Max Value

Set or adjust the palette max value.

Palette Min Value

Set or adjust the palette min value.

Restore

Click this button to load the previously saved palette max and min values.

Set

Click this button to save the current palette max and min values to memory as defaults. The currently saved default values are displayed above this button.


Zoom and Pan

Description

The Zoom/Pan panel (see Figure 1) is located to the right of the Main Image on the Thermalyze window.

Figure 1: Zoom/Pan panel

Figure 1: Zoom/Pan panel

Zoom and Pan Controls

zoom-in Zoom In | Select this button and then click on the image to zoom in to that area. Images can be zoomed from 1x up to 8x. After zooming in to 8x, the Pan tool is automatically selected to allow you to pan the image.
zoom-out Zoom Out | Select this button and click on the image to zoom out from that area. After zooming out to 1x, the Pan tool is automatically selected.
zoom-out-all Zoom Out Full | Press this button to zoom out to 1x. After pressing this button, the Pan button pan is automatically selected.
Zoom Level | This field displays the current zoom level.
pan Pan | Select this button and then click and drag on the image to pan. The image must be zoomed in at least 2x in order to pan.


Export and Print

Description

Thermal images can be exported as images for use in reports and presentations. Image pixel data can exported in text and binary formats to facilitate opening the data from other applications or from your own custom program written in a language like c++ or c#.

Images can also be printed if you have a printer connected to your computer.

To open the Export or Print dialog boxes, select the appropriate item from the Image menu. Exported images are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder. Exported Image Temperature files are saved in the "Optotherm\Thermalyze\Export\Image Temperature" folder unless you specify a different folder. Exported Image Radiance files are saved in the "Optotherm\Thermalyze\Export\Image Radiance" folder unless you specify a different folder.

Export

Export Image

Save the Main Image as it is displayed on the screen as an image file in the following formats: bmp, jpg, png, or tif.

Export Image and Data

Save the thermal image as it is displayed on the screen as an image file in the following formats: bmp, jpg, png, or tif. Data from the Region Data Grid and any existing notes (if the Notes window is open) are saved and displayed below the thermal image.

Export Image Temperature

Individual pixel temperature values in the currently displayed image can be saved to file in ASCII text or binary file format. Image pixel temperature values are saved in degrees Celsius from left to right, row by row, from top to bottom.

ASCII text files are saved with a ".txt" extension. Row pixel temperature values (for example, 37.54) are separated by a tab character. Image rows are separated by carriage return and line feed characters.

Binary files are saved with an ".imb" extension, as consecutive four-byte floating-point values in little endian format.

Export Image Radiance

Individual pixel radiant emittance values in the currently displayed image can be saved to file in ASCII text or binary file format. Image pixel radiance values are saved in units of [Watts/mK] from left to right, row by row, from top to bottom.

Note: Image radiance can not be exported when Image Subtraction is activated.

ASCII text files are saved with a ".txt" extension. Row pixel radiance values (for example, 8.254) are separated by a tab character. Image rows are separated by carriage return and line feed characters.

Binary files are saved with an ".imb" extension, as consecutive four-byte floating-point values in little endian format.

Export Image Screenshot

The entire Thermalyze application screen can be save in the following formats: bmp, jpg, png, or tif.

Print

Print Image and Data | When printing an image, data from the Region Data Grid and any existing notes (if the Notes window is open) is printed below the image.
Print with Preview | Select this menu item to open the Print Preview dialog before printing.


Open and Save

Description

Images are saved in binary format with a .oimg extension. To open the Open or Save Image dialog box (or the Open Image and Palette dialog box) select the item from the Image menu or press the open-file or save-file button in the Image section of the Shortcuts toolbar.

icons8-file-48

Filename: The file name of the most recently opened or saved image file is displayed below the Main Image.

Image File Format

Image Thumbnail

When an image is saved, a thumbnail (.jpg) is created in the same directory as the saved image so that the image can be quickly and easily identified later.

Image File Data

The following data is saved in an image file:

Date/Time | The date and time when the image was captured.
Background Temp | The background temperature when the image was captured.
Image Pixel Temperatures | Image pixel temperature values are saved in 16-bit and lossless format that preserve temperature resolution of 0.01°C.
Regions | Any existing Regions and their associated Region Settings.
Color Palette | The current Color Palette along with the palette slider and default settings.
Notes | Notes are saved if the Notes window is open and any notes exist.
Reference Image | When an image is saved with Image Subtraction activated, the Reference Image is automatically saved in the image file.

Open Image

Open Image

Select the binary image file (.oimg) to open. You can also select the image thumbnail (.jpg). When an image file is opened, the captured date/time and Background Temperature are displayed below the Main Image and then any Regions and Notes that were saved with the image are displayed.

Note: When a subtracted image is opened, the Reference Image is read from the file and loaded as the current Reference Image and then Image Subtration is activated.

Open Image and Palette

If an image is opened using the Open Image and Palette dialog box, the image will be displayed with the same Color Palette and Palette Max and Min settings as when it was originally saved.

Open Image Folder

The Image Folder window (see Figure 1) allows you to quickly view and open image files located in a specific directory. To open the Image Folder dialog box, select the Open Image Folder from the Image menu or press the Open Image Folder button open-folder-images on the Shortcuts toolbar.

Note: Image thumbnails (.jpg) are displayed in the window, not binary image files (.oimg).

Save Image

Save Image

When saving an image file, the file name that you provide is appended with ".oimg" and saved in the "Optotherm\Thermalyze\Images" folder unless you specify a different folder.

Tip: It may be helpful to include the name of the currently installed camera lens in the file name so that when the image is opened at a later time, the lens used to capture the image can be identified.

Note: Saved images include no temperature processing such as Region Emissivity or Emissivity Tables. If this information is important to preserve, it must be saved separately by saving Emissivity Tables and saving Regions.

Save Processed Image

When applying Region Emissivity, Emissivity Tables, and/or Image Subtraction, images can be saved as they appear on screen with this information embedded into the image. When saving a processed image, Regions and Reference Images are not saved in the image file.

Note: Because emissivity and subtracted image data is imbedded in processed images, this information cannot be removed or altered when a processed image is opened. Processed images are typically used for convenience to save the final results of temperature processing in one comprehensive image.

Figure 1: Image Folder window

Figure 1: Image Folder window

Image Folder

Select Folder | Press this button to open the Browse For Folder dialog box and then select a directory of image files to view. The currently selected directory is displayed at the bottom of the window.
Open | After selecting an image thumbnail, press the Open button to open the binary image file in the folder with the same name.
Open Palette Info | Check this box to open and display the image with the same Color Palette and Palette Max and Min settings as when it was originally saved.
Auto Scale Palette After Opening Image | Check this box to automatically set the Palette Max and Min values to the highest and lowest temperatures in the current image (or in the currently selected Region if a Region is selected).


Settings

Section Topics

The topics in this section cover user preferences and how to save and restore program settings.

Figure 1: User preferences

Figure 1: User preferences


User Preferences

Description

The User Preferences window (see Figure 1) contains global software settings that control how Thermalyze operates and displays data. To open the User Preferences window, click the User Preferences item under the Setup menu or press the settings button in the Setup section of the Shortcuts toolbar.

Figure 1: User Preferences window

Figure 1: User Preferences window

Display

Units | Choose the units in which temperature will be displayed. Select Metric to display temperature in degrees Celsius and English to display temperature in degrees Fahrenheit.
Resolution | Select the resolution (number of decimal places) in which temperature values are displayed. Temperature values can be displayed with 0, 1, or 2 decimal place resolution.

Flip Captured Images

Horizontally | Check this box to flip captured images horizontally.
Vertically | Check this box to flip captured images vertically.

Sounds

Alarm

Alarms are sounds that are played when a region test statistic failure occurs. Select the specific sound to play in the drop-down box.

Camera Link Video Board

Initialize Camera Link Board at Startup | Check this box and the Initialize Camera Link Board button video-card will be automatically pressed when the program is started to setup the camera link board for image capture.
Enable Camera Link Power at Startup | Check this box and the Camera Link Power button lightning will be automatically pressed when the program is started to power the IS640 camera.

Windows and File Menus

Remember Window Location and Size | Check this box and program windows will be opened with the same size and position as when they were last closed.
Show Previous Version File Menus | Check this box display menu items on program windows for opening files created with Thermalyze versions prior to version 7.0.0.

Performance

Region Data Update Rate

Select the rate at which data displayed in the Region Date Grid below the Main Image is updated. Decrease this rate to improve Image Processing Rate.

Update Image in Background Thread

Check this box to update thermal images in a background thread to improve Image Processing Rate.

Note: Depending on computer speed, periodic image flickering may occur when updating in a background thread.

Update Graphics in Background Thread

Check this box to update regions and other image graphics in a background thread to improve Image Processing Rate.

Note: Depending on computer speed, periodic Region and graphics flickering may occur when updating in a background thread.

Status Messages

Show Range Exceeded | Check this box and the Calibration Range combo box will turn red if one or more pixels is saturated high, blue if saturated low, and purple if both conditions are met.
Show Detector Temp Exceeded | The detector temperature range in which the IS640 camera is calibrated is 15-40°C. Check this box and the Detector Temp field will turn red if the detector temperature exceeds 40°C and blue if it falls below 15°C.
Hide Missing Settings Message | Check this box to refrain from displaying the notification window when program parameter settings are missing at program startup.


Keyboard Shortcuts

Description

The Keyboard Shortcuts window (see Figure 1) designates specific keystrokes to activate a number of often-used software commands. To open the Keyboard Shortcuts window, click the Keyboard Shortcuts item under the Setup menu or press the keyboard button in the Setup section of the Shortcuts toolbar.

icons8-broadcasting-48

Multiple Commands: It is possible to select the same shortcut key for multiple software commands, therefore triggering multiple commands with one keystroke.

icons8-conflict-40

Key Conflict: It is possible to select the same shortcut keys on the Linear Stage Advanced Settings window. In this case, if keystrokes are handled by the Linear Stage Control window, they will not activate keyboard shortcuts.
Figure 1: Keyboard Shortcuts window

Figure 1: Keyboard Shortcuts window

Enable Shortcuts | Check this box to enable keyboard shortcut.
Require Control Key | Check this box to require the control key to be pressed while pressing the shortcut key in order to activate the command.

Camera

Capture Thermal Images | Same as pressing the Capture Images button camera-fixed in the Camera section of the Shortcuts Toolbar.
Image Averaging Enable | Same as pressing the Enable Image Averaging button on-button in the Camera section of the Shortcuts Toolbar.

Setup

Large Image Size

Same as pressing the Large Image Size button image-size in the Setup section of the Shortcuts Toolbar.

Image

Open | Same as pressing the Open Image button open-file in the Image section of the Shortcuts Toolbar.
Save | Same as pressing the Open Image button save-file in the Image section of the Shortcuts Toolbar.

Sequence

Record

Same as pressing the Record Images button record-on button on the Sequence Toolbar.

Regions

Select Pointer

Same as pressing the Select button cursor-arrow on the Region Toolbar.

Color Palette

Auto

Same as pressing the Auto button in the Color Palette panel.


Program Settings

Description

Program Settings files enable you to store and retrieve all user-changeable parameters in Thermalyze. This provides the ability to configure the program for specific applications and then store and retrieve that configuration.

To open the Save or Open Program Settings dialog box, click the item from the Setup menu or press the open-file or save-file button in the Setup section of the Shortcuts toolbar. When saving a Program Settings file, the file name that you provide is appended with ".oset" and saved in the "Optotherm\Thermalyze\Program Settings" folder unless you specify a different folder.

Starting and Closing Down Thermalyze

When Thermalyze is closed down, the values of all user-changeable parameters are saved to a file name Thermalyze.ini in the "Optotherm\Thermalyze" folder. When Thermalyze is restarted, the saved settings are retrieved from the file and then loaded into Thermalyze. In other words, Thermalyze starts with the same settings values as when it was last closed down. All user-changeable parameters can also be saved while Thermalyze is running by clicking the Save Startup Settings item from the Setup menu.


Camera Calibration

Section Topics

The topics in this section explain how to add and remove bad pixels, perform uniformity correction, and perform lens calibrations.

Figure 1: Bad pixel replacement

Figure 1: Bad pixel replacement


Bad Pixel Replacement

Description

The Bad Pixel Replacement window (see Figure 1) contain controls for compensating for bad pixels on the camera detector. To open the Bad Pixel Replacement window, click the Bad Pixel Replacement item under the Setup menu.

Figure 1: Bad Pixel Replacement window

Figure 1: Bad Pixel Replacement window

Bad pixels are detector elements whose electrical response has changed and can no longer be used to accurately represent radiometric temperature. Pixels response can change over time or due to exposure to high levels of infrared energy. While capturing images, the response of bad pixels is replaced by the response of a neighboring good pixel.

When your camera was calibrated at Optotherm, any bad pixels (called factory bad pixels) were identified and marked. You do not have access to, and cannot change, the file containing the factory bad pixels. However, if you notice any additional pixels whose response is suspect, you can mark them so that they are replaced when capturing images.

# Bad Pixels | This field displays the number of bad pixels that have been marked in the image.
Show Bad Pixels | Check this box to display a square enclosing each bad pixel that has been marked. Note: Bad pixels cannot be displayed while capturing images.
Bad Pixel Markers Color | Choose the color of the markers used to to display the bad pixels.
Add/Remove Bad Pixels | Choose the Add option and then click on a bad pixel in the Main Image to mark the pixel. Choose the Remove option and then click on a marked pixel to unmark it. Choose the No Change option when you are finished marking pixels. Note: Use the zoom and pan tools to aid in marking and unmarking pixels
Remove All | Click this button to unmark all pixels.
Save Changes | Click this button to save the changes you have made. Note: Unless changes are saved, any changes will be discarded when Thermalyze closes.
Load Factory Data | Click this button to replace the current bad pixels with the factory bad pixels. Note: Changes to bad pixels will be lost when Thermalyze closes unless the Save Changes button is clicked.
Bad Row | Enter the index of the row to replace. The index of the first row is 0. Enter -1 for no bad row replacement.
Bad Column | Enter the index of the column to replace. The index of the first column is 0. Enter -1 for no bad column replacement.

Identify Bad Pixels

Follow this procedure to detect and correct bad pixels:

1.Place the lens cap on the lens.

2.Press the Image Size button image-size to display the large image size.

3.Press the Capture Images button camera-fixed to begin capturing images.

4.Enable Image Averaging and set it to a minimum of 64 images.

5.Press the ON/OFF button in the Image Subtract panel to activate Image Subtraction.

6.Enter values of -1.00 and 1.00 into the Palette Min and Max boxes.

7.Click the Set Reference button in the Image Subtract panel and then examine the Main Image for pixels with white or black color (bad pixels). Stop capturing images when one or more bad pixels is identified.

Add Bad Pixels

1.Open the Bad Pixel Replacement window.

2.Check the Show Bad Pixels box.

3.Choose the best color (White or Black) to mark the bad pixels so that they can be clearly identified.

4.Zoom and Pan the Main Image so that the bad pixels can be selected.

5.Select the Add option and then click on the bad pixel in the Main Image.

6.If you select the wrong pixel, you can remove it by selecting the Remove option and then clicking on the pixel.

7.When finished adding bad pixel, click the Apply Changes button and then click the Save Changes button.


Uniformity Correction

Description

The toolbar (see Figure 1) in the top center of the Thermalyze window is used to setup and control image uniformity correction.

Figure 1: Uniformity Correction toolbar

Figure 1: Uniformity Correction toolbar

on-button Enable Uniformity Correction | Image uniformity refers to the consistency of pixel temperature values across the Main Image when viewing a constant temperature (blackbody) source. Uniformity correction is used to improve the uniformity of thermal images captured using lenses that have not been calibrated with an Optotherm IS640 thermal imaging camera.
even Uniformity Correction Setup | Press this button to open the Uniformity Correction Setup window (see Figure 2). Controls in this window enable you to perform uniformity correction for each lens and range.

Uniformity Correction Setup window

Figure 2: Uniformity Correction Setup window

Figure 2: Uniformity Correction Setup window

Uniformity correction can be applied by performing only one correction (low or high) or performing both low and high corrections. If only one correction is performed (either low or high), image uniformity will be acceptable only for measured temperatures near the correction temperature. If both low and high corrections are performed, image uniformity will be interpolated between correction temperatures, resulting in better uniformity at measured temperatures different than the low and high correction temperatures.

The low and high temperature values used in uniformity correction will depend on the temperatures to be measured. Use a low temperature value that is close to the lowest temperature to be measured, but at least 10°C higher than the range minimum. Likewise, use a high temperature value that is close to the highest temperature to be measured, but at least 10°C lower than the range maximum.

icons8-test-passed-40

Required: Uniformity images must be set for each lens and range for which uniformity correction is required.

Low Temperature Image | Enter the temperature of the constant temperature (blackbody) source when performing the low temperature correction. Click the Set button to save the uniformity image and temperature value to file. The uniformity image and temperature are used to calculate uniformity correction coefficients that can be applied to captured thermal images. The checkbox on the right indicates that a uniformity image and temperature have been set.
High Temperature Image | Enter the temperature of the constant temperature (blackbody) source when performing the high temperature correction. Click the Set button to save the uniformity image and temperature value to file. The uniformity image and temperature are used to calculate uniformity correction coefficients that can be applied to captured thermal images. The checkbox on the right indicates that a uniformity image and temperature have been set.
Clear | Click this button to delete the uniformity image.

Performing a Uniformity Correction

In the following example, the thermal stage is used as a constant temperature (blackbody) source. The range of temperatures to be measures is assumed to be 20 to 60°C and therefore, the low temperature range will be used.

1.Install the lens on the camera, select the lens in the Camera Lens drop-down box, select the low temperature range in the Range drop-down box, and allow the lens temperature to stabilize.

2.Wipe off the top of the thermal stage.

3.Set the thermal stage temperature to 20°C and allow to stabilize.

4.Position the camera so that the lens is approximately 25mm above from the stage.

5.Enable Image Averaging and set to 128 images.

6.Open the Uniformity Correction Setup window.

7.Enter 20°C into the Low Temperature Image box and click the Set button on the right.

8.Set the thermal stage temperature to 60°C and allow to stabilize.

9.Enter 60°C into the High Temperature Image box and click the Set button on the right.

10.Close the Uniformity Correction Setup window.

11.Set the Enable Uniformity Correction button to on-button.


Lens Calibration

Description

Prior to being shipped, each Optotherm thermal imaging camera undergoes a rigorous ambient temperature compensation process to account for detector response for fluctuating camera temperatures during operation. This process requires several days and involves controlling the camera and lens to a range of specifics temperatures while exposed to the infrared emittance from blackbodies regulated to precise temperatures. After ambient compensation is complete, each lens is installed on the camera for uniformity and radiometry calibration. Ambient compensation cannot be performed by a third party and can only be performed at Optotherm. Therefore, there are not a user interface for performing ambient compensation within Thermalyze.

icons8-accuracy-40

Measurement Accuracy: Changing settings in this window will alter temperature measurement accuracy. Therefore, changes should be made only by experienced operators.

Lens Calibration

The Lens Calibration window (see Figure 1) is used by Optotherm technicians and experienced operators to calibrate an Optotherm thermal imaging camera with a specific lens. To open the Lens Calibration window, click the Lens Calibration item under the Setup menu.

Figure 1: Lens Calibration window

Figure 1: Lens Calibration window

Lens calibration involves the following procedure:

1.Create low-noise images while staring at a blackbody set to two different temperatures in order to compensate for the optical performance of each lens.

2.Specify settings to compensate for lens temperature dependence of optical performance, temperature offset, and radial uniformity.

3.Apply a calibration curve to improve radiometry (temperature measurement accuracy).

Optical Correction Images

Low and high Temperature images are used to compensate for lens optical performance.

Create Low Noise Image

ON/OFF

While capturing images, press this button to the ON state to accumulate images. Accumulated images are averaged to create a low noise temperature image.

Note: Accumulated images are recorded prior to application of lens calibration settings. Therefore, lens calibration does not need to be disabled when accumulating images.

Images

This field displays the number of accumulated images.

Reset

Click this button to delete all accumulated images.

Quadrant Average

Check this box to average corresponding pixels from each quadrant when creating the low noise image.

Important: This feature is currently for development purposes only and should not be used.

Noise Reduction

Check this box to average neighboring pixels when creating the low noise image.

Important: This feature is currently for development purposes only and should not be used.

Low/High Temperature Image

Scene Temp

Enter the blackbody temperature used to create the Low of High Temperature Image.

Set to Memory

Click this button to save the a low noise image to memory as the Low or High Temperature Image for use in optical correction.

Scene Temp (Image Set in Memory)

This field displays the Scene Temperature entered when the Set to Memory button was clicked, which is used in optical correction.

Detector Temp

This field displays the value of the detector temperature when the Set to Memory button was clicked, which is used for optical correction.

Save Image to File

Click this button to save to file the Low or High Temperature Image currently in memory. Saved Temperature Images are opened automatically upon program startup for use in optical correction.

Note: A flag red-flag-small will appear next to this button when a Temperature Image has been set to memory but not yet saved.

Clear from Memory

Click this button to clear the Temperature Image from memory.

Lens Calibration Settings

Enable Lens Calibration

Check this box to enable lens calibration for the currently installed lens.

Optical Correction

Enable | Check this box to enable Optical Correction to improve scene uniformity by applying the Low and High Temperature Images. Note: Optical Correction is typically required for all lenses.
Scale Factor | Enter the magnitude of Optical Correction to apply. Important: This setting is usually determined at the factory and should only be altered by experienced operators.
Fine-Tune | Enter an adjustment to Optical Correction to compensate for scene non-uniformity. Caution: If this settings is not returned to zero after use, scene uniformity will continue to be affected.

Offset Correction

Enable | Check this box to enable Offset Correction to improve measurement accuracy by applying a temperature offset to improve measurement accuracy. Note: Offset Correction may not be required for all lenses.
Scale Factor | Enter the magnitude of Offset Correction to apply. Important: This setting is usually determined at the factory and should only be altered by experienced operators.
Fine-Tune | Enter an adjustment to Offset Correction to compensate for temperature measurement offset errors. Caution: If this settings is not returned to zero after use, temperature measurements will continue to be affected.

Radial Correction

Enable | Check this box to enable Radial Correction to correct for image artifacts characterized by a bulls eye pattern in the center of the image and extending radially outward to the image corners. Note: Radial Correction may not be required for all lenses.
Scale Factor | Enter the magnitude of Radial Correction to apply. Important: This setting is usually determined at the factory and should only be altered by experienced operators.
Fine-Tune | Enter an adjustment to Radial Correction to compensate for radial image artifacts. Caution: If this settings is not returned to zero after use, radial compensation will continue to be affected.

Lens Calibration Curve

Enable | Check this box to apply a calibration curve to correct non-radiometric temperature measurements.
Lens Calibration Points | Click this button to open the Lens Calibration Points window.

Save Settings to File

Click this button to save Lens Calibration Settings to file. Saved settings are opened automatically upon program startup.

Note: A flag red-flag-small will appear next to this button when Lens Calibration settings have been changes but not yet saved.

Factory Defaults

Temperature images and lens calibration settings (including lens calibration points) are loaded from C:\Optotherm\Thermalyze\Lens Calibration upon program startup. Thermalyze operators have the ability to make changes which will replace the data currently stored in C:\Optotherm\Thermalyze\Lens Calibration. Because measurement accuracy depends on this data, operators have the ability to load factory default data back into memory. Factory default data is stored in C:\Program Files\Optotherm\Thermalyze\Calibration\Lens Calibration.

Load Factory Defaults

Click this button to load factory default temperature images and lens calibration settings for the currently installed Lens and Calibration Range into memory.

Important: The factory default data that is loaded back into memory must be saved so that it can be opened automatically upon program startup. Temperature images, calibration settings, and calibration points must all be saved to file.

Restore Factory Defaults

Click this button to load factory default temperature images and lens calibration settings for all lenses and calibration ranges into memory and then saved.


Lens Calibration Points

Description

The Lens Calibration Points window (see Figure 1) is used by Optotherm technicians and experienced operators to enter calibration data points that are used to create a calibration curve to correct for non-radiometric temperature measurements. To open the Lens Calibration Points window, click the Lens Calibration Points button on the Lens Calibration window.

icons8-accuracy-40

Measurement Accuracy: Changing settings in this window will alter temperature measurement accuracy. Therefore, changes should be made only by experienced operators.
Figure 1: Lens Calibration Points window

Figure 1: Lens Calibration Points window

Toolbar

new-row Add Cal Point | Click this button to add a new calibration point. If a row is selected, the new calibration point is added above the selected row. If no row is selected, the new calibration point is added below the last row. Tip: Select a row by clicking in the # column.
shift-up Shift Cal Point Up | Click this button to shift the currently selected calibration point up one row.
shift-down Shift Cal Point Down | Click this button to shift the currently selected calibration point down one row.
delete-small Delete Cal Point | Click this button to delete the currently selected calibration point.
delete-large Delete All Cal Points | Click this button to delete all calibration points.

Temperature Calibration Points

Calibration points are created by imaging a blackbody set to a stable target temperature and then entering the measurement reading and target temperature.

# | Displays the number of each calibration point.
Reading | Enter the thermal camera measurement.
Target | Enter the blackbody temperature.

Create End Point

Create End Point

Calibration points are used to create polynomial calibration curve coefficients. The behavior of a polynomial curve fit beyond the range of calibration points can sometimes lead to considerable inaccuracy. To prevent this behavior, simulated calibration points can be added at both ends of the range. Simulated calibration points are created by linear extrapolation using the nearest two calibration points.

To create a low temperature end point, enter a target temperature below the lowest calibration point target temperature and then click the Create button. To create a high temperature end point, enter a target temperature above the highest calibration point target temperature and then click the Create button.

Polynomial Fit Order

Enter the order of polynomial curve fit.

Note: The order must be less than the number of calibration points.

Reload from Memory

Click this button to load the calibration point in memory for the currently installed lens into the calibration points table.

Set to Memory

Click this button to save the calibration points in the table to memory.

Note: A flag red-flag-small will appear next to this button when calibration points have been changed but not yet set to memory.

Save to File

Click this button to save the calibration points in memory to file. Saved calibration points are opened automatically upon program startup to create a lens calibration curve.

Note: A flag red-flag-small will appear next to this button when calibration points have been changed in memory but not yet saved.


Tools

Section Topics

The topics in this section cover a number of useful software tools.

Figure 1: Video camera tool

Figure 1: Video camera tool


Messages

Description

The Messages window (see Figure 1) displays important information regarding the operation of Thermalyze such as camera communication errors or programming logic errors. To open the Message window, click the Show Messages item under the Setup menu or press the messages button in the Setup section of the Shortcuts toolbar.

Figure 1: Messages window

Figure 1: Messages window

Messages Controls

Open Window | Uncheck this box and close the window to prevent the Messages window from re-opening when a message occurs.
Clear | Press this button to clear all currently displayed messages from the window.

icons8-chat-message-48

Messages: Not all messages results from program errors. Some messages, such as "successful camera response" are displayed to notify the user of successful communication between the camera and computer.


Notes

Description

The Notes window (see Figure 1) enable you to enter descriptive information about an image or image sequence. To open the Notes window, click the Notes item under the View menu or press the notepad button in the Test Setup section of the Shortcuts toolbar.

Figure 1: Notes window

Figure 1: Notes window

Save Notes

When an image or image sequence is saved, if the Notes window is open and if there are notes in the notes field, then these notes are saved in the image or image sequence file.

Open Notes

Notes originally saved with an image or image sequence are automatically opened and displayed when the image or image sequence is opened.

Change Notes

If you modify the notes, the changes will be saved if the Notes window remains open while an image or image sequence is saved.


Image Subtraction

Description

Image Subtraction is a software mode wherein a Reference Image is subtracted from the active thermal image. The resulting "subtracted" image displays temperature differences between the Active Image and Reference Image. This feature is useful when evaluating how temperatures change over time by setting the Reference Image equal to a thermal image captured prior to a thermal event. In this case, Image Subtraction indicates temperature changes relative to the start of the event. Image Subtraction can also be used when evaluating differences between devices captured at different times.

spectrum-palette

Messages: When Image Subtraction is activated, the spectrum color palette is automatically loaded.

The Image Subtraction panel (see Figure 1) is located to the lower right of the Main Image on the Thermalyze window.

Figure 1: Image Subtraction panel

Figure 1: Image Subtraction panel

Image Subtraction Controls

ON/OFF

Press this button to activate/deactivate Image Subtraction mode. When activated, the Reference Image is subtracted from the Active Image and the resulting image is displayed.

Note: The Active Image is the most recent image that has been captured, opened from a file, or loaded from an image sequence.

Tip: Disable touchup calibrations when Image Subtraction mode is activated to prevent touchup-related image artifacts and also because the process of subtracting images removes noise that touchup calibrations are intended to correct.

Set Reference

Press this button to set the Reference Image equal to the Active Image.

Zero Reference

Press this button to set all the pixels in the Reference Image equal to zero.

icons8-enlarge-48

Messages: Image subtraction can only be activated when the Image Subtraction panel is expanded.

Viewing Temperature Changes Over Time

1.Start capturing images.

2.Click the Set Reference button to set the Active Image as the Reference Image.

3.Activate Image Subtraction to view temperature changes that have occurred since the Reference Image was set.

4.Draw regions to measure the temperature differences.

Viewing Differences between Two Images

1.Open or capture and image and then click the Set Reference button to set it as the Reference Image.

2.Open or capture the second image.

3.Turn on the Image Subtraction switch to subtract the first image from the second image and display the differences in temperature between the two images.

4.Draw regions to measure the temperature differences.


Thermal Image Mean

Description

The Thermal Image Mean window (see Figure 1) enable you to average a large number of captured images in order to create a thermal image with very low noise level. To open the Thermal Image Mean window, click the Thermal Image Mean item under the Test Tools menu or press the average button in the Test Tools section of the Shortcuts toolbar

Figure 1: Thermal Image Mean window

Figure 1: Thermal Image Mean window

Thermal Image Mean Controls

ON/OFF

Press this button to activate/deactivate Thermal Image Mean mode. When activated, captured Images are summed together. The thermal image mean is calculated by dividing the sum by the total number of images added to the sum.

The level of noise reduction is inversely proportional to the square root of the total number of sum images. Noise level reduction = 1/ sqrt(# sum images).

Note: The sum can hold over 50,000 images, which is over 15 minutes of images captured by the IS640 camera at 60 fps.

Total Images

This field displays the total number of captured images that have been added to the sum.

Reset

Press this button to clear the sum and image count.

Display Real-Time Mean

Check this box to display the mean thermal image in place of the live captured image while capturing images.

Show Image

Press this button to calculate and display the mean thermal image when not capturing images.

icons8-close-48

Window Closed: When the Thermal Image Mean window is closed, Thermal Image Mean mode is automatically disabled.


Video Camera

Description

Live images from a GenICam (USB3 Vision or GigE Vision) video camera can be captured and displayed in the Video Camera window (see Figure 1). To open the Video Camera window, select the Video Camera item from the Test Setup menu or press the movie-camera button in the Test Setup section of the Shortcuts toolbar.

Real-time images are captured and displayed to enable electrical probing and positioning of small devices. Video images can be transferred to the Overlay window and then aligned for use in overlay opacity or merge.

icons8-not-applicable-40

Optional Accessory: The video camera is an optional accessory and may not be included with your system.
Figure 1: Video Camera window

Figure 1: Video Camera window

File Menu

Save Video Image

Click this menu item to open the Save Video Image dialog. Images with the following extensions can be saved : ".bmp", ".jpg", "png", and ".tif". When saving an image file, the file name that you provide is appended with ".bmp" unless a another extension is included in the file name. Image files are saved in the "Optotherm\Thermalyze\Video Camera" folder, unless a different folder is selected.

Note: The file name of the most recently saved image file is displayed at the bottom of the Video Camera window.

Export Window

The Video Camera window can be saved to file in the following formats: bmp, jpg, png, and tif. The size of the exported image is proportional to the size of the Video Camera window.

Note: Exported Video Camera windows are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Print

Print the Video Camera window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Camera

Interface

Select the GenICam interface protocol (USB3 Vision or or GigE Vision).

list List Connected Cameras

Click this button to detect and list all video cameras of the type selected in the Camera Interface drop-down that are currently connected to the computer.

Camera

Select a camera from this list of video cameras currently connected to the computer.

settings Video Camera Settings

Press this button to open the Video Settings window (see Figures 2). The Video Settings window enables you to control a variety of camera parameters such as color balance, pixel data format, image orientation, and graphics position. Click the Advanced Settings button to display more advanced USB3 Vision or GigE Vision settings (see Figures 3).

Note: Appropriate settings for the Basler model acA1300-30uc USB3 Vision camera are displayed in Figures 1 and 2. Gain can be increased if the image is too dark when the Exposure slider is at maximum.

Caution: Incorrect settings may temporarily disable Video Camera operation. Knowledge of USB3 Vision or GigE Vision properties is required prior to making changes.

play Capture Video Images

Press this button to begin capturing and displaying real-time video images. Unpress this button to stop capturing images.

Exposure

Drag the trackbar handle to change the camera exposure. When working with camera lenses that have a variable aperture, camera exposure should be set to the maximum level and scene brightness should be controlled by adjusting the lens aperture. This will allow you to maximize depth-of-focus.

Tip: You can also hover over the trackbar and use the mouse scroll wheel to change the value.

Image

Display Size | Select the size of the image display.
image-size Image Size | Press this button to display the image in full size, unpress for reduced size.
cursor-arrow Select | Select this button when finished zooming and panning the image.
zoom-in Zoom In | Select this button and then click a point on the image to zoom in to that area. Images can be zoomed from 1x up to 8x. After zooming in to 8x, the Pan tool is automatically selected to allow you to pan the image.
zoom-out Zoom Out | Select this button and click a point on the image to zoom out from that area. After zooming out to 1x, the Pan button pan is automatically selected.
zoom-out-all Zoom Out Full | Click this button to zoom out to 1x. After pressing this button, the Pan tool is automatically selected.
Zoom Level | This field display the current zoom level.
pan Pan | Select this button and then click and drag on the image to pan. The image must be zoomed in at least 2x in order to pan.
picture-frame Create Video Overlay | Click this button to set the currently displayed video image as the current overlay.

Video Settings

Figure 2: Video Settings window

Figure 2: Video Settings window

Flip Image | Check these boxes to flip the video image horizontally and/or vertically.
Graphics Offsets | Enter horizontal and/or vertical offsets for graphics displayed on the video image. Note: This setting may not be applicable to the current software version and is intended for use with future software features.
Command Delay | Set the delay [in seconds] after starting or stopping video image capture to allow the GenICam interface time to change capture state before the state can be changed again.
Image Buffers | Enter the number of image buffers to use while capturing video images. A higher number decreases computer processing and can improve video capture consistency (up to a point) but uses more computer RAM.
Stop Video Capture during Lock-in Tests | Check this box to automatically stop capturing video images when a lock-in thermography test is started.
GenICam Properties | Click this button to open the Video GenICam Properties window.

Video GenICam Properties

GenICam properties control operation of USB3 vision and GigE vision cameras. When a camera is detected, supported properties and their allowable range of values are read from the camera. When properties are a changed in the window, they are immediately written to camera volatile memory.

Figure 3: Video GenICam Properties window

Figure 3: Video GenICam Properties window

Image Format Control

Pixel Format | Format of the pixels provided by the camera. Each camera model provides a list of allowable formats which are listed in this drop-down box.
Video Mode | This property controls both pixel format and image size. Note: This property is only available with specific GigE Vision cameras.
Width/Height | Enter the width and height of the cropped image (in pixels). Maximum allowable values are displayed in parentheses. Note: Allowable values are dependent on OffsetX/OffsetY and may be limited to incremental values.
OffsetX/OffsetY | Enter the number of pixels to offset the cropped image defined by Width and Height. Maximum allowable values are displayed in parentheses. Note: Allowable values are dependent on Width/Height and may be limited to incremental values.
ReverseX | Check this box to flip captured images horizontally.
ReverseY | Check this box to flip captured images vertically.

Acquisition Control

Acquisition Mode

Sets the acquisition mode of the camera. It determines the number of frames to capture during an acquisition and the way the acquisition stops. Depending on camera model, possible values may include:

·SingleFrame: One frame is captured.

·MultiFrame: The number of frames specified by AcquisitionFrameCount (property not available in Thermalyze) is captured.

·Continuous: Frames are captured continuously until stopped.

Frame Rate Control Enabled

Controls if the FrameRate property is writable and used to control the acquisition rate. Otherwise, the acquisition rate is limited by ExposureTime and DeviceLinkThroughputLimit.

Frame Rate Auto

Sets the mode for automatic frame rate adjustment. Depending on camera model, possible values may include:

·Off: Frame rate is determined by the FrameRate property.

·Continuous: FrameRate is is limited by ExposureTime and DeviceLinkThroughputLimit.

Frame Rate

Controls the frame acquisition rate (in Hertz).

Note: This property is unavailable when FrameRateControlEnabled is unchecked or FrameRateAuto is set to Continuous.

Exposure Mode

Sets the operation mode of the Exposure. Depending on camera model, possible values may include:

·Off: Disables the Exposure and let the shutter open.

·Timed: Timed exposure. The exposure duration time is set using the ExposureTime or ExposureAuto features and the exposure starts with the FrameStart or LineStart.

·TriggerWidth: Uses the width of the current Frame or Line trigger signal(s) pulse to control the exposure duration. If the Frame or Line TriggerActivation is RisingEdge or LevelHigh, the exposure duration will be the time the trigger stays High. If TriggerActivation is FallingEdge or LevelLow, the exposure time will last as long as the trigger stays Low.

·TriggerControlled: Uses one or more trigger signal(s) to control the exposure duration independently from the current Frame or Line triggers. See ExposureStart, ExposureEnd and ExposureActive of the TriggerSelector feature.

Note: ExposureMode has priority over the Exposure Trigger settings defined using TriggerSelector=Exposure… and defines which trigger (if any) is active.

Exposure Auto

Sets the automatic exposure control method when ExposureMode (property not available in Thermalyze) is Timed. The exact algorithm used to implement this control is camera-specific. Some other camera-specific features might be used to allow the selection of the algorithm. Depending on camera model, possible values may include:

·Off: Exposure duration is user controlled using ExposureTime.

·Once: Exposure duration is adapted once by the camera. Once it has converged, it returns to the Off state.

·Continuous: Exposure duration is constantly adapted by the camera to maximize the dynamic range.

Note: This property is unavailable when ExposureMode is set to Off.

Exposure Time

Sets the duration of exposure when ExposureMode is Timed and ExposureAuto is Off. This controls the duration where the photosensitive cells are exposed to light.

Note: This property is unavailable when ExposureAuto is set to Continuous.

Compensation Auto

Sets the automatic exposure compensation when ExposureAuto is set to Once or Continuous. The exact algorithm used to implement this control is camera-specific. Some other camera-specific features might be used to allow the selection of the algorithm. Depending on camera model, possible values may include:

·Off: Target scene dynamic range is user controlled using ExposureCompensation.

·Once: Exposure duration is adapted once by the camera. Once it has converged, it returns to the Off state.

·Continuous: Exposure duration is constantly adapted by the camera to maximize the dynamic range.

Note: This property is only available with specific GigE Vision cameras.

Exposure Compensation

Sets the target gray value for auto exposure time and/or auto gain, depending on scene conditions. The exact algorithm used to implement this control is camera-specific.

Note: This property is only available with specific GigE Vision cameras.

Analog Control

Balance White Auto

Controls the mode for automatic white balancing between the color channels. The white balancing ratios are

automatically adjusted. Depending on camera model, possible values may include:

·Off: White balancing is user controlled using BalanceRatio.

·Once: White balancing is automatically adjusted once by the camera. Once it has converged, it automatically returns to the Off state.

·Continuous: White balancing is constantly adjusted by the camera.

Balance Ratio

Controls the ratio of the selected color component to a reference color component to control white balancing.

Note: This property is unavailable when BalanceWhiteAuto is set to Continuous.

Gain Auto

Sets the automatic gain control (AGC) mode. Some other camera-specific features might be used to allow the selection of the algorithm. Depending on camera model, possible values may include:

·Off: Gain is User controlled using Gain.

·Once: Gain is automatically adjusted once by the camera. Once it has converged, it automatically returns to the Off state.

·Continuous: Gain is constantly adjusted by the camera.

Gain

Controls the selected gain as an absolute physical value. This is an amplification factor applied to the video

signal.

Note: This property is unavailable when GainAuto is set to Continuous.

Transport Layer Control

Heartbeat Timeout

Sets the length of time [milliseconds] that must elapse without the camera being detected to trigger a camera timeout event.

Note: This property is only available with specific GigE Vision cameras.

Packet Size

This property corresponds to DeviceStreamChannelPacketSize (property not available in Thermalyze) and should be kept in sync with it. It specifies the stream packet size, in bytes, to send on the selected channel for a GVSP

transmitter or specifies the maximum packet size supported by a GVSP receiver.

This does not include data leader and data trailer and the last data packet which might be of smaller size (since packet size is not necessarily a multiple of block size for stream channel).

If a camera cannot support the requested packet size, then it must not fire a test packet when requested to do so.

Note: This property is only available with specific GigE Vision cameras.

Packet Delay

Controls the delay (in GEV timestamp counter unit) to insert between each packet for this stream channel. This can be used as a crude flow-control mechanism if the application or the network infrastructure cannot keep up with the packets coming from the camera.

Note: This property is only available with specific GigE Vision cameras.

Device Control

Device Link Throughput Limit

Limits the maximum bandwidth of the data that will be streamed out by the camera on the selected Link. If necessary, delays will be uniformly inserted between transport layer packets in order to control the peak bandwidth.

If the camera uses many connections to transmit the data, the feature represents the sum of all the traffic and the bandwidth should be distributed uniformly on the various connections.

Any Transport Layer specific bandwidth controls should be kept in sync with this control as much as possible.

User Set Control

Selector | Select the user set of properties to load into camera volatile memory or to save to camera non-volatile memory. Note: Non-volatile memory is retained when the camera is powered off.
Load | Load the properties in the selected camera user set into the window controls.
Save | Save the properties in the window controls to the selected camera user set. Note: Properties are saved to non-volatile memory so that they are retained when the camera is powered off.
Default | Select the user set of properties stored in camera non-volatile memory to load into camera volatile memory when the camera is powered on.


Thermal Stage

Description

The Thermal Stage Controller range and setpoint temperature can be changed using the controls in the Thermal Stage window (see Figure 1). To open this window, click the Thermal Stage item under the Test Setup menu or press the temp-stage button in the Test Setup section of the Shortcuts toolbar.

Figure 1: Thermal Stage window

Figure 1: Thermal Stage window

Serial Communication

Com Port | Select the com port used to communicate with the Thermal Stage controller. Tip: To determine the name of the com port, open the Windows Device Manager and expand Ports (COM & LPT).
Connect/Close Port | Press this button to establish serial communication between the computer and thermal stage. After communication is established, click this button to close the com port. A green indicator light will illuminate when connection is successful.

Get Controller Settings

Range: Get | Press the Get button to read the current thermistor type and temperature measurement range from the Thermal Stage controller.
Real Time Updates: Enable | Check this box to request real-time Setpoint and Temperature information from the Thermal Stage controller at a interval of once every two seconds.
Setpoint | This field displays the current Thermal Stage controller setpoint.
Temperature | This field displays the current Thermal Stage controller temperature.

Set Controller Settings

Range: Set

Select the temperature range of the thermal stage that is connected to the controller. Press the Set button to send this value to the Thermal Stage controller.

Note: There are currently two thermal stage model currently available: Low temperature (0-80°C) and high temperature (0-130°C). If the correct range is not selected, the controller will not be able to control the thermal stage properly.

Setpoint: Set

Enter the desired Thermal Stage setpoint temperature. Press the Set button to send this temperature value to the Thermal Stage controller.

Max Setpoint

Enter the maximum setpoint value allowed. Altering this setting requires entering the valid password.

Note: The default password is "".

Set Default Settings

When the Range, Setpoint, or Display Units are changed, appropriate settings are written to the Thermal Stage Controller static RAM memory. Check this box to also write these settings to Controller non-volatile EEPROM memory to change power-up settings.

Note: When the Setpoint is changed, the new value is written to the display non-volatile memory, which is then transferred to the Controller non-volatile memory, even if this box is unchecked.


Image Processing

Description

The Image Processing window (see Figure 1) provides access to settings that provide noise reduction and smoothing of capture images. To open the Image Processing window, click the Image Processing item under the Tools menu or press the image-hostogram button on the Shortcuts toolbar.

Figure 1: Image Processing window

Figure 1: Image Processing window

Noise Reduction

Noise reduction decreases a specific type of random spatial image noise commonly called salt-and-pepper noise using a rank filter.

Enable | Check this box to enable image noise reduction. Important: Noise reduction requires significant processing resources and should only be used for applications requiring noise filtering. If image capture rate falls, follow the suggestions in the Introduction to increase processing rate.
Matrix Size | Choose the matrix to use with the rank filter. The matrix determines the neighboring pixel used in the noise removal algorithm. A larger matrix will remove more noise but will decrease image resolution and contrast.

Image Smoothing

Image smoothing is a low-pass filter that decreases Gaussian noise that is generally associated with digitizing analog signals.

Enable | Check this box to enable image smoothing. Important: Image smoothing requires significant processing resources and should only be used for applications requiring noise filtering. If image capture rate falls, follow the suggestions on the opening page of this HTML help guide to increase processing rate.
Matrix Size | Enter the size of the matrix to use for image smoothing. The matrix determines the neighboring pixel used in the noise removal algorithm. A larger matrix will remove more noise but will decrease image resolution and contrast.
Strength | Enter the smoothing strength. Higher values will increase smoothing but will decrease image resolution and contrast. Values range from 1 to 5.

Frequency-Based Denoising

Frequency-based denoising is a high-pass filter that decreases Gaussian or Mean Square Error noise while maintaining high-frequency information.

Enable

Check this box to enable frequency-based denoising.

Important: Frequency-based denoising requires significant processing resources and should only be used for applications requiring noise filtering. If image capture rate falls, follow the suggestions on the opening page of this HTML help guide to increase processing rate.

Noise Type

Enter the type of noise to filter. Select "Unknown" for noise that is difficult to characterize. A larger matrix will remove more noise but will decrease image resolution and contrast.

Level

Enter the number of levels to decompose the image, performs the denoising, and then recomposes the image using the same number of levels. Higher levels with increase denoising. Values range from 1 to 10.

Note: The maximum level is the point at which denoising at subsequent levels does not provide improved denoising and depends on the source image and Noise Type. If the selected level exceeds the maximum level, the maximum level is used.


Positioning Blocks

Description

The positions of blocks can be recorded and saved using the Positioning Blocks Fixture window (see Figure 1). To open this window, click the Positioning Blocks item under the Setup menu (or press the pos-blocks button on the top toolbar) of the Thermal Model Comparison window. The window is also accessible by clicking the Positioning Blocks item on the Test Setup menu (or by pressing the pos-blocks button in the Test Setup section of the Shortcuts toolbar) on the main Thermalyze window.

Figure 1: Positioning Blocks window

Figure 1: Positioning Blocks window

Positioning Blocks

All positioning blocks are identical but they can be mounted in two different ways: as fixed blocks (two thumbscrews) or adjustable blocks (one thumbscrews). As shown in Figure 1, fixed blocks are typically mounted on the left and top edges of the board to designate the position of the board. Adjustable blocks are usually mounted on the right and bottom edges of the board to push the board tightly against the fixed blocks for precise board registration. The positions of fixed blocks and adjustable blocks can be interchanged however, to accommodate different board and component configurations.

Selecting and Moving Blocks

Click a block to select it. Selected blocks have a green border. Click and drag blocks to move them.

File

open-file Open Fixture

Click this button to open the Open Positioning Blocks dialog. Select the ASCII text file (.orgn) to open.

Note: The file name of the most recent Positioning Blocks file opened or saved is displayed at the bottom of the window.

save-file Save Fixture

Click this button to open the Save Positioning Blocks dialog. When saving a Positioning Blocks file, the file name that you provide is appended with ".opos" and saved in the "Optotherm\Thermalyze\Positioning Blocks" folder unless you specify a different folder.

Tip: Positioning Blocks files can be saved and then later opened and incorporated into new projects when testing boards with similar layouts.

Export

The Positioning Blocks window can be saved to file in the following formats: bmp, jpg, png, and tif.

Note: Exported Positioning Blocks windows are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Print

Print the Positioning Blocks window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Board Position Controls

block-fixed Add Fixed Block | Click this button to add a fixed block using two thumbscrews.
block-adjustable Add Adjustable Block | Click this button to add an adjustable block using one thumbscrew.
clockwise Rotate Block | Click this button to rotate the currently selected block clockwise.
delete-small Remove Block | Click this button to remove the currently selected block.
delete-large Remove All Blocks | Click this button to remove all blocks.


Image Sequences

Section Topics

The topics in this section explain how to create, display, open and save image sequences.

Figure 1: Image sequence panel

Figure 1: Image sequence panel


Create

Description

An image sequence is a collection of captured images that have been recorded. The Image Sequence panel (see Figure 1) is located below the Main Image on the Thermalyze application window.

Figure 1: Image Sequence panel

Figure 1: Image Sequence panel

An image sequence is created recording captured images using the following multimedia controls in the Image Sequence panel.

icons8-full-tank-48

Image Limit: Image sequences are limited to 5,000 individual images.

Image Sequence Creation Controls

Rec (Record Rate)

Select the rate to record captured images.

record-on Record Images

Press this button to start recording captured images. Unpress this button to stop recording images.

Note: If the Append button insert-frame-after is not pressed, the existing sequence is cleared when the Record Images button is pressed.

Note: The Background Temperature of the first recorded image in the sequence is displayed in the Background Temp field in the lower right corner of the Image Sequence frame.

insert-frame-after Append

When this button is pressed and then the Record Images button is pressed, newly recorded images are appended to the end of the existing sequence.

delete-small Remove Image

Press this button to delete the active sequence image. The active image is selected using the Sequence slider or multimedia controls.

delete-large Remove All Images

Press this button to delete all images from the sequence.

Image Sequence Status

Images | As images are recorded, the Images field in the Image Sequence panel displays the number of images that have been recorded.
Rate | The Rate field displays the rate at which captured images were last recorded to the sequence. Note: If images were appended to the sequence, the record rate of the most recently appended images is displayed.

Recording Captured Images

1.Begin capturing images.

2.Select the rate at which to record images from the Record drop-down box.

3.Press the Record Images button record-on to begin recording captured images into the sequence.

4.To pause or stop recording images, unpress the Record Images button.

5.If the Append button insert-frame-after is pressed, the Record Images button can be pressed again to record additional images to the sequence.


Display Images

Description

Sequence images can be displayed using the following multimedia controls in the Image Sequence panel.

Image Sequence Display Controls

Play (Speed)

Select the speed at which to replay the sequence. Play speed applied to the speed at which the sequence was originally recorded. For example, if the sequence was recorded at 60/sec and Play Speed is set to 2x, then the sequence images will be replayed at a rate of 120 images per second.

Note: The maximum play speed is limited by the processing capabilities of your computer.

seq-first First Image

Display the first image in the sequence.

seq-back-one Back One Image

Display the previous image in the sequence.

seq-play-reverse Play Reverse

Play the sequence in reverse and stop when the first image is displayed.

seq-stop Stop

Stop playing.

seq-play Play Forward

Play the sequence forward and stop when the last image is displayed.

seq-forward-one Forward One Image

Display the next image in the sequence.

seq-last Last Image

Display the last image in the sequence.

clockwise Continuous Play

When this button is pressed, pressing Play Forward or Play Reverse causes the sequence to be replayed continuously.

Sequence Slider

The horizontal slider at the bottom of the Image Sequence panel enables quick sequence scanning to locate images of interest. Drag the slider left or right to scan through images. The index of the active sequence image is displayed above the slider.

Tip: The sequence slider can also be adjusted using the mouse wheel and Ctrl key as explained in the Introduction.

Procedure

1.First, stop capturing images.

2.Using the Play Speed control, select the speed at which to play the sequence.

3.Press the Play Forward or Reverse buttons to display sequence images sequencially. Use the additional multimedia controls to display the first, last, next, and previous sequence image. Alternatively, you can drag the Sequence slider to cycle through images.


Crop and Reduce

Description

Cropping removes images that are not needed from the beginning or end of a sequence. Reducing decreases the number of images in a sequence to reduce the disk space required to save the sequence. Reducing also results in creating smaller sequence movie files.

Image Sequence Edit Controls

crop-left Crop Left End

Set the Sequence slider on the first image that you want to keep and then press this button to remove the images to the left of this image.

crop-right Crop Right End

Set the Sequence slider on the last image that you want to keep and then press this button to remove the images to the right of this image.

seq-reduce Reduce Size

Press this button to decrease the size of the sequence in half by removing every other image in the sequence. When a sequence is reduced, the first image in the sequence is never removed. The last image in the sequence however, will be removed if the sequence contains an even number of images.

Tip: To reduce the size of an even-numbered sequence while retaining the last image, first crop one image from the left of the sequence to create a odd-numbered sequence.


Open and Save

Description

Image sequences are saved in binary format with a .oseq extension. To open the Save or Open Sequence dialog box (or the Open Sequence and Palette dialog box) select the item from the Sequence menu or press the open-file or save-file buttons on the Sequence toolbar.

icons8-file-48

Filename: The file name of the most recently opened or saved sequence file is displayed at the bottom of the Sequence panel.

Sequence Thumbnail

When a sequence is saved, a thumbnail (.jpg) is created in the same directory as the saved sequence so that the sequence can be quickly and easily identified later.

Sequence File Data

The following data is saved in an sequence file:

Date/Time | The date and time when the file was sequence was recorded.
Background Temp | The background temperature when the sequence was recorded.
Number of Images | The number of images in the sequence.
Sequence Record Rate | The rate at which the image sequence was recorded.
Image Pixel Temperatures | Image pixel temperature values are saved in 16-bit and lossless format that preserve temperature resolution of 0.01°C.
Regions | Any existing Regions and their associated Region Settings.
Color Palette | The current Color Palette along with the palette slider and default settings.
Notes | Notes are saved if the Notes window is open and any notes exist.
Reference Image | When a sequence is saved with Image Subtraction activated, the Reference Image is automatically saved in the sequence file.

Open Sequence

Open Sequence

Select the binary sequence file (.oseq) to open. You can also select the sequence thumbnail (.jpg). When an sequence file is opened, the sequence date and Background Temperature are displayed at the bottom of the Sequence panel and then any Regions and Notes that were saved with the sequence are displayed.

Note: When a subtracted sequence is opened, the Reference Image is read from the file and loaded as the current Reference Image and then Image Subtration is activated.

Open Sequence and Palette

If a sequence is opened using the Open Sequence and Palette dialog box, the sequence will be displayed with the same Color Palette and Palette Max and Min settings as when it was originally saved.

Save Sequence

Save Sequence

When saving a sequence file, the file name that you provide is appended with ".oseq" and saved in the "Optotherm\Thermalyze\Sequences" folder unless you specify a different folder.

Note: Saved sequences include no temperature processing such as Region Emissivity or Emissivity Tables. If this information is important to preserve, it must be saved separately by saving Emissivity Tables and saving Regions.


Create Movies

Description

Image sequences can be converted into movies that can be played on multimedia players such as Window Media Player. Movies are created in MPEG-4 Part 14 format (.mp4), a standard format for recording and playing video and audio on a PC. To open the Create Sequence Movie (see Figure 1), select the Create Sequence Movie (mp4) item from the Sequence menu or press the Create Sequence Movie button movie-strip on the Sequence toolbar.

Figure 1: Create Sequence Movie window

Figure 1: Create Sequence Movie window

Create Sequence Movie Settings

File Name

Click this button to open the Create Sequence Movie file dialog box. The file name that you provide is appended with ".mp4" and saved in the "Optotherm\Thermalyze\Movies" folder unless a different folder is selected.

Movie Contents

Choose the contents to display in the movie. You can display images only, images and Region Data, or the entire screen. Choose the entire screen if you want to include multiple windows or graphs in the movie.

Note: If the Entire Screen option is selected, the movie file size may be very large and any actions you perform on the screen while creating the movie will be recorded in the movie.

Quality

Set the compression level of the file. Higher quality levels will improve video and audio quality by lowering data compression but will result in large file size.

Create Movie

Click this button to start creating the movie.

Cancel Movie

Click this button to cancel movie creation after it has been started.

Creating a Movie

1.Create or open an image sequence.

2.If necessary, crop and reduce the size of the sequence to reduce the movie file size.

3.Set the sequence Play Speed setting to control the rate at which individual images will be displayed when the movie is played.

4.Open the Create Sequence Movie window.

5.Click the File Name button and enter a name for the movie.

6.Choose the Movie Contents.

7.Set the movie Quality level.

8.Click the Create Movie button.

Playing a Movie

To play a movie, double-click the movie file. Windows Media Player (or your default multimedia player) will automatically open and the movie will begin to play.

Windows Media Player Tips

To play the movie in Windows Media Player if it is not your default multimedia player, right-click the movie file, hover over the Open with item on the popup menu, and select Windows Media Player. To set Windows Media Player as your default multimedia player, right-click the movie file, hover over the Open with item, and select Choose another app. Select Windows Media Player and check the box at the bottom of the window named "Always use this app to open .mp4 files" and then click the OK button.

To install the latest version of Windows Media Player, search for "Get Windows Media Player" on the web to find the Windows Media Player download page. Beginning with Windows Media Player version 10, you now have the ability to adjust play speed or to step through individual movie frames. To display the Play Speed Settings box, right-click the Window Media Player title bar and select Enhancements > Play Speed Settings.


Instrument Control

Description

To open the Instrument Control window (see Figure 1), click the square-wave button on the Sequence toolbar, or select the Instrument Control item from the Setup menu (or click the square-wave button on the top toolbar) of the Thermal Model Comparison window or Lock-in Thermography window.

Figure 1: Instrument Control window

Figure 1: Instrument Control window

Setup Menu

settings Settings | Open the Instrument Settings window.
tools Startup | Open the Instrument Startup window.
caution-electic Safety | Open the Instrument Safety window.

Instrument Selection

Detect Instruments

Click this button to detect the instruments connected to the computer and list them in the Select Connected Instrument combo box.

The instruments that can be detected are Keithley USBTMC (USB test and measurement class) via USB instrument interface and USBTMC via GPIB instrument interface.

Select Connected Instrument

Select a connected instrument to use.

Instruments with a USB interface are listed, for example, as "USB0::0x05E6::0x2612::4482980::INSTR" where "USB0" designates the USB interface, "0x05e6" designates the Keithley Instruments vendor ID, "4482980" designates the instrument serial number, and "0x2612 designates the model number, and "INSTR" designates the USBTMC protocol.

Instruments with a GPIB interface are listed, for example, as "GPIB0::18::INSTR" where "GPIB0" designates the GPIB interface, "18" designates the GPIB address selected on the instrument, and "INSTR" designates the USBTMC protocol.

Open Connection

Click this button to establish a connection with the selected instrument.

Note: A connection to the instrument must be opened before the instrument can be controlled.

Enable Instrument

Check this box enable the instrument for use during Sequence, TMC, and LIT tests.

Note: When this box is checked, the instrument output is used in place of Sequence Relays, TMC Relays, and LIT Relays.

Important: The Instrument Control window must be open to issue commands to the instrument during Sequence, TMC, and LIT tests.

Instrument Information

Select Model

Select the model that is selected in the Select Connected Instrument combo box.

Command Protocol

Select the instrument communication protocol, SCPI (Standard Commands for Programmable Instruments) or TSP (Test Script Processing). SCPI is an older generic command set supported by older instruments. TSP is a Keithley proprietary command set supported by newer Keithley instruments. Not all Keithley instruments support both protocols.

Important: The protocol will also need to be selected on the instrument. On a 2450 graphical series source measure unit, the communication protocol can be found under System >> Settings >> Command Set.

Source Settings

Sourcing | Choose to source either voltage or current.
Channel | Choose the instrument channel to use.
Ohm's Law Calculator | Click this button to open the Ohm's Law Calculator window.
Setup Instrument | Click this button to setup the instrument with the selected source Settings. When instrument settings are changed, the message "* Setup Required" is displayed to the right of the button until the instrument has been setup with the new settings. Note: The instrument must be setup before a test can be started.

Source Voltage

High Voltage

Enter the output voltage during a Sequence or TMC test, and the first half of each cycle of a lock-in test.

Note: For some instrument models, the voltage measurement range is determined by the larger absolute value of the Voltage High and Low settings.

Low Voltage

Enter the output voltage during the second half of each cycle of a lock-in test.

Current Limit

Enter the maximum output current.

Note: This value may be automatically limited to the Safety Current Limit.

Important: When Current Limit is exceeded during a test, instrument output response may slow significantly as output voltage is reduced to lower current below the limit level. This may result in voltage and current readings that do not reflect values when the output settles. Therefore, for fastest response during lock-in tests, lower voltage until current limit is not exceeded.

Current Range

Enter the current measurement range. When testing circuits with high capacitance or inductance, setting the range higher than Current Limit can help prevent damage to instrument output circuitry. To set the current measurement range equal to Current Limit, set this value lower than Current Limit.

Note: Some instrument models require Current Limit to be within a specific percentage of Current Range and will issue an error if this value is set too high.

Output

Check a box to turn on and test the instrument high or low voltage output. Uncheck a box to turn off the output. These boxes are used during test setup to confirm electrical connection and to evaluate power and resistance dissipation in a defect to estimate required testing time.

Source Current

Current

Enter the output current during a Sequence or TMC test, and the first half of each cycle of a lock-in test.

Note: The current measurement range is determined by this setting.

Voltage Limit

Enter the maximum voltage output.

Note: This value may be automatically limited to the Safety Voltage Limit if the source voltage exceeds the Safety Current Limit.

Important: When Voltage Limit is exceeded during a test, instrument output response may slow significantly as output current is reduced to lower voltage below the limit level. This may result in voltage and current readings that do not reflect values when the output settles.

Voltage Range

Enter the voltage measurement range. When testing circuits with high capacitance or inductance, setting the range higher than Voltage Limit can help prevent damage to instrument output circuitry. To set the voltage measurement range equal to Voltage Limit, set this value lower than Voltage Limit.

Note: Some instrument models require Voltage Limit to be within a specific percentage of Voltage Range and will issue an error if this value is set too high.

Test

Check a box to turn on and test the instrument current output. Uncheck a box to turn off the output. This boxes is used during test setup to confirm electrical connection and to evaluate power and resistance dissipation in a defect to estimate required testing time.

Measurement Readings

Timed: Enable

Check the Enable box to conduct real-time instrument measurements on the instrument front panel which are then displayed at the bottom of the Instrument Control window. Timed readings are performed when a voltage or current test box is checked and during Sequence and TMC tests.

Important: When controlling an instrument remotely via USB or IEEE-488, continuous measurement triggering enables the instrument to conduct measurements continuously when the Test box is checked (see above). If this feature is not available on your instrument, then the Timed: Enable box must be checked to conduct measurements while testing the instrument output. See the Instrument Model Feature Support table to determine if your instrument support continuous measurement triggering.

Reading Rate

Enter the real-time instrument read frequency.

Lock-in Test: Enable

conduct real-time instrument measurements on the instrument front panel which are then displayed at the bottom of the Instrument Control window. LIT Test readings are performed during LIT tests after changes in output.

Note: Measurements can be read from the instrument during LIT tests only when Cycle Frequency is 1Hz and lower to prevent disrupting cycle test timing.

Read Delay

This settings determines when current and voltage are read from the instrument after a change in output during a lock-in test. Increase this setting to delay current and voltage measurements, allowing adequate time for the instrument output to settle and to conduct measurements.

Note: If this setting is higher than the number of frames in a each cycle, readings will not be performed.

Note: Changes in output voltage and current and their measurement are very fast but not instantaneous. Additionally, the magnitude of voltage and current output and settings including High and Low, High Capacitance Mode, Current Limit, NPL Cycles, and Auto Zero determine instrument output settling time and measurement speed.

Take Reading

After checking a voltage or current test box to turn on instrument output, click this button to read and display the output current and voltage until the instrument output has settled.

Send Values

Click this button to send the values in the Current, Voltage, Power, and Resistance fields to the status bar in the Lock-in Thermography window and to the Lock-in Advanced Save and Export window.

IV Curve

Click this button to open the IV Curve window.

Current [mA]

Display field for the measured current in units of milliamps.

Voltage [V]

Display field for the measured voltage in units of volts.

Power [µW]

Display field for the power dissipation in the resistive short circuit of leakage current site in units of microwatts. Power is calculated by multiplying the measured current and voltage.

Tip: Power dissipation in a resistive short is used to estimate the LIT test time required to detect the defect.

Resistance [Ω]

Display field for the resistance of the short circuit of leakage current site in units of ohms. Resistance is calculated by dividing the measured voltage by the measured current.


Relay Setup

Description

Relay outputs can be used to control power to a device while recording an image sequence. To open the Relay Setup for Image Sequence Tests window (see Figure 1), select the Sequence Relay Setup item from the Sequence menu or press the on-off button on the Sequence toolbar.

icons8-book-40

Relay Info: Refer to the relay device manufacturer documentation for detailed specifications and instructions regarding making proper electrical connections.
Figure 1: Relay Setup for Image Sequence Tests window

Figure 1: Relay Setup for Image Sequence Tests window

Relay Device Type

Choose the relay device that is connected to your computer.

Initialize Selected Device

Click this button to detect and establish communication with the selected relay device.

Enable Relays

Check this box enable all relays in the selected device.

Note: This box must be checked in order for any relays to be activated.

Relay (0 to 7)

There are 8 relays (numbered 0 through 7) that can be used to control power to a device under test. Each relay can be programmed to activate and deactivate at a specific time while recording an image sequence. To enable a relay, check its corresponding box.

Activate (0 to 7)

Enter the time (in seconds) to activate the relay. The time is measured from the start of recording an image sequence.

Note: The response time of activating and deactivating relays may be different for each type of relay device.

Deactivate (0 to 7)

Enter the time (in seconds) to deactivate the relay. The time is measured from the start of recording an image sequence.

Important: All relays are automatically deactivated when recording stops, even if the deactivate time has not been reached.

All On

Click this button to activate all enabled relays.

All Off

Click this button to deactivate all enabled relays.

Status (click to test)

Check a box to manually activate a relay. Uncheck the box to deactivate a relay. Mechanical and reed relays will make a soft click when activated or deactivated. Solid state relays will be silent.

Sequence I/O Test Example

1.Open the Relay Setup for Image Sequence Tests window, check the Enable Relays box, and check the Relay 0 boxe.

2.Set the Activate time to 0.0 and the Deactivate time to 5.0 seconds for Relay 0.

3.Make proper electrical connections to your device and Relay 0 according to the relay device manufacturer's user manual.

4.Begin capturing images.

5.Press the Record Images button record-on to begin recording captured images into the sequence. Relay 0 will activate when recording begins.

6.After 5.0 seconds, Relay 0 will deactivate.

7.Unpress the Record Images record-on button to stop recording.

camera-fixed

Stop Capturing: Unpressing the Capture Images button on the Camera toolbar will automatically deactivate all activated relays.


Regions

Section Topics

The topics in this section explain how to create, open and save regions and view temperature statistics of enclosed pixels.

Figure 1: Regions

Figure 1: Regions


Create

Description

Regions are geometrical figures that you can draw on a Main Image to enclose one or more pixels. Up to ten regions can be drawn on an image.Region tools and controls are located in the Region panel (see Figure 1) below the Main Image.

Region statistics are displayed in the Region Data Grid. Using the Region Settings window, maximum and minimum temperature setpoints can be assigned to each region in order to test temperature statistics of pixels enclosed by the region.

Figure 1: Region panel

Figure 1: Region panel

Draw a Region

To draw a Region, first click one of the region shape buttons on the Region toolbar then follow the instruction in the Region Tools section below to draw a specific Region shape. New regions are added below existing Regions in the Region Data Grid.

Processing Rate

Calculating and displaying region statistics requires significant computer resources and image capture rate may decrease when processing and displaying the statistics of many Regions. One solution is to perform post-analysis using Regions on an image sequence. First, record an image sequence of the thermal event with a minimal number of Regions drawn. Then, when replaying the sequence, you can then create as many Regions as needed to analyze the pixel statistics.

icons8-snail-48

Slow Capturing: Processing region statistics requires considerable processing resources. If image capture rate falls when displaying image in large size, follow the suggestions in the Introduction to increase processing rate.

Select a Region

The temperature statistics of the pixels enclosed by each Region are displayed in a row of the Region Data Grid. To select a region, click on the corresponding row in the grid or click on the Region in the Main Image. When selected, the row is highlighted in blue and the Region color becomes cyan.

icons8-select-48

Select Region: If a Region shape button is pressed, a Region cannot be selected by clicking on the Main Image. To unpress the Region shape button, press the Select button cursor-arrow or Cursor Temperature button cursor-temp.

Region Toolbars

reg-black-white Invert Region Color

The default color of an unselected Region is white. If the Region is difficult to distinguish from lite background colors, press this button to set the unselected Region color to black .

settings Region Settings

Click this button to display the Region Settings window.

list Region Information

Click this button to display the Region Information window.

scale legend Scale Legend

Press this button to display a scale legend in the top left corner of the Main Image. The size of the legend is determined by the Scale Legend Width setting in the Measure window.

center-map Show Center

Press this button to display a large cross hairs in the center of the Main Image.

measure Measure Distance

Press this button to display the Measure Distance window.

bar-graph Display Statistics on Region

Press this button to display the maximum, minimum, and mean temperatures for each Region on the Main Image next to the Region's number and name.

Important: This feature requires significant computer resources and should be turned off when not needed. If image capture rate falls, follow the suggestions in the Introduction to increase processing rate.

crosshairs-hot Locate Region Max

Press this button to locate the pixel with the highest value within each Region. The pixel is marked with crosshairs.

Important: This feature requires significant computer resources and should be turned off when not needed. If image capture rate falls, follow the suggestions on the opening page of this HTML help guide to increase processing rate.

open-file Open Regions | Click this button to display the Open Regions dialog.
save-file Save Regions | Click this button to display the Save Regions dialog.
cursor-arrow Select | Select this button to position, resize, and rotate Regions.
cursor-temp Cursor Temperature | Select this button and hover over the image to display the pixel temperature and xy coordinates at the mouse location.
crosshairs Point | Select this button and then click on the image to create a Point Region.
line Line | Select this button and then click and drag on the image to create a Line Region.
rect-region Rectangle | Select this button and then click and drag on the image to create a Rectangle Region.
Full Screen Rectangle | Click this button to create a Rectange Region with the same dimensions as the image.
oval-region Ellipse | Select this button and then click and drag on the image to create an Ellipse Region.
multi-line Polyline | Select this button and then click on the image to to locate the first vertex of the Polyline Region. Click to locate each vertex and then right-click on the last vertex to complete the polyline.
polygon-region Polygon | Select this button and then click on the image to locate the first vertex of the Polygon Region. Click to locate each vertex and then right-click on the last vertex to complete the polygon.
reg-black-white Invert Region Color | The default color of an unselected Region is white. If Regions are difficult to distinguish from lite background colors, press this button to set the unselected Region color to black.
delete-small Delete Region | Click this button to delete the currently selected Region. Tip: After a Region has been selected in the grid, it can also be deleted by pressing the Delete key on the keyboard.
delete-large Delete All Regions | Click this button to delete all Regions.
arrow-left Move Region Left | Click this button to move the currently selected Region left one pixel.
arrow-right Move Region Right | Click this button to move the currently selected Region right one pixel.
arrow-up Move Region Up | Click this button to move the currently selected Region up one pixel.
arrow-down Move Region Down | Click this button to move the currently selected Region down by one pixel.
scissors Cut Region | Click this button to copy the currently selected Region to the clipboard and then delete the Region.
copy Copy Region | Click this button to copy the currently selected Region to the clipboard.
paste Paste Region | Click this button to paste the Region that has most recently been cut or copied to the image. The pasted Region is place at the same position as the originally copied or cut Region but shifted 5 pixels left and down. You can then reposition the pasted Region.
shift-up Shift Region Up | Click this button to shift the currently selected Region up one row in the Region Data Grid.
shift-down Shift Region Down | Click this button to shift the currently selected Region down one row in the Region Data Grid.

Position, Resize, and Rotate Regions

All Regions can be repositioned. All Regions except Point and Line Regions can be resized and rotated.

Position

To position a Region, hover over the Region until the cursor changes into a four-sided arrow and then drag to reposition. To position end points or vertices, first select the Region and then make sure the Select button cursor-arrow or Cursor Temperature button cursor-temp is selected. Hover over the end point or vertex until the cursor changes into a four-sided arrow and then click and drag to reposition. For precise positioning, select a Region and then click the buttons arrow-left, arrow-right, arrow-up, and arrow-down.

Resize

To resize a Region, first select the Region and then make sure the Select button cursor-arrow or Cursor Temperature button cursor-temp is selected. Hover over the Region handles until the cursor changes into a two-sided arrow and then click and drag to resize.

Rotate

To rotate a Region, first select the Region and then make sure the Select button cursor-arrow or Cursor Temperature button cursor-temp is selected. Hover over the rotation handle to the right of the Region until the cursor changes into a rotation symbol and then click and drag to rotate.


Data Grid

Description

The Region Data Grid (see Figure 1) is located in the Region panel below the Main Image and displays statistical temperature information about the pixels enclosed by each Region. Click on a row in the grid to select a Region. When a Region is selected, its row is highlighted in blue and the Region shape color is changed to cyan. Double-click on a row to select a Region and open the Region Settings window.

For each Region, the Statistic to Test is highlighted in green (pass) when the statistic lies within the Region's High and Low Limits. The statistic is highlighted in red (fail) if the statistic lies outside the limits. The outline of each Region shape is also changed to these colors.

Figure 1: Region Data Grid

Figure 1: Region Data Grid

Region Data Grid Columns

# | This field displays a unique index for each Region. Regions are numbered consecutively from 1 to 10.
Name | This field displays a name entered in the Region Settings window by the user to identify each Region.
Hi Lim | The High Limit value is entered in the Region Settings window. Because there is a High Limit value for both Temperature Limits and Image Subtraction Limits, the value displayed depends on whether or not Image Subtraction is activated.
Low Lim | The Low Limit value is entered in the Region Settings window. Because there is a Low Limit value for both Temperature Limts and Image Subtraction Limits, the value displayed depends on whether or not Image Subtraction is activated.
Emiss | This field displays the Emissivity value entered in the Region Settings window for each Region.
Area | This field displays the area of each Region measured in number of pixels.
Max | This field displays the maximum pixel temperature value enclosed by each Region.
Min | This field displays the minimum pixel temperature value enclosed by each Region.
Mean | This field displays the mean value of all pixel temperatures enclosed by each Region.


Settings

Description

The Region Settings window (see Figure 1) allow you to uniquely identify each Region with a name, enter an emissivity for the pixels enclosed by the Region, and create a statistical test for the enclosed pixels.

To open the Region Settings window, click the Region Settings item under the Regions menu, press the settings button on the Region toolbar, or double-click a row in the Region Data Grid. When a Region is selected, its settings are displayed in the Region Settings window and can be modified. If no Region is selected, default settings are displayed and can be modified. New Regions are created with default settings.

Figure 1: Region Settings window

Figure 1: Region Settings window

Region Settings

Region Selected

This field displays the index of the Region that is currently selected in the Region Data Grid. If no Region is selected, "Default" is displayed indicating that the default settings are displayed.

Name

Enter a name to uniquely identify each Region.

Emissivity

Set this parameter below 1.00 when measuring surfaces with low emissivity to compensate for their reduced infrared emission (or reduced tranmission if used to compensate for the transparency of an infrared window). Values range from 0.01 to 1.00.

Caution: The effect of overlapping Regions with emissivity values less than 1.00 is cumulative. This software feature gives you the ability to compensate for reduced transmission using one Region and then overlap a second Region to compensate for an object’s emissivity.

Important: Processing Region emissivity requires significant computer resources. If image capture rate falls, follow the suggestions in the Introduction to increase processing rate.

Region Test Statistic

Select the statistic (None, Max, Min, Mean, or Max & Min) to test against the High and Low Limits. If the value of the Test statistic selected is between these limits, the Region test will pass. If the statistic lies outside the limits, the test will fail. If Max & Min is selected, the test will pass if the value of the Max statistic is less than or equal to the High Limit and the value of the Min statistic is greater than or equal to the Low Limit.

Temperature Limits (High and Low)

The values in these fields are used to test a Region's statistic when Image Subtraction is not activated.

Image Subtraction Limits (High and Low)

The values in these fields are used to test a Region's statistic when Image Subtraction is activated.

Assign to All Regions

Click this button to assign the current settings displayed to all existing Regions.


Open and Save

Description

Region files are saved in binary format with a ".orgn" extension. To open the Open or Save Regions dialog box, select the item from the Regions menu or press the open-file or save-file buttons on the Regions toolbar.

Region File Data

Region files include the geometrical data required to reproduce each Region shape as well as all of the parameters displayed in the Region Settings window for each Region.

Open Regions

Open Regions

Select the binary Regions file (.orgn) to open.

Save Regions

Save Regions

When saving a Regions file, the file name that you provide is appended with ".orgn" and saved in the "Optotherm\Thermalyze\Regions" folder unless you specify a different folder.

Startup Region

When Thermalyze is started, the program searches the "Optotherm\Thermalyze\Regions" folder for the file "Startup.orgn". If this file is located, it is opened and its Regions are displayed. Create your own custom set of startup Regions and save over this file so that they open upon program startup.

Associated Regions

When an image or image sequence is saved, existing Regions are automatically saved in the same file. When an image or sequence file is opened, any associated Regions saved in the file are read and displayed.


Region Information

Description

The Region Information window (see Figure 1) displays details about the currently selected Region. To open the Region Information window, click the Region Information item under the Regions menu or press the list button on the Region toolbar.

Figure 1: Region Information window

Figure 1: Region Information window

Region Information Fields

Type | This field displays the Region shape.
Position | This drop-down box displays the Region position in pixel coordinates. The position of a Line Region is comprised of the position of each end point. The position of a Rectangle or Ellipse Region is comprised of the center location. The position of a Polyline or Polygon Region is comprised of the positions of each vertex.
Line Length | This field displays the length of a Line Region.
Rect Width | This field displays the width of a Rectangle Region.
Rect Height | This field displays the height of a Rectangle Region.
Angle | This field displays the rotation angle of a Rectangle or Ellipse Region.
Radius X | This field displays the radius of an Ellipse Region in the x direction.
Radius Y | This field displays the radius of an Ellipse Region in the y direction.
Std Dev | This field displays the standard deviation of all Regions except a Point Region.


Region Measure

Navigation: Thermalyze

 > Regions >

Return to chapter overview

Measure

Description

The Measure window (see Figure 1) displays distance measurements between a Point Region and the cursor position. To open the Measure window, click the Measure item under the Regions menu or press the measure button on the Region toolbar.

A Point Region must first be drawn on the image. The "Live" column displays the current distance between the Point Region and the cursor position. The "Click" column displays the distance values when the image was most recently clicked.

crosshairs

Point Region: When measuring distances on the Main Image, the Point Region must be the first Region and the Select button cursor-arrow may need to be pressed after creating regions in order to display new distance values in the "Click" column.
Figure 1: Measure window

Figure 1: Measure window

Region Information Fields

Pixel Size

Enter the pixel resolution of the currently installed lens in units of microns. Pixel is the width of each square area on the target that is imaged onto a single detector pixel. When a fixed focus lens is installed and the Measure window is opened, Pixel Size is set equal to the pixel resolution of the installed lens. Values range from 0.001 to 10000.

Fixed focus lenses have a set pixel resolution that is listed in the lens specifications. When using a focusable lens, the pixel size will vary and will depend on the angular field-of-view of the lens and the distance from the lens to the target (see instructions below).

Reference Point

This field displays the status of the reference Point Region.

Distance

This field displays the distance between the reference Point Region and the cursor position. The units are the same as Pixel Size.

Distance X

This field displays the horizontal (x axis) distance between the reference Point Region and the cursor position.

Distance Y

This field displays the vertical (y axis) distance between the reference Point Region and the cursor position.

Calculate Pixel Size for a Focusable Lens

1.Position the camera to view the target and then focus the lens.

2.Place a metal ruler or other object of known length in front of the camera so that it nearly fills the camera’s horizontal field-of-view.

3.Draw a horizontal Line Region the same length as the ruler and note the value in the Area column of the Region Data Grid. This value is the length of the Line Region in pixels.

4.Calculate Pixel Size by dividing the length of the ruler by the Area value.

Figure 2: Measure Settings window

Figure 2: Measure Settings window

Measure Settings Window

Show Region Dimensions | Check this box to display the height and width of rotated rectangles in the same units as Pixel Size.
Scale Legend Width | Enter the width (in number of Pixel Size increments) to display the scale legend on the Main Image.
Hot Spot Search Radius | Enter the pixel radius in which to search for the hottest pixel when using the Hot Spot Locator tool in the Lock-in Thermography window.


Graphs

Section Topics

The topics in this section explain how to create a number of graphs including line profiles, histograms, and strip charts.

Figure 1: Strip chart

Figure 1: Strip chart

icons8-snail-48

Slow Capturing: Graphing and charting consume significant computer resources and image capture rate may decrease when graphs and charts are displayed. Consider selecting a lower update frequency on the top toolbar of each window or close all unnecessary graphs and charts while capturing images. After images have been captured or image sequences have been recorded, open the graphs and charts for post-analysis.. If image capture rate falls, follow the suggestions in the Introduction to increase processing rate.


Line Profile

Description

The Line Profile graph displays real-time temperature data along the pixels of a Line Region. To open the Line Profile window (see Figure 1), select the Line Profile item from the Graphs menu or press the line-profile button on the Shortcuts toolbar.

Figure 1: Line Profile window

Figure 1: Line Profile window

Create a Line Profile

To create a Line Profile graph, draw a Line Region and then select the Region index on the top toolbar of the Line Profile window. The x axis displays the pixels along the Line Region. The value of zero on the x axis indicates the first pixel of the Line Region. If the Line Region is drawn from left to right on the image, the Line Profile will be displayed in the orientation displayed in Figure 1. If the Line Region is drawn from right to left however, the Line Profile will be displayed with negative values of Pixel Position.

Adjust the X and Y Axes

Hover over the top half of the graph and use the mouse scroll wheel to change the y-axis max value. Hover over the bottom half to change the y-axis min value. Hold down the Shift key while scrolling and hover over the left (right) half to change the values of the x-axis min (max). Hold the Ctrl key while scrolling to change values by a smaller increment.

You can also click the Zoom Out Completely button zoom-out-all to set the x-axis and y-axis ranges to the bounds of the data. Set the Auto Range New Data button to on-button to automatically reset the x-axis and y-axis ranges to the bounds of the data each time new data is displayed.

File Menu

Export Window

The Line Profile window can be saved to file in the following formats: bmp, jpg, png, and tif. The size of the exported image is proportional to the size of the Line Profile window.

Note: Exported Line Profile windows are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Export Temperatures

The pixel temperature values in a Line Region can be saved to file in ASCII text format with ".txt" extension. Starting with pixel index 0, the pixel index and then the pixel value are saved to file separated by a tab character. Pixel temperature values are saved in units of degrees Celsius (for example, 24.78). A newline character (carriage return/line feed) separates each pixel index/temperature pair.

Note: Exported pixel temperature values are saved in the "Optotherm\Thermalyze\Export\Line Profiles" folder unless you specify a different folder.

Print

Print the Line Profile window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Toolbar

Region Index | Select the index of the Line Region to display.
Update Frequency | Select the frequency to update the data in the graph. Select max to update the graph each time new data is available.
snowflake Freeze Updates | Press this button to temporarily freeze graph updates.
cursor-arrow Select | Select this button when finished zooming or panning to allow placement of the vertical cursor on the graph.
zoom-in Zoom In | Select this button to zoom into the graph. Click and drag on the graph to select a rectangular area to zoom into.
zoom-out Zoom Out | Click this button to zoom out of the graph one level. Continue clicking this button to zoom out additional level.
zoom-out-all Zoom Out Completely | Click this button to set the x-axis and y-axis ranges to the bounds of the data
pan Pan | Select this button and then click and drag on the graph to pan.
on-button Auto Range New Data | Press this button to automatically reset the x-axis and y-axis ranges to the bounds of the data each time new data is displayed.

Cursor Info

The Cursor Info fields display the pixel location and temperature at two cursor positions. Click a point on the plotted line to set the cursor location. The position of each cursor is displayed as a small circle on the Line Region.

Position | Select the cursor to position.
Temperature | This field displays the temperature on the Line Region at the cursor location.
Position | This field displays the position of the cursor on the Line Region in units of microns according to the value of Pixel Size.


Histogram

Description

The Histogram graph displays the real-time temperature distribution of pixels within a region. To open the Histogram window (see Figure 1), select the Histogram item from the Graphs menu or press the histogram button on the Shortcuts toolbar.

Figure 1: Histogram window

Figure 1: Histogram window

Create a Histogram

To create a Histogram graph, draw a region and then select the region index on the top toolbar of the Histogram window. Histogram data is calculated by dividing the range of pixel temperature value within the selected region in 256 equal temperature intervals. The y axis displays the number of pixels in the selected Region whose temperature lies within the temperature interval whose center value is displayed on the x-axis.

Adjust the X and Y Axes

Hover over the top half of the graph and use the mouse scroll wheel to change the y-axis max value. Hover over the bottom half to change the y-axis min value. Hold down the Shift key while scrolling and hover over the left (right) half to change the values of the x-axis min (max). Hold the Ctrl key while scrolling to change values by a smaller increment.

You can also click the Zoom Out Completely button zoom-out-all to set the x-axis and y-axis ranges to the bounds of the data. Set the Auto Range New Data button to on-button to automatically reset the x-axis and y-axis ranges to the bounds of the data each time new data is displayed.

File Menu

Export Window

The Histogram window can be saved to file in the following formats: bmp, jpg, png, and tif. The size of the exported image is proportional to the size of the Histogram window.

Note: Exported Histogram windows are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Print

Print the Histogram window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Toolbar

Region Index | Select the index of the Region to display.
Update Frequency | Select the frequency to update the data in the graph. Select max to update the graph each time new data is available.
snowflake Freeze Updates | Press this button to temporarily freeze graph updates.
cursor-arrow Select | Select this button when finished zooming or panning to allow placement of the vertical cursor on the graph.
zoom-in Zoom In | Select this button to zoom into the graph. Click and drag on the graph to select a rectangular area to zoom into.
zoom-out Zoom Out | Click this button to zoom out of the graph one level. Continue clicking this button to zoom out additional level.
zoom-out-all Zoom Out Completely | Click this button to set the x-axis and y-axis ranges to the bounds of the data
pan Pan | Select this button and then click and drag on the graph to pan.
on-button Auto Range New Data | Press this button to automatically reset the x-axis and y-axis ranges to the bounds of the data each time new data is displayed.

Cursor Info

The Cursor Info fields display the pixel location and temperature at the cursor location. Click a point on the plotted line to set the cursor location.

Temperature | This field displays the center value of the histogram x-axis temperature interval.
Pixels | This field displays the number of pixels in the selected Region whose temperature lies within the temperature interval whose center value is displayed on the x-axis.


Strip Chart

Description

The Strip Chart plots region temperature statistics that are displayed in the Region Data Grid. Statistical data can be added to the Strip Chart while capturing images or when playing an image sequence. Statistics from up to four Regions can be plotted simultaneously. To open the Strip Chart window (see Figure 1), select the Strip Chart item from the Graphs menu or press the strip-chart button on the Shortcuts toolbar.

Figure 1: Strip Chart window

Figure 1: Strip Chart window

Create a Strip Chart

1.Create one or more Regions or open a region file.

2.On the top toolbar, select the rate at which to plot the Region statistics.

3.Below the Strip Chart, select the Region indexes and the Statistics to plot.

4.Capture images or play an image sequence.

5.Press the Plot Data button record-on to plot the statistics from the selected Regions.

Adjust the X and Y Axes

Hover over the top half of the chart and use the mouse scroll wheel to change the y-axis max value. Hover over the bottom half to change the y-axis min value. Hold down the Shift key while scrolling and hover over the left (right) half to change the values of the x-axis min (max). Hold the Ctrl key while scrolling to change values by a smaller increment.

You can also click the Zoom Out Completely button zoom-out-all to set the x-axis and y-axis ranges to the bounds of the data. Set the Auto Range New Data button to on-button to automatically reset the x-axis and y-axis ranges to the bounds of the data each time new data is displayed.

File Menu

Open Chart

Select the binary Strip Chart file (.ocht) to open.

Save Chart

Strip Chart files are saved in binary format with a ".ocht" extension.

Note: When saving an strip chart file, the file name that you provide is appended with ".ocht" and saved in the "Optotherm\Thermalyze\Strip Charts" folder unless you specify a different folder.

Note: The file name of the most recently opened or saved chart file is displayed at the bottom of the Strip Chart window.

Export Window

The Strip Chart window can be saved to file in the following formats: bmp, jpg, png, and tif. The size of the exported image is proportional to the size of the Strip Chart window.

Note: Exported Strip Chart windows are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Export Temperatures

The Region statistics values in a Strip Chart can be saved to file in ASCII text format (.txt) or binary format (.imb) for import into a spreadsheet program or your own custom application.

In ASCII text format, each x-axis time increment is saved followed by the statistic for each Region. Items are separated by tab characters. X-axis time increments are saved in units of seconds and statistics values are saved in units of degrees Celsius (for example, 53.48). A newline character (carriage return/line feed) separates each time increment/statistics group.

In binary format, all data is saved sequentially with no separators. Both x-axis time and statistics are saved as four-byte floating-point values in little endian format.

Print

Print the Strip Chart window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Strip Chart Controls

record-on Plot Data | Press this button to enable data plotting while capturing images or playing an image sequence. Tip: The cursors are hidden while this button is pressed.
Plot Rate | Select the rate at which data will be plotted. Note: The Strip Chart can hold up to 100,000 data points for each of the four plots. For example, when capturing images at 60 images/sec, the Strip Chart can hold over 27 minutes of data. When capturing at 1/sec, the Strip Chart can hold over 27 hours of data.
Plotted Points | This field displays the number of x-axis time intervals in the plot. Note: The total number of points in the plot actually is 4 times this value because the statistics for each of the 4 Regions are plotted at each x-axis time interval.
trash-can Clear All Data | Click this button to clear all of the data from the Strip Chart.
Update Frequency | Select the frequency to update the data in the chart. Select max to update the graph each time new data is available.
cursor-arrow Select | Select this button when finished zooming or panning to allow placement of the vertical cursor on the chart.
zoom-in Zoom In | Select this button to zoom into the chart. Click and drag on the chart to select a rectangular area to zoom into.
zoom-out Zoom Out | Click this button to zoom out of the chart one level. Continue clicking this button to zoom out additional level.
zoom-out-all Zoom Out Completely | Click this button to set the x-axis and y-axis ranges to the bounds of the data
pan Pan | Select this button and then click and drag on the chart to pan.
on-button Auto Range New Data | Press this button to automatically reset the x-axis and y-axis ranges to the bounds of the data each time new data is displayed.
crop-chart-left Crop Left | Position the vertical cursor on the first data point that you want to keep and then press this button to remove all data to the left of the cursor.
crop-chart-right Crop Right | Position the vertical cursor on the last data point that you want to keep and then press this button to remove all data to the right of the cursor.

Data to Plot

Show | Check this box to display a plot.
Region | Select the index of the Region to plot.
Statistic | Select the Region’s Max, Min, or Mean statistic to plot.

Cursor Temp

While plotting data, the vertical cursor is hidden. While not plotting, click the chart to position the vertical cursor.

Time | While plotting data, this field displays the x-axis time of the most recently plotted point. When not plotting, this field displays the x-axis time position of the vertical cursor.
Cursor Temp | While plotting data, these fields display the temperature statistics of the most recent plotted points. When not plotting, these fields display the temperature statistics of each plot at the cursor x-axis position.


Emissivity

Section Topics

The topics in this section define the term emissivity and explain how emissivity can influence infrared temperature measurement.

Figure 1: Region emissivity

Figure 1: Region emissivity


Theory

Description

Emissivity is a physics term describing the ability of a surface to emit or radiate energy in the infrared region of the electromagnetic spectrum. Surface emissivity is dependent on material makeup, surface characteristics, and measurement angle. Plastics and ceramics tend to have emissivity between 0.8 and 0.95. Metals can have with a much wider range of emissivity (between 0.02 and 0.95) depending on oxidation and surface roughness. The emissivity of many ceramics and plastics have lower emissivity when measured at high angles.

Blackbody

A blackbody is an ideal surface with emissivity equal to 1.00 (100%) and is called a perfect emitter. No surface can radiate more infrared energy at a given temperature than a blackbody. All real surfaces have emissivity below 1.00.

Real Surfaces

Real surfaces have emissivity that ranges between 0 and 1.00. The emissivity of a real surface represents the ratio of infrared energy that the surface emits at a given temperature to that of a blackbody. For example, a surface at 50°C with emissivity of 0.72 emits 72% of the infrared energy that a blackbody would emit at the same temperature. The temperature of an object and its emissivity define how much infrared energy an object radiates.

Reflectance and Transmittance

The reduced emissivity of a real surface is due to its partial reflectance, transmittance, or a combination of both. A surface with high reflectance by definition, has low emissivity. In fact, for opaque surfaces, emissivity is the inverse of reflectance. For example, an opaque surface with reflectance of 40% has emissivity of 60%. There are many opaque materials where this relationship holds such as most metals, plastics, ceramics, papers, paints, and tapes. Examples of semi-transparent surfaces where this relationship does not hold up include thin plastics (below 1mm thick) like plastic wrap, thin visually-transparent electronic coatings, polyimide tape, and exotic refractory materials like Germanium and Silicon.

icons8-reflection-40

Reflective Surfaces: Although there is not perfect correspondence, if a surface exhibits reflectance in the visual spectrum, it usually has similar reflectance in the infrared spectrum. Surface transparency usually does not behave similarly. For example, although glass is transparent in the visual spectrum, it is nearly opaque in the infrared spectrum.

Apparent Temperature

The apparent temperature of a surface is the temperature measured by a thermal imaging camera with no software emissivity compensation applied to the measurement. In other words, the software assumes that the surface is a black body with emissivity of 1.00. Apparent temperature is proportional to the total emitted, reflected, and transmitted infrared energy and is a function of surface temperature, emissivity, and background temperature.

An increase in surface temperature or an increase in surface emissivity both result in higher emittance and thus, higher apparent temperature. Given two surfaces with the same true temperature but different emissivity, a higher apparent temperature will be measured on the surface with higher emissivity. Likewise, given two surfaces with the same emissivity but different true temperature, a higher apparent temperature will be measured for the surface with higher true temperature. Note that the these relationships are valid only if surface temperature is higher than background temperaure.

The apparent temperature of a surface may be substantially different from its true temperature depending on surface emissivity. Only when surface emissivity is known can thermal imaging software compensate for emissivity and then calculate true temperature accurately.

True Temperature

True temperature is the actual temperature of an object and is a measure of the average heat or thermal energy of the particles in a substance.

Reflected Background Infrared Energy

Real surfaces reflect the infrared energy radiated by the surroundings to some degree. Polished aluminum with emissivity of 0.10, for example, reflects 90% of the background infrared energy striking its surface. Because apparent temperature is a function of reflected background energy, the apparent temperature is also dependent on the temperature of the background surroundings. Higher background temperatures will increase the aluminum's reflective energy, resulting in a higher apparent temperature.

Emissivity Compensation

Region Emissivity

Region emissivity can be used compensate for surface reflectance or transmittance. The emissivity of each Region can be set individually in the Region Settings window. When Region emissivity is used to calculate true temperature, an assumption is made that the emissivity is uniform over the area enclosed by the Region. The calculation also assumes that the Background Temperature is also uniform. The accuracy of these assumptions determine the accuracy of calculated temperature values.

Emissivity Tables

Emissivity tables provide the ability to compensate for non-uniform emissivity over a surface pixel-by-pixel. Single temperature and double temperature point emissivity tables can be created. Like Region emissivity, single point emissivity table calculations assume a uniform Background Temperature. Double point tables however, can account for non-uniform backgrounds.

Background Temperature

Background Temperature is the temperature of a target's ambient background. Infrared emissions from the ambient background strike the target and are either absorbed, reflected, or transmitted. Background emissions greatly influence the apparent temperature of low-emissivity surfaces and therefore the Background Temperature must be set correctly in order for Thermalyze to accurately calculate true temperature.

Infrared Windows

Just as the emissivity algorithm can compensate for the reflectance of opaque surfaces, emissivity can also compensate for the reduction of infrared energy due to the partial transmittance of infrared windows. For example, a Region's emissivity can be set to 0.85 to compensate for an infrared window with 85% transmission.


Examples

Description

Most surfaces have uniform emissivity throughout the long infrared wavelength range from 7 to 14 microns in which the IS640 camera operates. For example, the emissivity of most plastics, ceramics, and metals does not vary significantly in this wavelength range. And unless a physical or chemical material transformation takes place, surface emissivity is relatively stable over a reasonable range of temperatures.

Material | Emissivity
Human Skin | 0.98
Water | 0.95
Aluminum (Polished) | 0.10
Aluminum (Anodized) | 0.65
Plastic | 0.93
Ceramic | 0.94
Glass | 0.87
Rubber | 0.90
Cloth | 0.95
Paint (Flat Black) | 0.93
Masking Tape | 0.95


Settings

Description

The Emissivity Settings window (see Figure 1) contains controls that affect how emissivity compensation is calculated for regions and emissivity tables. To open the Emissivity Settings window, click the Emissivity Settings item under the Emissivity menu or press the settings button in the Emissivity section of the Shortcuts toolbar

Figure 1: Emissivity Settings window

Figure 1: Emissivity Settings window

Emissivity Settings

Background Temperature

Set this setting to the temperature of the ambient environment surrounding the object to be measured. This value is used to compensate for the energy that is emitted by the environment and reflected off of the object being measured into the camera. This setting is only used when a region Emissivity setting is below 1.00 and when pixel emissivity is below 1.00 in an emissivity table.

Note: When measuring objects whose temperature is greater than the value of the Background Temperature setting, the compensating algorithm in Themalyze will increase the calculated temperature as emissivity is decreased. In other words, because the total energy measured by the camera is constant for an object at a steady-state temperature, reducing the Background Temperature essentially instructs the software that the total measured energy is emitted by a higher-temperature object with a reduced emittance.

Use Camera Temp

Check this box when measuring objects that are close to the lens. When this box is checked, the real-time camera detector temperature is used in place of the Background Temperature setting when calculating emissivity compensation. The detector temperature is used at close-up measurements because in this case the majority of reflected energy from the target originates from the camera lens and housing.

Note: This is especially applicable when measuring specular surfaces at a perpendicular orientation because these mirror-like objects readily reflect the energy emitted from the camera lens and housing.


Increase

Description

Most plastics, ceramics, and coated metals have relatively high emissivity and their true temperature can be accurately measured using emissivity compensation. Polished metals however, usually have very low emissivity (below 0.20) and measuring their true temperature accurately is difficult and prone to large errors. A small change in emissivity can result in a dramatic change in true temperature calculation. It is usually necessary therefore, to the increase surface emissivity of such materials by applying a coating or surface treatment.

Surface Treatment

The following are several common surface treatments that can be applied. For a given material, more than one of these approaches may be effective. The choice of treatment will depend on factors such as a treatment's ease of application and removal. When selecting and applying a surface treatment, it is important to apply the thinnest layer possible in order to minimize the thermal insulating effects of the treatment layer.

·Apply a thin layer of adhesive tape such as masking tape

·Apply a thin layer of paint, lacquer, or other high emissivity coating

·Apply a surface treatment such as anodizing

·Apply a thin layer of oil, water, or other high emissivity liquid

·Wipe on a thin layer of baby powder or foot powder

·Roughen the surface (may require substantial roughening)


Measure

Description

Thermalyze enables you to measure both apparent temperature and true temperature. If the region emissivity is set to 1.00 (blackbody), the statistics in the Region Data Grid will display apparent temperature. If the Region's emissivity is set to a surface’s true emissivity however, then true temperature will be calculated and displayed.

The accuracy of true temperature calculations is determined by the precision to which emissivity and background temperature are known. The temperature of the ambient surroundings must be known because background infrared emissions reflect off targets, adding to the total energy detected by the camera. If the Background Temperature is held constant in Thermalyze, changes in ambient temperature will affect true temperature measurements. For example, an increase in room temperature of 5°C will increase the measurement of a 40°C object (with 0.80 emissivity) by approximately 1°C.

Measuring Emissivity

Two different techniques to measure emissivity will be described; surface treatment and precision heating. Surface treatment involves covering the surface with a thin, high-emissivity material (typically tape or paint) and then heating the object to any temperature higher than ambient. Precision heating involves heating an object to a precise, steady-state temperature. With both procedures, the most accurate emissivity measurements are achieved when objects are heated to actual, operating test temperatures. If performed correctly, accurate emissivity measurements can be obtained using either approach. The chosen method will depend on the size and shape of the object and its surface shape and texture.

Surface Treatment

This method can be used when an object’s size and surface characteristics allow a small piece of masking tape to be adhered to its surface. Masking tape is relatively thin and has high emissivity (~0.95) that is very uniform, consistent, and stable over time and temperature. Masking tape purchased at hardware stores can be used at temperatures up to 100°C. High temperature masking tape can be purchased from industrial suppliers and can withstand up to 150°C.

When measuring thin objects or objects with small thermal mass, however, masking tape may add a significant thermal barrier that could prevent heat from being transferred efficiently to the tape’s surface. After the tape has been adhered to the surface, heat from the surface transfers quickly to the surface of the tape, whose temperature can be accurately measured.

If tape is not available or cannot be applied due to a surface’s shape or small size, a thin layer of paint or white-out may be applied. A disadvantage of coatings is the difficulty in achieving uniform coating thickness, resulting in variations in emissivity and thermal barrier affects. Therefore, when working with coatings, take care to apply a thin, uniform layer.

Follow this procedure to determine emissivity using the surface treatment method:

1.Apply a small piece of masking tape to the area of interest, making sure to leave an area of the surface exposed next to the tape.

2.Heat the object to a relatively stable temperature that is as close as possible to an actual, operating test temperature at least 25°C above the Background Temperature. Heat can be applied by powering the device or by heating the surface using a hot plate or hot air gun.

3.Capture a thermal image of the heated surface. Important: Make sure the heat source is not reflecting off of the exposed surface when the image is captured.

4.Draw a small Region enclosing the tape and a second small Region enclosing the adjacent exposed surface.

5.Set the Region Emissivity of the Region enclosing the tape to 0.95.

6.Set the Background Temperature correctly.

7.Adjust the emissivity of the Region enclosing the exposed surface until the mean temperatures within both Regions are equal. Record the emissivity value.

Precision Heating

This method should be employed when tape or paint cannot be applied to the surface due to an surface’s small size or rough, uneven texture. Precision heating is also useful when you need to determine the emissivity of many different surfaces on the same object. One of the most common methods of heating small or thin objects, such as semiconductor devices, is using a hot plate.

Follow this procedure to determine an object’s emissivity using the precision heating method:

1.Heat the surface to a known, steady-state temperature that is as close as possible to an actual, operating test temperature at least 25°C above the background temperature. Heat can be applied by powering the device or by heating the surface using a hot plate.

2.Measure the surface temperature using a contact temperature probe or by using thermal imaging to measure the temperature of a surface on the object having known emissivity.

3.Draw Regions enclosing each individual surface to be measured.

4.Adjust the emissivity of each Region until the mean temperatures within the Regions are equal to the temperature measured in step 2. Record the emissivity value of each surface.

icons8-temperature-40

Surface Temperature: The assumption that the hot plate and surface temperature are equal is valid only if there is good thermal coupling between the hot plate and device and if there is no thermal gradient between the bottom of the device and the surface to measure. Thermal pads or grease can be used to thermally couple devices to the hot plate.

Contact Temperature Probes

If used in appropriate situations and applied correctly, contact temperature probes such as thermocouples, thermistors, and RTDs can be used to accurately measure surface temperature. Small objects or thin surfaces however, may not contain enough thermal mass to be accurately measured using such devices. Contact probes act as heat sinks and can significantly lower the surface temperature of small or thin objects.

When fixing contact probes to a surface, a good thermal bond must exist between the surface and the probe. Thermal energy must be efficiently transferred from the surface to the probe in order to heat the probe to the same temperature as the surface.

icons8-dew-point-40

Surface Temperature: Poor thermal bonding of contact probes to a surface will often result in erroneously low temperature measurements.


Emissivity Tables

Section Topics

The topics in this section explain how to create and apply emissivity tables to compensate for surface emissivity variations.

Figure 1: Emissivity table

Figure 1: Emissivity table


Window

Description

An emissivity table is a two-dimensional array of emissivity values that are applied to individual pixels in the Main Image. Emissivity tables are used to correct thermal images of surfaces with non-uniform emissivity. Circuit boards and semiconductor devices, for example, are often comprised of a variety of materials including metals, plastics, ceramics, and semiconductors, each having different emissivity. The errors in measured temperature due to variations in emissivity can be significantly reduced by properly creating and applying emissivity tables.

icons8-statue-40

Don't Move: Because each individual value in an emissivity table applies to a specific image pixel, the camera and device must be fixed in position while creating and applying emissivity tables.

How Emissivity Tables are Created

Emissivity tables are created by stabilizing a device at a known temperature that is at least 25°C higher than ambient background emperature. This temperature difference is needed in order to create a difference between surface emitted energy and ambient reflected energy. After inputting the device Control Temperature and ambient Background Temperature, Thermalyze can then calculate the emissivity at each pixel location.

Single and Double Temperature Tables

Thermalyze can calculate emissivity tables by measuring objects at a single control temperature or at two different control temperatures. The accuracy of single temperature measurements depends on correctly setting the Background Temperature and can be affected by the spatial non-uniformity of background ambient temperature. For these reasons, single temperature measurements are typically employed when ambient temperature is known and uniform (i.e., there are no distinct hot objects in the background whose emissions can reach the device). Double temperature emissivity calculations however, are independent of the Background Temperature setting and can be used when ambient temperature is unknown and/or non-uniform.

icons8-temperature-40

Ambient Temperature: Both single and double temperature emissivity calculations require that ambient background temperature be stable during emissivity table calculation and during the application of the emissivity tables to thermal images.

Device Heating Methods

Prior to calculating emissivity tables, devices must be heated to a stable and measurable temperature. Furthermore, the device must be exposed to the ambient background emissions. Given these constraints, one of the most effective methods of heating a device is by placing it on a heated plate. Resistive element, thermoelectric, or fluid-heated plates can be used as long as their temperature can be precisely controlled.

Device Temperature Measurement

Do not assume that the temperature of the device and heated plate are equal unless the device is very thin or is attached to a heat sink which can be placed flat on the heated plate. Alternatively, you can attach a contact temperature probe directly to the device (for example, a thermocouple, thermistor, or RTD) to measure the object’s temperature. Make sure, however, that the probe is small enough so that it does not conduct heat rapidly away from the device. Thermal pads or grease can be used to improve thermal conductance when mounting the device on the heated plate and when attaching a temperature probe to the device.

The Emissivity Tables window (see Figure 1) is used to create single and double-temperature emissivity tables. To open the Emissivity Tables window, click the Emissivity Tables item under the Emissivity menu or press the table button in the Emissivity section of the Shortcuts toolbar.

Figure 1: Emissivity Tables window

Figure 1: Emissivity Tables window

File

Open Table

Select the binary emissivity table file (.oemi) to open.

Save Table

Emissivity table files are saved in binary format with a ".oemi" extension and preserve emissivity resolution of 0.001.

When saving an emissivity table file, the file name that you provide is appended with ".oemi" and saved in the "Optotherm\Thermalyze\Emissivity Tables" folder unless you specify a different folder.

Export Window

The Emissivity Table window can be saved to file in the following formats: bmp, jpg, png, and tif. Exported Emissivity Table windows are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Print

Print the Emissivity Table window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Active Table

Choose the emissivity table to display in the Emissivity Tables window and to apply to the Main Image. The active table is applied to the Main Image only when the Emissivity Tables window is open. If no regions exist, the active table is applied to the entire Main Image. If one or more regions exist, the active table is only applied to pixels that are enclosed by Regions. Applying emissivity table correction to the entire Main Image consumes significant computer resources and therefore image capture rate may be reduced. To maximize capture rate while applying emissivity tables, draw one or more Regions that enclose only the areas on the device that need to be analyzed.

icons8-file-48

Ambient Temperature: When Open File is selected, the most recently opened emissivity table file is active and its file name is displayed at the bottom of the Active Table panel.

Create Table

Control Temperature | Enter the temperature of the unpowered and stabilized device. Tip: Larger differences between the control temperature and ambient temperature will improve the accuracy of the calculated emissivity table values.
Threshold | Enter the minimum emissivity value that can be added to the table. Calculated values below this threshold will be ignored and set equal to 1.
Create Single 1 | Click this button to create the Single Point 1 table. The control temperature used when calculating the table is displayed to the right of the button.
Create Single 2 | Press this button to create the Single Point 2 table.
Calculate Double | Press this button to calculate the Double Point table. Tip: Before calculating the Double Point table, make sure that the control temperature for the Single Point 2 table is at least 10°C higher than the control temperature for the Single Point 1 table.
Ambient Correction | Click this button to correct for changes in ambient background characteristics that may have changed since creating the emissivity tables.
Active | Check this box to enable ambient correction.

Cursor Info

Emissivity | This field displays the emissivity value at the cursor location.
Location | This field displays the location of the cursor in pixel coordinates.

Region Tools

You can draw one Region of any shape or size on the emissivity table in order to view maximum, minimum, and mean emissivity of the pixels enclosed by the region. To help in locating corresponding areas on the Main Image and emissivity table, the Region can be copied to/from the Main Image.

cursor-arrow Select | Select this button to position, resize, and rotate the Region.
crosshairs Point | Select this button and then click on the table to create a Point Region.
line Line | Select this button and then click and drag on the table to create a Line Region.
rect-region Rectangle | Select this button and then click and drag on the table to create a Rectangle Region.
oval-region Ellipse | Select this button and then click and drag on the table to create an Ellipse Region.
multi-line Polyline | Select this button and then click on the table to locate the first vertex of the Polyline Region. Click to locate each vertex and then right-click on the last vertex to complete the polyline.
polygon-region Polygon | Select this button and then click on the table to locate the first vertex of the Polygon Region. Click to locate each vertex and then right-click on the last vertex to complete the polygon.
reg-black-white Invert Region Color | The default color of an unselected Region is white. If the Region is difficult to distinguish from lite background colors, press this button to set the unselected Region color to black .
delete-large Delete Region | Click this button to delete the Region.
Max, Min, Mean | These fields display emissivity statistics within the Region or the entire table if no Region exists.
Send | Click this button to copy the Region to the Main Image.
Get | Click this button to copy the Region on the Main Image to the Emissivity Tables window. Note: If there are multiple Regions on the Main Image, the first Region is copied.


Create

Region Setup

1.Draw a Region around the area of interest on the device in the Main Image and set the Region's Emissivity setting to 1.00.

2.Set Image Averaging equal to a minimum of 32 images to produce an image with low temporal noise.

Create Single Point 1 Table

1.Control the temperature of the unpowered device to a known temperature that is at least 20°C higher than the Background Temperature and allow the device temperature to stabilize.

2.Measure the temperature of the device and set Control Temperature to the measured value.

3.Open the Emissivity Settings window and set Background Temperature to the current ambient temperature or check the Use Camera Temp box if a microscopic lens is being used.

4.Click the Create Single 1 button.

Create Single Point 2 Table

Single Point 2 table should be created only if you intent to create another single point table for more accurate measurements at higher device temperatures or if you intend to create the double point table.

1.Control the temperature of the unpowered device to a known temperature that is at least 20°C higher than the control temperature used to create the Single Point 1 table and allow the device temperature to stabilize.

2.Set the Enable Image Averaging button to off-button to disable image averaging.

3.Using the micrometer handles on the xy positioning stage, adjust the position of the device to align its image with the Single Point 1 table.

4.Set the Enable Image Averaging button to on-button to enable image averaging.

5.Measure the temperature of the device and set Control Temp to the measured value.

6.If the ambient temperature has changed since creating the Single Point 1 table and the Use Camera Temp box is not checked, set Background Temperature to the current ambient temperature.

7.Click the Create Single 2 button.

Calculate Double Point Table

The double point table is created using the image data collected when the Single Point 1 and 2 tables were created. No additional information or data is needed to create the Double Point table. After the Single Point 1 and 2 tables have been created, simply press the Calculate Double button. For best results, the difference between the control temperatures for the Single Point 1 and 2 tables should be at least 20°C.

1.Create Single Point 1 and 2 tables as described above.

2.Click the Calculate Double button.

Ambient Correction Prior to Device Testing

After an emissivity table has been created, there may be a period of time before it is used. In that time, ambient background characteristics may change including room temperature and the location and temperaure of any heat sources such as light fixtures, windows, and heating vents. These changes will reduce the accuracy of emissivity table correction. Ambient correction can improve accuracy by compensating for changes in ambient conditions. Ambient correction is typically performed immediately prior to testing a powered device.

1.Control the temperature of the unpowered device to the desired test temperature that is at least 20°C higher than the Background Temperature and allow the device temperature to stabilize.

2.Set the Enable Image Averaging button to off-button to disable image averaging.

3.Using the micrometer handles on the xy positioning stage, adjust the position of the device to align its image with the active emissivity table.

4.Set the Enable Image Averaging to button on-button to enable image averaging.

5.Measure the temperature of the device and set Control Temp to the measured value.

6.Click the Ambient Correction button.

7.Check the Active box to enable ambient correction.

8.Power the device.


Apply

Single or Double Point Correction

For most applications, single point emissivity tables provide acceptable compensation for emissivity variations. Although double point tables have the ability to correct for non-uniform background emission, their use can lead to larger measurement errors than single point tables if background emission changes during the measurement process. Also, the requirement to control devices at two difference temperatures when creating double point tables can lead to device movement caused by thermal expansion. Furthermore, the elapsed time between changing device temperature when creating double point tables increases the possibility for device movement and background emission changes.

Device Control Temperature

When creating an emissivity table, more accurate pixel emissivity values can be calculated with larger difference between the device and ambient Background Temperature. For most applications, it is suggested to control the unpowered device to a temperature that is at least 30°C higher than the Background Temperature.

Using Image Sequences

To obtain more accurate results when using emissivity tables, it is helpful to minimize the time between creating an emissivity table and applying it to thermal images. This will result in minimum device movement and background emission changes. Image Sequences can be used to record thermal images of an unpower device and as it is being powered. The images recorded of the unpowered device at the beginning of the sequence can then be used to create a single point table. The emissivity table is then applied to the images of the powered device that were recorded later in the sequence.

The following procedure describes using an image sequence to create and apply an emissivity table.

Region Setup

1.Draw a Region around the area of interest on the device and set the Region's Emissivity setting to 1.00.

2.Set Image Averaging equal to at least 32 images to produce an image with low temporal noise.

Record Sequence

1.Control the temperature of the unpowered device to at least 20°C higher than the Background Temperature and allow the device temperature to stabilize.

2.Measure the temperature of the device and set Control Temp to the measured value.

3.Begin recording an image sequence.

4.Power the device.

5.Stop sequence recording when device power is removed.

6.Stop capturing images.

Create Emissivity Table

1.Locate and display the sequence image immediately prior to any temperature increases due to device powering.

2.Set Background Temperature to the temperature displayed in the Background Temp field at the bottom of the Sequence panel.

3.Click the Create Single 1 button.

Apply Emissivity Table

1.Locate and display the sequence images recorded after power was applied.

2.To toggle the emissivity table off and on, toggle between the Active Table None and Single Point 1 options .


Overlay

Section Topics

The topics in this section explain how to create and use a graphic or drawing as an overlay with the Main Image to help locate hot spots and thermal artifacts.

Figure 1: Overlay

Figure 1: Overlay


Controls

Description

An overlay is a graphic, drawing, or thermal image of a device that can be superimposed over or merged with the device's thermal image. Overlays enable you to quickly locate areas on a device that correspond to hot spots and thermal gradients or anomalies displayed on the thermal image. Pixels in the thermal image within a specific temperature range replace corresponding pixels in the overlay. Overlay controls are located in the Overlay panel (see Figure 1) to the right of the Main Image.

Figure 1: Overlay panel

Figure 1: Overlay panel

ON/OFF | Press this button to display or hide the overlay.
Max and Min Levels | Drag the max and min trackbar handles to determine the temperature range of thermal image pixels that replace corresponding pixels in the overlay. Units are percentage of thermal image temperature range. Thermal image temperature range is calculated by subtracting the minimum pixel value in the thermal image from the maximum. Tip: You can also hover over the trackbar and use the mouse scroll wheel to change the value.
Thermal Overlay | Click this button to transfer the currently displayed thermal image to the Overlay window where it can be used as the overlay for the Main Image.


Window

Description

The Overlay window (see Figure 1) allows images and schematics to be aligned with the thermal image of a device so that thermal anomalies and gradients can quickly be located. Overlays can be manually flipped, rotated, and shifted. They can also be automatically sized, positioned, and rotated so that features on the overlay correlate positionally with the same feature the thermal image.

To open the Overlay window, select the Overlay item from the Test Tools menu or press the picture-frame button in the Test Tools section of the Shortcuts menu.

Figure 1: Overlay window

Figure 1: Overlay window

File

open-file Open Overlay

Click this button to open the Open Overlay dialog. Image files with the following extensions can be opened : ".bmp", ".jpg", "png", and ".tif".

Note: The file name of the most recent overlay file opened or saved is displayed at the bottom of the Overlay window.

save-file Save Overlay

Click this button to open the Save Overlay dialog. Image files with the following extensions can be saved : ".bmp", ".jpg", "png", and ".tif". When saving an overlay, the file name that you provide is appended with ".bmp" unless a another extension is included in the file name. Overlays files are saved in the "Optotherm\Thermalyze\Overlays" folder, unless a different folder is selected.

delete-small Clear Overlay

Clears the current overlay.

Export Window

The Overlay window can be saved to file in the following formats: bmp, jpg, png, and tif. The size of the exported image is proportional to the size of the Overlay window.

Note: Exported Overlay windows are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Print

Print the Overlay window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Setup

spectrum-palette Get Thermal Image

Click this button to set the currently displayed thermal image as the current overlay. The button labeled "Thermal Overlay" located in the Overlay panel to the right of the Main Image has identical functionality fo the Get Thermal Image button.

High-contrast thermal overlays can be often be created by increasing the temperature of the target in order to accentuate the emissivity differences of various surfaces. Common methods of increasing target temperature include using the Thermal Stage for small devices or a heat gun for larger devices and circuit boards.

Tip: Use the Grayscale or Temperature color palettes to create a thermal overlay with high detail.

movie-camera Get Video Image

Click this button to set the currently displayed video image from the Video Camera window as the current overlay.

settings Overlay Settings

Click this button to display the Overlay Settings window.

image-size Large Image Size

Press this button to display the overlay in full size, unpress for reduced size.

Zoom

zoom-in Zoom In | Select this button and then click a point on the overlay to zoom in to that area. Overlays can be zoomed from 1x up to 8x. After zooming in to 8x, the Pan tool is automatically selected to allow you to pan the overlay.
zoom-out Zoom Out | Select this button and click a point on the overlay to zoom out from that area. After zooming out to 1x, the Pan button pan is automatically selected.
zoom-out-all Zoom Out Full | Click this button to zoom out to 1x. After pressing this button, the Pan tool is automatically selected.
Zoom Level | This field display the current zoom level.
pan Pan | Select this button and then click and drag on the overlay to pan. The overlay must be zoomed in at least 2x in order to pan.
crop-picture Crop | Zoom and pan the overlay and click this button to crop the overlay.

Regions

cursor-arrow Select | Select this button to position, resize, and rotate Regions.
crosshairs Point | Select this button and then click on the overlay to create a Point Region.
line Line | Select this button and then click and drag on the overlay to create a Line Region.
multi-line Polyline | Select this button and then click on the overlay to to locate the first vertex of the Polyline Region. Click to locate each vertex and then right-click on the last vertex to complete the polyline.
reg-black-white Invert Region Color | The default color of an unselected Region is white. If Regions are difficult to distinguish from lite background colors, press this button to set the unselected Region color to black .
delete-large Delete Region | Click this button to delete the Region.

Align

alignment-correction Automatic Alignment

Click this button to automatically resize, rotate, and shift the overlay so that the 3-sided Polyline Region on the overlay matches the corresponding Region on the thermal image.

Tip: Automatic alignment should be used when the same features can easily be identified on both the overlay and thermal image.

measure Manual Alignment

Click this button to open the Manual Overlay Alignment window.

Tip: Manual alignment should be used when an inadequate number of features can be identified on both the overlay and thermal image for automatic alignment to be used.

Flip

flip-horizontal Flip Horizontally | Press this button to flip the overlay horizontally.
flip-vertical Flip Vertically | Press this button to flip the overlay vertically.

Rotate

counter-clockwise Rotate Counter-Clockwise

Click this button to rotate the overlay counter-clockwise. In order to rotate the overlay, a single Point or Line Region must exist on the overlay to identify the point around which to rotate the overlay. When a Line Region is used, the overlay is rotated around the start point.

Tip: Overlay rotation is typically used after automatic alignment procedures for fine tuning overlay alignement.

Tip: Rotation can degrade overlay quality. Therefore, to maintain high overlay quality, minimize the number of rotation procedures. A rotation procedure comprises pressing the rotation buttons (once or multiple times) and then pressing a non-rotation button to set the overlay rotation.

clockwise Rotate Clockwise

Click this button to rotate the overlay clockwise.

Rotation Increment

Select the angle increment to rotate the overlay each time a rotate button is clicked.

Shift

arrow-left Shift Left

Click this button to shift the overlay left one pixel.

Tip: Overlay shifting is typically used after automatic alignment procedures for fine tuning overlay alignement.

Tip: Shifting can crop the overlay. Therefore, to minimize unnecesarry cropping, minimize the number of shift procedures. A shift procedure comprises pressing the shift buttons (once or multiple times) and then pressing a non-shift button to set the overlay shift.

arrow-right Shift Right

Click this button to shift the overlay right one pixel.

arrow-up Shift Up

Click this button to shift the overlay up one pixel.

arrow-down Shift Down

Click this button to shift the overlay down one pixel.

Shift Increment

Select the number of pixels to shift the overlay each time a shift button is clicked.

Undo Controls

undo Undo Changes | Click this button to replace the current overlay with the Undo overlay and store the current overlay into memory as the Redo overlay.
redo Redo Changes | Click this button to replace the current overlay with the Redo overlay .
paper-clip Set Undo Overlay | Click this button to store the current overlay into memory as the Undo overlay . Note: When an overlay is opened from file, it is automatically stored into memory as the Undo overlay.

Status Bar

The pixel size of the current overlay is displayed at the bottom of the window.


Settings

Description

To open the Overlay Settings window (see Figure 1), select the Settings item under the Setup menu on the Overlay window or press the settings button in the Setup section on the toolbar.

Figure 1: Overlay Settings window

Figure 1: Overlay Settings window

Max Resolution

Select the maximum resolution of an overlay. When an overlay is opened, if it has horizontal or vertical resolution greater than this settings, then the overlay resolution is reduced to this resolution. To obtain optimal overlay clarity, select a resolution settings (if possible) that is equal to or greater than the resolution of the overlay file that will be opened.

Tip: When a higher Overlay Resolution is selected, the current overlay in memory is converted to the new resolution. Therefore, to maintain optimal overlay clarity, re-open the overlay file so that the original overlay file is converted to the higher resolution.

Note: Higher resolution overlays require longer times to process and align.


Manual Alignment

Description

Click the Manual Overlay Alignment button measure on the top toolbar of the Overlay window to open the Manual Overlay Alignment window (see Figure 1). This window enables the measurement of overlay pixel size and can automatically resize, rotate, and shift the overlay to match the Main Image.

icons8-microchip-blurry-48

Few Features: Manual overlay alignment should be used when an inadequate number of features can be identified on both the overlay and Main Image for automatic alignment to be used.
Figure 1: Manual Overlay Alignment window

Figure 1: Manual Overlay Alignment window

Thermal Image

Pixel Size

Enter the dimensions of each thermal image pixel in object space. Object space represents real dimensions on the target object. Pixel size depends on the camera lens installed and working distance. Microscopic lenses have a fixed working distance and so their pixel size is constant. For example, the 20 micron lens has a pixel size of 20 microns.

Tip: Measuring thermal image pixel size for a focusable lens can be accomplished by drawing a Line Region along an object in the thermal image that has a known length and then dividing that length by the number of pixels in the region.

Get from Lens [microns]

Press this button to obtain the thermal image pixel size based on the current lens installed.

Note: The thermal image pixel size cannot be obtained in this way for a focusable lens as pixel size depends on working distance.

Overlay

Pixel Size | If known, enter the dimensions of each overlay pixel in object space. Object space represents real dimensions on the target object.
Line Length | Enter the distance in object space between the end points of the Line Region drawn on the overlay.
Calculate from Line Length | Click this button to calculate the overlay pixel size by dividing Line Length by the number of pixels in the Line Region. Note: A line Region must exist on the overlay before the overlay pixel size can be calculated.

Alignment

Align Overlay to Point | Click this button to automatically resize and shift the overlay so that the point Region on the overlay aligns with the corresponding point Region on the thermal image. Note: The overlay may need to be manually rotated to match the thermal image.
Align Overlay to Line | Click this button to automatically resize, rotate, and shift the overlay so that the Line Region on the overlay aligns with the corresponding line Region on the thermal image.


Alignment

Initial Setup

1.Open the Overlay window by selecting the picture-frame button in the Test Setup section of the Shortcuts toolbar.

2.Open the Overlay Settings window and set Overlay Resolution to a minimum of 1280 x 960.

3.Open the overlay file that corresponds to the device under test.

4.If necessary, use the flip-horizontal and flip-vertical buttons to flip the overlay to match the overlay orientation to the Main Image .

5.Delete all existing regions by pressing the Delete All Regions button delete-large on the Regions toolbar below the Main Image.

Automatic Alignment

icons8-microchip-48

Many Features: Automatic alignment should be used when the same features can easily be identified on both the overlay and Main Image.

1.On the Region toolbar below the Main Image, select the Polyline Region button multi-line and draw one (and only one) three-sided Polyline Region on the Main Image . Position it so that it aligns with distinct features of the device such as corners, edges, or through-holes. Features should be chosen so that the Region's three lines are at right angles to each other (i.e., forming three sides of a rectangle) and so that the four points making up the Polyline Region represent the four vertices of a rectangle.

2.On the top toolbar in the Overlay window, select the Polyline Region button multi-line and draw a three-sided Polyline Region on the overlay. Position it so that the four points of the Polyline Region align with the same features as the four points on the Main Image . Use the overlay Zoom and Pan tools for precise placement of Region vertices.

3.Press the Automatic Alignment button alignment-correction.

Manual Alignment

icons8-microchip-blurry-48

Few Features: Manual alignment should be used when an inadequate number of features can be identified on both the overlay and Main Image for automatic alignment to be used.

Determine Thermal Image Pixel Size

1.Open the Manual Overlay Alignment window.

2.If the currently installed lens is a fixed-focus lens, press the Get from Lens [microns] button to obtain the thermal image pixel size.

3.If the currently installed lens is a focusable lens, draw a Line Region along an object in the thermal image that has a known length and then divide that length by the number of pixels in the region. Enter the calculated value in the Thermal Image Pixel Size box.

Determine the Overlay Pixel Size

1.If the overlay pixel size is known, enter it in the Overlay Pixel Size box.

2.If the overlay pixel size is not known, On the top toolbar in the Overlay window, select the Line Region button line and draw a Line Region on the overlay. Position the start and end points with a distinct feature of the device whose length is known or can be determined. Use the overlay Zoom and Pan tools for precise placement of start and end points.

3.Enter the length of the feature in the Overlay Line Length box in units of microns and then press the Calculate from Line Length button.

Align to Point

1.Delete all existing Regions by pressing the Delete All Regions button delete-large on the Regions toolbar below the Main Image.

2.On the Region toolbar below the Main Image, select the Point Region button crosshairs and draw one (and only one) Point Region on the thermal image so that it aligns with a distinct feature of the device.

3.On the top toolbar in the Overlay window, select the Point Region button crosshairs and draw a Point Region on the overlay. Position it so that it aligns with the same feature as on the thermal image. Use the overlay Zoom and Pan tools for precise placement of the Region.

4.Press the Align to Point button to automatically resize and shift the overlay to match the thermal image.

Align to Line

1.Delete all existing Regions by pressing the Delete All Regions button delete-large on the Regions toolbar below the Main Image.

2.On the Region toolbar below the Main Image, select the Line Region button line and draw one (and only one) Line Region on the thermal image so that its start and end points align with a feature edge. Note: the exact position of the end point is not important as it is only used for rotation angle.

3.On the top toolbar in the Overlay window, select the Line Region button line and draw a Line Region on the overlay. Position it so that the start point aligns with the same feature as the start point on the thermal image and the end point is positioned along the same feature edge. Note: the exact position of the end point is not important as it is only used for rotation angle. Use the overlay Zoom and Pan tools for precise placement of the Region.

4.Press the Align to Line button to automatically resize, rotate, and shift the overlay to match the thermal image.

Fine Tune Alignment

1.Use the Shift buttons arrow-left, arrow-right, arrow-up, and arrow-down to correct for any remaining offset between the overlay and thermal image.

2.Use the Rotate buttons counter-clockwise and clockwise to correct for any remaining rotation misalignment between the overlay and thermal image.


Instrument Control

Section Topics

The topics in this section explain how to setup and control Keithley power supplies and source measure units during lock-in thermography, thermal model comparison, and sequence tests.

Figure 1: Instrument Keithley 2450

Figure 1: Instrument Keithley 2450


Overview

Instruments are DC power supplies and source measure units that can be controlled by Thermalyze via USB or GPIB interface to output voltage and current to an electronic device during Sequence, Thermal Model Comparison (TMC), and Lock-in Thermography (LIT) tests.

icons8-book-40

Manufacture Info: Refer to the instrument manufacturer documentation for detailed specifications and instructions regarding appropriate instrument settings and making proper electrical connections.

Supported Keithley Instruments

·Series 2230 three channel DC power supplies (2230-30-3, 2230-30-6, 2230-60-3)

·Series 2280S DC power supplies (2280S-32-6, 2280S-60-3)

·2400, 2401, 2410, 2420, 2440 standard source measure units

·2450, 2460, 2461, and 2470 graphical source measure units

·2601A, 2601B, 2602A, 2602B, 2604B, 2611A, 2611B, 2612A, 2612B, 2614B, 2634B, 2635A, 2635B, 2636A, 2636B, 2657A source measure units

Computer Control Interface

Some instrument models include a USB port for direct connection to a computer USB port. Other instrument series only include a GPIB (IEEE-488) port that will require a National Instruments USB GPIB controller model GPIB-USB-HS+ to connect to the computer USB port.

icons8-switch-on-48

Cycle Power: When switching between USB and GPIB instrument interface, the instrument power may need to be cycled.

icons8-share-48

Shared Settings: Instrument settings are shared between Sequence, TMC, and LIT tests. For example, if changes to settings are made to Instrument settings when setting up or opening a lock-in test, the changed settings will apply if a Sequence test is subsequently performed. In this case, Program Settings can be used to restore settings to a previous state prior to performing the Sequence test.

Thermalyze Test Instrument Control

Sequence Tests

When the Record Images button record-on is pressed on the Sequence toolbar, the Instrument source voltage is set to the Voltage High setting and the output is turned on. Instrument measurements are conducted immediately after each voltage output change and displayed on the instrument front display.

Thermal Model Comparison Tests

When a TMC test is started, the Instrument source voltage is set to the Voltage High setting and the output is turned on. When the test ends, the output is turned off and the source voltage is set to 0 volts.

Lock-in Thermography Tests

When a lock-in test is started, the Instrument source voltage is set to the Voltage High setting and the output is turned on. Instrument voltage and output are controlled during each LIT test cycle according to Power Mode settings and the status of setting Turn Output Off at 0V.

Instrument Measurements During Tests

Instrument measurements are conducted immediately after each output change and displayed on the instrument front display.

Important: When a test ends, the instrument output is turned off and voltage (when sourcing voltage) or current (when sourcing current) is set to zero.

Instrument Model Feature Support

Instrument Feature | Series 2230 (2230-30-3, 2230-30-6, 2230-60-3) | Series 2280S (2280S-32-6, 2280S-60-3) | 2400, 2401, 2410, 2420, 2440 | 2450, 2460, 2461, 2470 | 2601A, 2602A | 2601B, 2602B, 2604B | 2611A, 2612A, 2635A, 2636A, 2657A | 2611B, 2612B, 2614B, 2634B, 2635B, 2636B
Computer Control Interface | USB/GPIB (2230G) | USB/GPIB | GPIB | USB/GPIB | USB/GPIB | USB/GPIB | USB/GPIB | USB/GPIB
Command Protocol | SCPI | SCPI | SCPI | SCPI, TSP | TSP | TSP | TSP | TSP
Sourcing Voltage/Current | voltage only | voltage only | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark
Channels | channel 1, 2, 3 | channel A | channel A | channel A | channel A/B | channel A/B | channel A/B | channel A/B
Source Range | delete-large | checkmark | delete-large * | checkmark | checkmark | checkmark | checkmark | checkmark
Terminals | front and rear | front | front and rear | front and rear | rear | rear | rear | rear
Sounds | delete-large | checkmark | checkmark | delete-large | checkmark | checkmark | checkmark | checkmark
Breakdown Protection | delete-large | delete-large | delete-large | 2470 only | delete-large | delete-large | delete-large | delete-large
Output Off Mode | normal only | normal only | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark
High Capacitance Mode | delete-large | delete-large | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark
Display Digits | delete-large | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark
NPL Cycles | delete-large | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark
Auto Zero | delete-large | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark
Reset Defaults | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark
Turn Output Off at 0V | delete-large | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark | checkmark
Test Start Check | delete-large | delete-large | output enable† | interlock | output enable* | output enable* | interlock | interlock
Remote Mode Continuous Measurement Triggering†† | delete-large | checkmark | delete-large | delete-large | delete-large | delete-large | delete-large | delete-large

* For the 2400 series, Voltage and Current Range entries are ignored and output ranges are determined by Voltage and Current Limits.

† According to Tektronix (Keithley) product documentation, the output enable feature is not suitable for control of safety circuits and should not be used to control a safety interlock. When an interlock is required for safety, a separate circuit should be provided that meets the requirements of the application to reliably protect the operator from exposed voltages.

†† When controlling an instrument remotely via USB or IEEE-488, continuous measurement triggering enables the instrument to conduct measurements continuously when the Test box is checked in the Instrument Control window. If this feature is not available on your instrument, then the Timed: Enable box must be checked to conduct measurements while testing the instrument output.

Troubleshooting

Communication Error "TSP Syntax error"

When attempting to communicate in SCPI Protocol with the Keithley graphical source measure units model 2450, 2460, 2461, or 2470 and "TSP Syntax error..." is displayed on the instrument, the instrument's Command Set needs to be changed to SCPI.

1.On the instrument push the Menu button and then on the touch screen select System >> Settings >> Command Set >> SCPI.

2.Reboot the instrument when prompted.

Communication Error "SCPI Syntax error"

When attempting to communicate in TSP Protocol with the Keithley graphical source measure units model 2450, 2460, 2461, or 2470 and "SCPI Syntax error..." is displayed on the instrument, the instrument's Command Set needs to be changed to TSP.

1.On the instrument push the Menu button and then on the touch screen select System >> Settings >> Command Set >> TSP.

2.Reboot the instrument when prompted.

Lost USB Communication

If communication is lost between the instrument and computer and cannot be reestablished, the cause may be due to USB buffer corruption.

1.First try clicking the Open Connection button to clear the computer USB buffers.

2.If this does not resolve the issue, cycle instrument power to clear the instrument USB buffers.

Incorrect Measurement Readings

Instrument voltage and current are read and displayed at specific times during a test. Instrument settings including Voltage High and Low, High Capacitance Mode, Current Limit, NPL Cycles, and Auto Zero determine the instrument output response time. After checking an Output checkbox to turn on the low or high voltage output when setting up a test, the Take Reading button may need to be clicked several times to read and display the settled output voltage and current. During a test, increase the Reading Delay setting to delay measurements, allowing adequate time for the instrument output to settle and to conduct measurements. The timing of readings on the instrument panel depend on

Irregular Instrument Readings

When operating in Pulse Power Mode and Pulse Length is short (<100 ms), the timing of readings displayed on the instrument panel may be irregular due to overlap of measurements and fast output changes.

Instrument Buffer Overflow

During a lock-in test, commands are sent to the instrument through the USB interface. If the instrument is unable to process all commands before receiving additional commands, the additional commands will accumulate in the instrument buffer, resulting in corruption of output timing. Enabling High Capacitance Mode will slow instrument output response and may result in instrument buffer overflow at test cycle frequencies above 1Hz. If a test has been started at a high Cycle Frequency and buffer overflow has occurred, instrument power may need to be cycled to clear the buffer.

Windows USB Power Saving

If intermittent disruptions in communication occur or when running tests for long periods of time (hours or overnight testing), disable the Windows USB power saving feature.

1.Open Windows Device Manager.

2.Locate the instrument in the list and then right-click and select Properties.

3.On the General tab note the Hub #.

4.Expand Universal Serial Bus controllers.

5.Right-click each USB Hub and on the General tab, identify the hub on which the device is located.

6.When the correct hub is identified, select the Power Management tab and uncheck "Allow the computer to turn off this device to save power".

7.Clock OK to close Device Manager.


Instrument Series 2230 Settings

Description

Keithley series 2230 three channel DC power supplies (2230-30-3, 2230-30-6, 2230-60-3) offer three independent channels outputs that can be controlled during Sequence and Thermal Model Comparison (TMC) tests. One or more of the channels can be cycled during a Lock-in Thermography (LIT) test and the remaining channels can be used for biasing prior to the start of the test.

To open the Instrument Series 2230 Settings window (see Figure 1), click the Series 2230 Settings button on the Instrument Control window .

Figure 1: Instrument Series 2230 Settings

Figure 1: Instrument Series 2230 Settings

Source Settings

Ohm's Law Calculator | Click this button to open the Ohm's Law Calculator window.
Setup Instrument | Click this button to setup the instrument with the selected source settings. When instrument settings are changed, the message "* Setup Required" is displayed to the right of the button until the instrument has been setup with the new settings. Note: The instrument must be setup before a test can be started.

Source Voltage

Enable | Check this box to enable a channel for output testing, Sequence and TMC testing, and lock-in test cycling.
Cycle | Check this box to cycle a channel output on and off during a lock-in test.
Voltage | Enter the channel output voltage during a Sequence or TMC test, and the first half of each cycle of a lock-in test. Channel outputs are turned off during the second half of each cycle of a lock-in test.
Current Limit | Enter the maximum channel output current. Note: This value may be automatically limited to the Safety Current Limit. Important: When Current Limit is exceeded during a test, instrument output response may slow significantly as output voltage is reduced to lower current below the limit level. This may result in voltage and current readings that do not reflect values when the output settles. Therefore, for fastest response during lock-in tests, lower channel voltage until current limit is not exceeded.
Output | Check a box to turn on and test a channel voltage output. Uncheck a box to turn off the output. These boxes are used during test setup to confirm electrical connection and to evaluate power and resistance dissipation in a defect to estimate required testing time. They can also be used to provide voltage prior to the start of a Sequence, TMC or lock-in test.

Lock-in Test Bias Settings

Bias channel voltage output can be applied to an electronic device prior to the start of a lock-in test. To setup a channel bias output, check the Enable box, uncheck the Cycle box, and set the appropriate bias channel voltage and current limit. The biasing time prior to the start of a lock-in test and the bias output status when the test ends are controlled by the following settings. Note that if all bias channel outputs are activated prior to the start of a lock-in test, there will be no test start delay.

Test Start Delay | Enter the time delay after turning on bias channel outputs before a lock-in test begins.
Test End Off | Check this box to turn channel outputs off when a lock-in test ends.

Measurement Readings

The Timed and Lock-in Test settings in the Measurement Readings frame on the Instrument Control window determine when measurement readings are performed.

Send Values

Click this button to send the channel values in the Current, Voltage, Power, and Resistance fields to the status bar in the Lock-in Thermography window and to the Lock-in Advanced Save and Export window.

Current [mA]

Display field for the measured channel current in units of milliamps.

Voltage [V]

Display field for the measured channel voltage in units of volts.

Power [µW]

Display field for the channel power dissipation in the resistive short circuit of leakage current site in units of microwatts. Power is calculated by multiplying the measured current and voltage.

Tip: Power dissipation in a resistive short is used to estimate the LIT test time required to detect the defect.

Resistance [Ω]

Display field for the channel resistance of the short circuit of leakage current site in units of ohms. Resistance is calculated by dividing the measured voltage by the measured current.


Settings

The Instrument Settings window (see Figure 1) is used to set instrument parameters. To open this window, click the Instrument Settings item under the Setup menu (or click the settings button on the top toolbar) of the Instrument Control window.

Figure 1: Instrument Settings window

Figure 1: Instrument Settings window

System Settings

Terminals

Select the front of rear terminals on the instrument for output.

Sounds

Enable or disable instrument sounds.

Breakdown Protection

Due to the limited bandwidth of the Keithley 2470 source meter, current output may exceed the programmed or current limit value. Over current conditions are more likely to occur at high voltage transitions and when test circuit capacitance is high. To limit output current, breakdown protection adds a 500 Ω resistor in series with the source output.

When set to Auto, the resistor is automatically added when the voltage range is 200 volts or higher and when the current range is less than or equal to the 10 mA. When the voltage range is below 200 volts or the current range is above 10 mA, the breakdown protection resistor is automatically removed.

Source Settings

Output Off Mode

Select the state of the output terminals when the source of the instrument is turned off. This setting places the instrument in a known, non-interactive state during idle periods, such as when you are changing the device under test.

Important: When the High Impedance state is selected and the output is turned off, the output relay opens, disconnecting the instrument as a load and disconnecting external circuitry from the inputs and outputs of the instrument. To prevent excessive wear on the output relay, do not use High Impedance state for tests that turn the

output off and on frequently.

High Capacitance Mode

When the instrument is measuring low current and is driving a capacitive load, you may see overshoot, ringing, and instability. You can enable the High Capacitance Mode to minimize these problems.

Important: Enabling high capacitance mode will slow instrument output response and may result in instrument buffer overflow when LIT test Cycle Frequency is higher than 1Hz.

Note: This setting applies only when operating in 1 μA and above current ranges.

Measure Settings

Display Digits

Enter the number of digits that are displayed for measurements on the instrument front panel.

NPL Cycles

Enter The amount of time that current and voltage are measured. The amount of time is specified as the number of power line cycles (NPLCs). Each PLC for 60 Hz is 16.67 ms (1/60) and each PLC for 50 Hz is 20 ms (1/50). The shortest amount of time results in the fastest reading rate, but increases the reading noise and decreases the number of usable digits.

Note: If you change this setting, you may want to adjust the Display Digits settings to reflect the change in usable

digits.

Important: Large values of NPL Cycles may degrade lock-in test timing, especially when LIT test Cycle Frequency is higher than 1Hz.

Auto Zero

Check this box to set the instrument so that it periodically gets new measurements of its internal ground and voltage reference. This setting increases measurement accuracy, but may slow measurement time.

Test Settings

Reset Defaults | Check this box to reset the instruments default settings when the Setup Instrument button is clicked.
Turn Output Off at 0V | When this box is checked, sourcing voltage and low voltage is set to 0 volts, instrument output is turned off during the second half of each cycle of a lock-in test. When this box is unchecked and Voltage Low is set to 0 volts, instrument output remains on during the second half of each cycle even when Voltage Low is set to 0 volts.

Interlock

Test Start Check

Check this box to retrieve the status of the instrument interlock prior to starting a Sequence, Thermal Model Comparison (TMC), or Lock-in Thermography (LIT) test.


Startup Settings

The Instrument Startup window (see Figure 1) is used to set source settings on the Instrument Control window upon program startup. To open this window, click the Instrument Startup item under the Setup menu (or click the tools button on the top toolbar) of the Instrument Control window.

If the box is checked next to a setting, that setting is loaded into the Instrument Control window at program startup.

Figure 1: Instrument Startup window

Figure 1: Instrument Startup window


Safety Settings

The Instrument Safety window (see Figure 1) is used to set safety current and voltage limits that apply to the source and limit settings on the Instrument Control window. To open this window, click the Instrument Safety item under the Setup menu (or click the caution-electic button on the top toolbar) of the Instrument Control window.

Figure 1: Instrument Safety window

Figure 1: Instrument Safety window

Enable | Check this box to enable safety current and voltage limits.
Sourcing Voltage: Max Voltage | When voltage is sourced and the High or Low Voltage fields exceeds this value, a message is displayed when the Setup Instrument button is pressed.
Sourcing Voltage: Max Current Limit | When voltage is sourced, the High or Low Voltage field exceeds 30V, and the Current Limit field exceeds this value, a warning message is displayed when the Setup Instrument button is pressed.
Sourcing Current: Max Current | When current is sourced and the Current field exceeds this value, a message is displayed when the Setup Instrument button is pressed.
Sourcing Current: Max Voltage Limit | When current is sourced, the Current field exceeds 5mA, and the Voltage Limit field exceeds this value, a warning message is displayed when the Setup Instrument button is pressed.

Current Danger Levels

Figure 2: Current danger levels

Figure 2: Current danger levels


Ohm's Law Calculator

When setting up an Instrument to test an electronic device, it is important to understand the relationships between voltage, current, power and resistance. Use the Ohm's Law Calculator window to calculate unknown electrical parameter values by entering known parameter values.

To open the Ohm's Law Calculator window (see Figure 1), click the Ohm's Law Calculator button in the Instrument Control window.

Figure 1: Ohm's Law Calculator window

Figure 1: Ohm's Law Calculator window

Lock-in Thermography Test Setup

When sourcing voltage for a lock-in tests, appropriate voltage and current limit values must be entered in the Instrument Control window and the Ohm's Law Calculator can be used to determine these values. For example, if 100µW is required to detect a resistive fault in a semiconductor package and the fault resistance has been measured to be 1, 456 Ohm, these known values are entered on the left side of the window and the required voltage and current values are calculated and displayed on the right side of the window (see Figure 1).


IV Curve

A device's current response to an applied voltage can be plotted using an Instrument. Use the settings in the Instrument Control window and Instrument Settings window to set instrument parameters prior to plotting an IV curve.

To open the IV Curve window (see Figure 1), click the IV Curve button in the Instrument Control window.

icons8-plot-40

Voltage Sourcing: Sourcing must be set to Voltage in order to plot an IV curve.

icons8-book-40

Manufacture Info: Refer to the instrument manufacturer documentation for detailed specifications and instructions regarding appropriate instrument settings and making proper electrical connections.
Figure 1: IV Curve window

Figure 1: IV Curve window

File Menu

Open Curve

Select the binary IV curve file (.oivc) to open.

Save Curve

IV curves are saved in binary format with a ".oivc" extension.

Note: When saving an iv curve file, the file name that you provide is appended with ".oivc" and saved in the "Optotherm\Thermalyze\IV Curves" folder unless you specify a different folder.

Note: The file name of the most recently opened or saved file is displayed at the bottom of the window.

Export Window

The IV Curve window can be saved to file in the following formats: bmp, jpg, png, and tif. The size of the exported image is proportional to the size of the window.

Note: Exported IV Curve windows are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Export Data

The iv curve data values can be saved to file in ASCII text format (.txt) or binary format (.imb) for import into a spreadsheet program or your own custom application.

In ASCII text format, each x-axis voltage is saved followed by the y-axis current in milliamps. A tab character separates voltage and current values. A newline character (carriage return/line feed) separates each voltage and current pair.

In binary format, all data is saved sequentially with no separators. Both x-axis voltage and current are saved as four-byte floating-point values in little endian format.

Print

Print the IV Curve window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Plot Controls

Data Points | This field displays the number of voltage-current data points in the plot. Note: The total number of points in the plot is equal to the number of Voltage Steps plus one.
trash-can Clear All Data | Click this button to clear all data from the plot.
cursor-arrow Select | Select this button when finished zooming or panning to allow placement of the vertical cursor on the plot.
zoom-in Zoom In | Select this button to zoom into the plot. Click and drag on the plot select a rectangular area to zoom into.
zoom-out Zoom Out | Click this button to zoom out of the chart one level. Continue clicking this button to zoom out additional levels.
zoom-out-all Zoom Out Completely | Click this button to set the x-axis and y-axis ranges to the bounds of the plot data.
pan Pan | Select this button and then drag on the plot to pan.
on-button Auto Range New Data | Press this button to automatically reset the x-axis and y-axis ranges to the bounds of the plot data each time new data is plotted.

Setup

Voltage Steps | Enter the number of voltage steps to plot between the Voltage High and Low settings on the Instrument Control window. The step size is displayed on the right and is calculated by subtracting Voltage Low from High and then dividing the result by the number of steps.
Step Delay | Enter a time delay between voltage steps when plotting.

Plotting

Start | Start applying voltage steps and plot corresponding current draw.
Stop | Stop applying voltage and stop plotting. Important: The instrument output is turned off and voltage is set to zero when an IV curve plot is complete or has been stopped.

Cursor Data

Click on the plot to position the vertical cursor and select a data point to display the corresponding applied voltage and current response.


Linear Stages

Section Topics

The topics in this section explain how to setup and control the position of motorized linear stage carriages.


Control

Description

The position of the motorized linear stage carriages can be controlled using the Linear Stage Control window (see Figure 1). To open this window, click the Linear Stage Control item on the Test Setup menu (or press the camera-position button in the Test Setup section of the Shortcuts toolbar) on the main Thermalyze window.

Each controller can operate one or two linear stages, enabling up to four stages to be controlled.

Figure 1: Linear Stage Control window

Figure 1: Linear Stage Control window

File

Open Control Settings | Open Linear Stage Control parameters from a file previously saved using the Save Settings menu item.
Save Settings | Save all linear stage settings to file.

Setup

Linear Stage Setup | Open the Linear Stage Setup window.
Advanced Settings | Open the Linear Stage Advanced Settings window.
Troubleshoot | Open the Linear Stage Troubleshoot window.

Serial Communication

Connect/Close Port

Press this button to establish serial communication between the computer and linear stage controller. After communication is established, click this button to close the com port. A green indicator light illuminates when connection is successful.

Control Mode

Local

Choose this option to control the linear stages using the jog buttons on the front of the linear stage controller or a joystick.

Online

Choose this option to operate the linear stages using the homing, locations, jog, increment, and stop software controls in this window or the keyboard keys.

Note: When Online is chosen, the jog buttons on the front of the linear stage controller are inoperable.

Homing

The stages which are moved is determined by the Enable Linear Stage checkboxes in the Linear Stage Setup window and the Homing settings in the Linear Stage Advanced Settings window.

Limit Home | Click this button to move the carriages of all enabled stages to the homing limit switch and then set each controller stage internal position register to zero. There is a limit switch on each end of the linear stages. The limit switch used for limit homing is determined by the Invert Direction and Invert Home checkboxes in the Linear Stage Setup window.
Set | Click this button to set the controller internal position registers of all enabled stages to zero.
Go | Click this button to move the carriages of all enabled stages.

Locations

The stages which are moved is determined by the Enable Linear Stage checkboxes in the Linear Stage Setup window and the Locations settings in the Linear Stage Advanced Settings window.

Set | Click this button to set to memory the current carriage positions of all enabled stages to memory.
Name | Enter a descriptive name for each location.
Go | Click this button to move the carriages of all enabled stages to a previously set location.
Clear | Click this button to clear a location.

Online Speed

Speed

Select the motor speed. Set specific Low, Medium and High speeds [motor steps per second] in the Linear Stage Setup window.

Keyboard Control Indicator

Key Control

This indicator illuminates light green when the linear stages are able to be controlled using the keyboard. Keyboard control is enabled when the Keyboard Control Enable box is checked in the Linear Stage Advanced Settings window and any control on the Linear Stage Control window has the focus (except for the Locations Name or Increment fields, which can accept keyboard input). This indicator illuminates dark green when the Keyboard Control Enable box is unchecked.

Jog/Increment

There is a Jog/Increment group box for each linear stage. Each group box title includes the name entered in the Linear Stage Setup window and the most recently read carriage position. Carriage positions are read after each homing, move to location, jog, increment, and stop command when in Online control mode. Carriage position units are steps and each motor rotation includes 400 steps.

Stop

Click this button to decelerate and stop all linear stage carriages.

Tip: Because carriages must decelerate to a stop, carriage positions displayed in the Jog/Increment group box title may not be accurate. After carriages have stopped moving, click the Stop button again to read the positions of all carriages.

arrow-line-right arrow-line-up arrow-line-up-right Jog/Increment (Positive)

Click these buttons to jog or increment a carriage in the positive direction. If the Invert Direction box is unchecked in the Linear Stage Setup window, the positive direction is away from the motor. Which arrow buttons displayed (up/down, left/right, forward/back) are determined by the Orientation settings in the Linear Stage Setup window.

Caution: When lowering a carriage, make sure that cameras, lenses or equipment connected to the carriages do not make contact with other hardware or equipment.

arrow-line-left arrow-line-down arrow-line-down-left Jog/Increment (Negative)

Click these buttons to jog or increment a carriage in the negative direction.

Jog or Increment

Choose whether to jog or increment a carriage when the Jog/Increment buttons are pressed.

Increment

Enter the distance to increment a carriage when the Increment buttons are pressed.


Setup

Description

Prior to operating the linear stages, appropriate stage settings need to be written to the linear stage controller in the Linear Stage Setup window (see Figure 1). To open this window, click the Linear Stage Setup item under the Setup menu of the Linear Stage Control window.

Figure 1: Linear Stage Setup window

Figure 1: Linear Stage Setup window

icons8-connected-48

Motor Damage: Never connect or disconnect motors with the linear stage controller power on, this can result in severe damage to motor drive electronics.

File

Open Setup Settings

Open Linear Stage Setup parameters from a file previously saved using the Save Settings menu item in the Linear Stage Control window.

Computer Communication

Com Port

Select the computer serial com port used to communicate with the linear stage controller.

Tip: To determine the name of the com port, open the Windows Device Manager and expand Ports (COM & LPT).

Baud Rate

Select the computer serial port baud rate.

Tip: Use the maximum baud rate of 38,400 bits per second to minimize delays when reading and writing data to the controller.

Com Delay

Enter the delay [milliseconds] between serial port read and write commands to prevent a controller RS-232 overrun.

Important: Sending a serial command to the controller before it has finished processing a previous command will result in an RS-232 overrun. If this occurrs, the yellow On-Line LED on the front of the controller will flash continuously and the controller power switch must be cycled to restore controller operation.

Online Connect

Check this box to automatically select Online Control Mode when the Connect button is pressed in the Linear Stage Control window.

Enable Linear Stages

Check boxes to enable linear stages.

Software Control Settings

Linear Stage # Settings

icons8-tags-48

Cable Labels: The number of each linear stage (1, 2, 3, or 4) is determined by the cables exiting the controller. The corresponding number is also marked on the end of each cable.

Name

Enter a descriptive name for each linear stage that will be displayed on the Jog/Increment group box for each stage in the Linear Stage Control window.

Orientation

Select the orientation of each stage.

Lead Screw Pitch

Select the pitch of the lead screw of each stage.

Invert Home

There is a limit switch near each end of each linear stage that can be used for homing. Check this box to move the carriage to the opposite end of the stage.

Note: If the Invert Direction box is unchecked, the carriage is moved to the limit switch near the motor when homing. If the Invert Direction box is checked, the carriage is moved to opposite end of the stage.

Online Speed

Enter the Slow, Medium, and Fast speeds when jogging or incrementing. Speed units are steps per second and there are 400 steps per motor revolution. The speed of the carriage can be calculated as follows:

Carriage Speed = Online Speed [steps/sec] * (1/400) [rev/step] * Lead Screw Pitch [distance/rev]

Example: Carriage Speed = 1000 [steps/sec] * 0.0025 [rev/step] * 2 [mm/rev] = 5 [mm/sec]

Jog Limit

Enter the maximum distance that a linear stage can be jogged at one time using software or keyboard controls. Moving distances greater than the Jog Limit will require repeated pressing of the Jog/Increment buttons or keyboard keys.

Backlash Comp

Check this box to enable backlash compensation.

There is a small amount of clearance between the linear stage lead screw and carriage nut. Whenever the carriage reverses direction, there can be a small amount of lost motion. When Backlash Compensation is enabled, 20 steps are added to every move command in the negative direction. Then the motor immediately reverses, moving 20 steps in the positive direction.

Note: When the Invert Direction box is unchecked, negative stage movement is toward the motor. When checked, negative movement is away from the motor.

Controller Settings

Linear Stage # Settings

Motor Size

Select the motor type and size. The motor type and size is displayed on a label adhered to each motor.

Caution: The exact motor type and size must be written to the controller before operating. Incorrect controller motor settings can result in severe damage to the motor and controller.

Invert Direction

The state of this box determines the direction each carriage moves when the jog and increment buttons are pressed and when homing. When the Invert Direction box is unchecked, positive stage movement is away from the motor. When checked, positive movement is toward the motor.

Jog Speed

Set the Primary and Secondary jog speeds used when in operating the controller in Local control mode and controlling the linear stages using the jog buttons on the front of the controller or a joystick.

Controller Communication

Baud Rate

Select the stage controller serial port baud rate.

Note: After changing the Baud Rate and clicking the Write All Settings button, the Computer Communication Baud Rate will be automatically changed to the new setting.

Tip: Use the maximum baud rate of 38,400 bits per second to minimize delays when reading and writing data to the controller.

Read All Settings

Click this button to read settings from the stage controller and then populate the controls in the Controller Settings group box with the setting values.

Write All Settings

click this button to write all settings in the Controller Settings group box to the stage controller non-volatile memory.


Advanced Settings

Description

The Linear Stage Advance Settings window (see Figure 1) provides settings for homing, locations, and keyboard control. To open this window, click the Linear Stage Advance Settings item under the Setup menu of the Linear Stage Control window.

Figure 1: Linear Stage Advanced Settings window

Figure 1: Linear Stage Advanced Settings window

File

Open Advanced Settings

Open Linear Stage Advanced Settings parameters from a file previously saved using the Save Settings menu item in the Linear Stage Control window.

Homing and Locations

Orientation Priority

Select the linear stage orientation that take priority when homing and moving to locations. When homing, stages set to the priority orientation are moved first. When moving to locations, stages set to the priority orientation are moved first when moving toward the home limit switch and moved last when moving away from the home limit switch.

Note: The limit switch that designates home is determined by the Invert Home and Invert Direction settings in the Linear Stage Control window.

Homing

Check the boxes next to the linear stages to move when homing.

Location #

Check the boxes next to the linear stages to move when moving to a location.

Keyboard Control

Enable | Check this box to enable linear stage keyboard control when in Online control mode.
Stage # Positive | Select the key to jog or increment the stage carriage in the positive direction. Pressing this key performs that same function as pressing the Jog/Increment (Positive) buttons in the Linear Stage Control window.
Stage # Negative | Select the key to jog or increment the stage carriage in the negative direction. Pressing this key performs that same function as pressing the Jog/Increment (Negative) buttons in the Linear Stage Control window.
Speed | Select the keys to decrease and increase online speed. Pressing these key performs that same function as selecting the Speed options in the Linear Stage Control window.
Stop | Select the key to decelerate and stop all stage carriages. Pressing this key performs that same function as pressing the Stop button in the Linear Stage Control window.
Key Control | Select the key to bring focus to the Key Control button in the Linear Stage Control window in order to use keyboard keys to control the linear stages. Pressing this key performs the same function as clicking the Key Control button in the Linear Stage Control window.


Troubleshoot

Description

The Linear Stage Troubleshoot window (see Figure 1) can aid in troubleshooting linear stage controller operation. Serial command characters sent to the controller and received from the controller are displayed, as well as the number of serial commands sent to the controller received from the controller. To open this window, click the Linear Stage Troubleshoot item under the Setup menu of the Linear Stage Control window.

Figure 1: Linear Stage Troubleshoot window

Figure 1: Linear Stage Troubleshoot window


Lock-in Thermography)

Navigation: Thermalyze

 >

Return to chapter overview

Lock-in Thermography

Description

Lock-in thermography (LIT) is a process of automatically and repeatedly powering an electronic device at regular intervals while thermal images of the device are analyze by software. The following description is over simplified, but helps to provide a basic understanding of the Lock-in Thermography process.

Over many power cycles, thermal images captured while the device is powered are added together. Likewise, thermal images capture while the device is unpowered are added together. The unpowered sum is subtracted from the powered sum resulting in an Lock-in image that represents temperature differences between the powered and unpowered state. As the LIT test continues, more and more thermal images are added together, resulting in a Lock-in image with higher and higher sensitivity. In fact, test sensitivity is inversely proportional to the square root of the number of images captured during a lock-in test. Typically, a lock-in test is allowed to run until the fail site is detected and can be precisely located. In many cases, a temperature increase less than 1 mK (0.001°C) and power dissipation below 10 microW can often be detected.

Device power can be applied at a Cycle Frequency of up to 15 Hz. Performing LIT tests at lower frequencies improves test signal/noise due to higher device heatup. Higher frequency tests improve hot spot spatial resolution by reducing thermal diffusion into adjacent areas of the device.

icons8-statue-40

Don't Move: In order for a lock-in test to be properly performed, the camera and device must not move during the test.
Figure 1: Lock-in thermography

Figure 1: Lock-in thermography

Device Powering

Device biasing is accomplished via exposed leads, package pins, or by probing the device. One or more of the biasing leads are routed through the relay(s) in the Relay device so that the software can control the timing of applied power. The applied voltage and current levels are initially set low to prevent altering the defect characteristics or damaging the device.

Lock-in Images

A number of useful images can be calculated and displayed including an amplitude image, single phase image, phase image, and cycle image. Each Lock-in image type has a specific use in locating defect xy position, locating defect depth, or analyzing heat flow.

Amplitude Image

An amplitude image displays all temperature increases on a device at any time during the cycle and is commonly used to determine fault location in the xy direction.

Single Phase Image

A single phase image displays temperature changes at specific times within the cycle. The time within the cycle can be expressed as a phase angle with 0 degrees representing the beginning of the cycle when a device is powered and -180 degrees representing when power is removed. A phase angle of -360 degrees represents the end of the cycle and is equivalent to a phase angle of 0 degrees. Single phase images are is used to locate faults in the xy direction. They can also identify areas that heat up at different times within the cycle providing a correlation with defect depth. Single phase images typically produce the highest xy spatial resolution of all Lock-in images.

icons8-60-degrees-40

Phase Angle: The phase angle at a specific location can be estimated by determining the single phase angle at which the location displays maximum heating.

Phase Image

A phase image displays the phase angle of heating at each point in the image. Phase angle is most often associated with defect depth because heating phase angle represents the time within a cycle when internally generated heat reaches the surface. Phase angle represents the delay between powering a device and the resulting surface heating. When analyzing packaged devices and stacked die, phase angle is used to estimate the depth of a defect.

Cycle Image

A cycle image displays device heating at a specific time during a cycle. Cycle images are useful for visualizing heat flow across a device.


Window

Description

The Lock-in Thermography (LIT) window (see Figure 1) enables the detection and location of very small temperature heating (below 0.001°C) associated with leakage current and short circuits on electronic devices. To open this window, click the Lock-in Thermography item under the Testing menu or press the ic-hot-spot button in the Testing section of the Shortcuts toolbar.

Figure 1: Lock-in Thermography window

Figure 1: Lock-in Thermography window

Test Files

The following data is saved when a lock-in test is saved. Test data including Date/Time, Completed Cycles, Accepted Images, Rejected Images, Cycle Data, and History Image are saved in a binary file with .olit extension. Lock-in Settings are saved in an ASCII text file with .oset extension located in a folder with the same name as the test data file.

Date/Time | The date and time when the file was saved.
Completed Cycles | The number of cycles that were completed during the test.
Accepted Images | The number of captured images that were not rejected by Image Rejection criteria.
Rejected Images | The number of captured images that were rejected by Image Rejection criteria.
Cycle Data | Captured image data that has been accepted during the test.
History Image | An average of recently captured images that is compared to each captured image to determine if it should be accepted or rejected. The criteria used for the comparison are located in the Advanced Settings window.
Lock-in Settings | All settings accessible in the Lock-in Thermography, Test Setup, Relay Setup for Lock-in Thermograhpy Tests, Advanced Settings, and Phase Image windows.

File

open-file Open Test

Select the LIT test file (.olit) to open. When a lock-in test file is opened, the test file date/time is displayed at the bottom of the window.

Note: The file name of the most recently opened or saved LIT test file is displayed at the bottom of the window.

save-file Save Test

LIT test data is saved in binary format with a .olit extension. LIT test settings are saved in ASCII text format with a .oset extension. All of the data associated with a lock-in test are saved in the binary file and therefore, LIT tests can be opened at a later time for analysis and tests can even be continued. LIT test files are approximately 150 MB in size.

When saving a lock-in test, the file name that you provide is appended with ".olit" and saved in the "Optotherm\Thermalyze\LIT" folder, unless a different folder is selected. LIT test settings are saved in a folder with the same name as the .olit file.

Tip: It may be helpful to include the name of the currently installed camera lens in the file name so that when the file is opened at a later time, the lens used can be identified.

Note: When overwriting an existing LIT test file, you must include the ".olit" extension in the name or else the existing test folder will be opened when the Save button is pressed.

Export Window

The Lock-in Thermography window can be saved to file in the following formats: bmp, jpg, png, and tif. The size of the exported image is proportional to the size of the window.

Note: Exported Lock-in Thermography windows are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Export Image Temperature

Individual pixel temperature values in the currently displayed image can be saved to file in ASCII text or binary file format. Image pixel temperature values are saved in degrees Celsius from left to right, row by row, from top to bottom.

ASCII text files are saved with a ".txt" extension. Row pixel temperature values (for example, 37.54) are separated by a tab character. Image rows are separated by carriage return and line feed characters.

Binary files are saved with an ".imb" extension, as consecutive four-byte floating-point values in little endian format.

Print

Print the Lock-in Thermography window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Setup

settings Test Setup | Select this menu item to open the Test Setup window containing settings such as Cycle Frequency and Test Resolution.
square-wave Instrument Control | Select this menu item to open the Instrument Control window. The instrument output is used to power devices during LIT tests using Keithley source measure units.
on-off Relay Setup | Select this menu item to open the Relay Setup for Lock-in Thermography window. The relay outputs are used to control power to devices while performing LIT.
tools Advanced Settings | Select this menu item to open the Advanced Settings window containing settings such as image stability, noise reduction, and image smoothing.
image-size Large Image Size | Press this button to display the LIT image in full size, unpress for reduced size.

Show

Amplitude | Click this menu item to calculate and display the amplitude image.
Phase | Click this menu item to open the Phase Image window and display the phase image.
Single Phase | Click this menu item to calculate and display the single phase image at the phase angle selected.
Cycle Image | Click this menu item to calculate and display the cycle image at the image number selected.

Transfer

Lock-in images can be transferred to the Main Image and the cycle sequence can be transferred as an image sequence so that additional analysis tools can be used on the images, for example to graph region statistics or to view statistics from multiple Regions.

When Test Resolution is set to 10 microK, Lock-in images represent differential temperature images and therefore transferred Lock-in images are displayed with Image Subtraction activated to preserve 10 microK resolution. When Test Resolution is set to 10 mK, Lock-in images represent temperature images and therefore transferred Lock-in images are not displayed with image subtraction activated.

icons8-temperature-40

Temperature Units: Once a Lock-in image has been transferred, it will be treated as if its units are degrees Celsius (or Fahrenheit), not microK or mK.

Displayed Image | Click this menu item to transfer the currently displayed amplitude image, single phase image, or cycle image to the Main Image.
Thermal Overlay as Image | Click this menu item to calculate and transfer the thermal overlay image to the Main Image. The thermal overlay's color palette can then be changed and its contrast adjusted so that it can be used as an Overlay.
Thermal Overlay as Overlay | Click this menu item to calculate and transfer the thermal overlay image to the Overlay window where it can be used as the overlay for the Main Image.
Cycle Sequence | Click this menu item to transfer the entire sequence of cycle images to an image sequence.

Tools

depth Defect Depth Analysis

Click this menu item to open the Defect Depth Analysis window.

Zoom

zoom-in Zoom In | Select this button and then click a point on the image to zoom in to that area. Images can be zoomed from 1x up to 8x. After zooming in to 8x, the Pan tool is automatically selected to allow you to pan the image .
zoom-out Zoom Out | Select this button and click a point on the image to zoom out from that area. After zooming out to 1x, the Pan button pan is automatically selected.
zoom-out-all Zoom Out Full | Click this button to zoom out to 1x. After pressing this button, the Pan tool is automatically selected.
Zoom Level | This field display the current zoom level.
pan Pan | Select this button and then click and drag on the image to pan. The image must be zoomed in at least 2x in order to pan.

Color Palette

icons8-temperature-40

Temperature Units: When Test Resolution is set to 10 microK, the temperature units for Lock-in images are milliKelvin (mK) and the scale range is -100 to 550 mK (-0.10 to 0.55°C). When the test resolution is set to 10 mK, the temperature units for Lock-in thermographs are Kelvin (K) and the scale range is -100 to 550 K (-100 to 550°C). Lock-in images are differential temperature images and therefore a conversion is not require from K to C.

Lock-in images are displayed using the same colors as the Spectrum Color Palette when Image Subtraction is activated, i.e., a gray area is added to Spectrum Palette between the green and blue colors and represents the temperature value of zero.

Auto

Click this button to set the Palette Max and Min values to the highest and lowest temperatures in the Lock-in image.

Tip: See Auto Scale Each and Auto Scale Region below for additional functionality.

In

Click this button to zoom in to the Palette Max and Min slider scales in order to make fine adjustments.

Out

Click this button to zoom out of the Palette Max and Min slider scales in order to make course adjustments.

Auto Scale Each

When this box is checked, the color palette is automatically scaled each time the Lock-in image is updated and displayed.

Auto Scale Region

When this box is checked and a Region has been drawn on the Lock-in image, the Palette Max and Min values are set to the highest and lowest temperatures within the Region when the Auto button is clicked. If no Region has been drawn, the palette is scaled to the highest and lowest temperatures of pixels in the entire lock-in image.

Palette Max, Min

Color palettes can be scaled within a specific temperature range by dragging the palette Max and Min sliders. Adjust the sliders to improve the contrast of the image within the temperature range of interest.

Tip: The palette sliders can also be adjusted using the mouse wheel and Ctrl key as explained in the Introduction.

The palette temperature range, displayed to the right of the image, displays the temperatures represented by the individual colors of the current color palette.

Palette Max Value

Set or adjust the palette max value.

Palette Min Value

Set or adjust the palette min value.

Restore

Click this button to load the previously saved palette max and min values.

Set

Click this button to save the current Palette Max and Min values to memory as defaults. The currently saved default values are displayed to the right of this button.

Testing

ON/OFF

Press this button to start/stop a lock-in test.

High Low

When Power Mode is set to On/Off (and when Power Mode is set to Pulse and instrument Protocol is set to SCPI), the High light illuminates when power is being applied to a device.

When Power Mode is set to Pulse and instrument Protocol is set to TSP however, the lights indicate the first and second halves of each cycle and do not represent the timing of pulses.

Cycles

This field displays the number of cycles that have been completed in the current test.

Test Time

This field displays the time that has elapsed during the current test in hours, minutes, and seconds.

Note: If images are rejected during a lock-in test, elapsed time will not correlate exactly with the number of cycles.

Lock-in Data

In order for a Lock-in image to be calculated, at least one complete cycle must be completed. A completed cycle is indicated when this progress bar reaches 100%.

Clear Test

Click this button to clear all existing test data from memory in order to begin a new test.

Test Info

Init Cycles:

This field displays the number of initialization power cycles that have been performed at the start of a lock-in test. The Cycle Initialization setting determines the number of power cycles that must be performed at the start of a test.

Accepted:

This field displays the number of captured images that have been accepted in the test based upon the Image Rejection criteria.

Rejected:

This field displays the number of captured images that have been rejected during the test based upon the Image Rejection criteria.

Noise (image):

This field displays the noise measured in the displayed Lock-in image. By comparing the image noise to the theoretical noise, you can detect test degredation due to excessive thermal noise or acceptance of corrupt images. If severe test degredation occurs, the test data should be cleared and the test should be started again.

Noise (theory):

This field displays the theoritical noise level of the test which is inversely proportional to the square root of the number of images that have been accepted in the test. As more images are accepted, theoretical noise level will decrease.

Note: This value is a theoretical calculation of noise level based on camera detector sensitivity and image count. It does not take into account other thermal noise sources from the ambient environment.

Update

Single Phase (option)

Choose this option to calculate and display the single phase image at a frequency determine by the Image Update Minimum setting.

Amplitude (option)

Choose this option to calculate and display the amplitude image at a frequency determine by the Image Update Minimum setting.

Tip: Calculating amplitude images require approximately twice the processing power as single phase images. To minimize delays in the acceptance of captured thermal images into a long-running LIT test, choose the Single Phase option.

Phase (checkbox)

Check this box to calculate and display the phase image at a frequency determine by the Image Update Minimum setting. If the Phase Image window is closed, it will be opened when the phase image is updated.

Tip: Calculating phase images require significant additional processing power and may cause delays in the acceptance of captured thermal images during a lock-in test. Do not check this box unless the phase image must be updated at a frequency determine by the Image Update Minimum setting. As an alternative, consider clicking the Phase button to update the phase image when required.

Amplitude (button)

Click this button to calculate and display the amplitude image.

Phase (button)

Click this button to calculate and display the phase image.

Note: If closed, the Lock-in Phase Image window will open when this button is clicked..

Single Phase Image

There is a time delay between when power is applied to a device and when the internally generated heat diffuses through the device and reaches the surface. The magnitude of this delay is dependent on the thermal conductance of the material in the device and the depth of the defect. A single phase image displays temperature increases at a specific time in the cycle. The time within the cycle can be expressed as a phase angle with 0 degrees representing the beginning of the cycle when a device is powered and -180 degrees representing when power is removed. A phase angle of 360 degrees represents the end of the cycle and is equivalent to a phase angle of 0 degrees. Single phase images are is used to locate faults in the xy direction. They can also identify areas that heat up at different times within the cycle providing a correlation with defect depth. Single phase images typically produce the highest xy spatial resolution of all Lock-in images

A single phase image with phase angle = 0 degrees displays device heating that occurs immediately after power is applied and can be used to identify faults or heating that takes place near the surface of the device. A single phase image with a negative value of phase angle, such as -150 degrees, displays device heating that occurs at some time after power is applied and can be used to observe heating that occurrs at a distance beneath the surface. A single phase image at a larger negative phase angle displays heating occurring at greater depths. A single phase image with phase angle = -360 degrees displays heating that occurs at a time delay equal to one complete cycle period and is equivalent to a single phase image with phase angle = 0 degrees.

The available phase angles depend on Cycle Frequency and are equally distributed within the range of 0 to -360 degrees. The number of phase angle increments is determined by the following equation: Number Phase Increments = Camera Frame Rate / Test Cycle Frequency. For example, the number of phase increments when Cycle Frequency is set to 5Hz = 60Hz / 5Hz = 12. Dividing the range of 0 to -360 by 12 yields 30 degrees. Therefore, the available phase angles are 0, -30, -60, -90, -120, -150. -180, -210, -240, -270, -300, -330, and -360 degrees. Note that for Cycle Frequency of 1Hz and all value of Cycle Time, the number of phase angle increments is equal to 60.

Phase Angle

Drag the handle to change the phase angle of the single phase image to display. Alternatively, you can hover over the trackbar and use the mouse scroll wheel to change the value.

Note: A value of -360 degrees indicates for a time delay of one complete cycle period, resulting in a single phase image that is identical to a single phase image with phase angle = 0 degrees.

Show Single Phase

Click this button to calculate and display a single phase image at the phase angle selected.

< >

Click these arrow buttons to select the next available phase angle to the left or right.

Overlay Merge

A thermal image or picture overlay can be merged with the Lock-in image to facilitate locating the xy coordinates of device heating. A thermal overlay is a grayscale thermal image of the device and is created by averaging all of the captured images that have been accepted in the LIT test. When thousands of images have been accepted, the thermal overlay image has very low noise level and provides a high resolution image for locating defects. The grayscale color palette that is applied to the thermal overlay associates the black end of the palette to the lowest temperature in the thermal overlay image and the white end to the highest temperature. A picture overlay is created using the Overlay window. To merge the overlay with the Lock-in image, pixels in the Lock-in image with the highest values replace corresponding pixels in the overlay. The temperature range of the replacement pixels is determined by the Range level.

Show

Check this box to calculate and display the merged overlay each time the Lock-in image is calculated and displayed.

Tip: Calculating the thermal overlay requires significant additional processing power and may cause delays in the acceptance of captured thermal images during a lock-in test. Do not check this box unless the thermal overlay must be updated at a frequency determine by the Image Update Minimum setting. As an alternative, consider checking this box and displaying the thermal overlay at the end of the LIT test after localized heating has been detected.

Contrast

Check this box to enhance the thermal overlay contrast according to the Image Sectors and Histogram Limit settings in the Lock-in Advanced Settings window.

Picture

Check this box to create the merged overlay using the picture from the Overlay window. Uncheck this box to create the thermal overlay.

Range

This setting determines the range of high-temperature pixels in the Lock-in image that replace corresponding pixels in the thermal overlay. Drag the trackbar handle to change the value.

Tip: You can also hover over the trackbar and use the mouse scroll wheel to change the value.

Refresh

Click this button to update the thermal overlay after changing the Range.

Scale

Click this button to open the Thermal Overlay Palette window.

contrast Auto Scale

Click this button to automatically scale the thermal overlay.

Cycle Sequence

A cycle image displays device heating at a specific time during a cycle. Cycle images are useful for visualizing heat flow across a device. The number of cycle images available is equal to the number of images per cycle. The number of images per cycle = Camera Frame Rate / Test Cycle Frequency. For example, the number of images per cycle when Cycle Frequency is set to 5Hz = 60Hz / 5Hz = 12. Note that the maximum possible number of image per cycle is equal to the the camera frame rate.

icons8-temperature-40

Temperature Units: When Test Resolution is set to 10 microK, cycle images display device heating between the unpowered and powered condition during the cycle and therefore represent differential temperature images. When Test Resolution is set to 10 mK, cycle images display device temperature and therefore represent temperature images.

Image # | Drag the trackbar handle to select the cycle image to display. Tip: You can also hover over the trackbar and use the mouse scroll wheel to change the value.
Show | Click this button to calculate and display a cycle image at the image number selected.
< > | Click these arrow buttons to select the next available cycle image to the left or right.

Cursor Info

Temp | This field displays the Lock-in image pixel value at the mouse cursor location.
Location | This field displays the xy coordinates at the mouse cursor location.

Region Tools

You can draw one Region of any shape or size on the Lock-in image in order to view maximum, minimum, and mean values of the pixels enclosed by the region. When the Auto Scale Region box is checked, the Palette Max and Min values are set to the highest and lowest temperatures within the Region.

To help in locating heat sources on a device, the Region can be copied to/from the Main Image or the Phase Image.

cursor-arrow Select | Select this button to position, resize, and rotate the Region.
crosshairs Point | Select this button and then click on the image to create a Point Region.
line Line | Select this button and then click and drag on the image to create a Line Region.
rect-region Rectangle | Select this button and then click and drag on the image to create a Rectangle Region.
oval-region Ellipse | Select this button and then click and drag on the image to create an Ellipse Region.
multi-line Polyline | Select this button and then click on the image to locate the first vertex of the Polyline Region. Click to locate each vertex and then right-click on the last vertex to complete the polyline.
polygon-region Polygon | Select this button and then click on the image to locate the first vertex of the Polygon Region. Click to locate each vertex and then right-click on the last vertex to complete the polygon.
delete-large Delete Region | Click this button to delete the Region.
reg-black-white Invert Region Color | The default color of an unselected Region is white. If the Region is difficult to distinguish from lite background colors, press this button to set the unselected Region color to black .
scale legend Scale Legend | Press this button to display a scale legend in the top left corner of the lock-in image. The size of the legend is determined by the Scale Legend Width setting in the Measure window.
center-map Show Center | Press this button to display a large cross hairs in the center of the lock-in image.
measure Measure | Press this button to display the Region Measure window.
hot-spot-locator Hot Spot Locator | Press this button to create a rotated rectangle region with a corner located on a reference point and the opposite corner located on the hot spot. When pressed, step-by-step instructions to create the rectangle are display to the right of this button. The first mouse click sets the reference point (e.g., feature corner). The second click defines the reference edge (e.g., angle of feature edge). Finally, click near the hot spot and the rectangle corner will snap to the hottest pixel within a radius defined by the Search Radius setting in the Measure Settings window.
Max, Min, Mean | These fields display temperature statistics within the Region or the entire table if no Region exists.
Image Transfer | Choose to copy the Region to/from the Main Image or the Phase Image.
Send | Click this button to copy the Region to the image selected in the Image Transfer option.
Get | Click this button to copy the Region from the image selected in the Image Transfer option. Note: If there are multiple Regions on the Main Image, the first Region is copied.

Status Bar

The first row of the status bar displays current values of Cycle Frequency, Test Resolution, and electrical parameters transferred from the Instrument Control window. The second row displays the currently open test file date and filename.


Phase Image

Description

The Phase Image window (see Figure 1) displays the time delay between powering a device and subsequent heating on the surface of the device. To open this window, click the Phase item under the Show menu (or click the Phase button in the Test Results panel) on the Lock-in Thermography window .

Figure 1: Phase Image window

Figure 1: Phase Image window

Phase Angle

The phase image displays the phase angle of heating at each point in the image. Phase angle is most often associated with defect depth because heating phase angle represents the time within a cycle when internally generated heat reaches the surface. Phase angle represents the delay between powering a device and the resulting surface heating. When analyzing packaged devices and stacked die, phase angle is used to estimate the depth of a defect.

Phase angle is measured in units of degrees and has a range of 0 to -360 degrees. A phase angle of 0 degrees indicates device heating occurring immediately after power is applied and takes place at or near the surface. Negative phase angle values, such as -120 degrees, indicate device heating occurring at some time after power is applied and somewhat below the surface. Larger negative values of phase angle indicate heating occurring at even greater depths. Phase angle is dependent on defect depth, on the thermal conductance of the materials comprising the device, and on Cycle Frequency. Heat generated in devices with higher thermal conductivity will result in reduced time delays and lower magnitude phase angles. As test frequency increases, time delay becomes a larger fraction of the total cycle time, resulting in a phase angle with larger magnitude.

The time required for internally generated heat to reach the device surface can be calculated according to the following equation: Time Delay = Phase Angle / 360 / Test Frequency. For example, a Phase Angle of -60 degrees at a Test Frequence of 2.5 Hz indicates a Time Delay = -60 / 360 / 2.5 Hz = 67ms.

3D SIP Devices

Determining fault depth in 3 dimensional system-in-package (3D SiP) devices is becoming increasingly important due to their expanding complexity and decreasing dimensions. As the number of stacked die in 3D SiP devices grows, isolating the root cause of defects within the package becomes more challenging. Sentris provides a non-destructive technique to localize the depth of faults through 3D SiP packages.

Device Powering

Device biasing is accomplished via exposed leads, package pins, or by probing the device and software control of device power using direct Instrument control or Relays. The applied voltage and current levels are initially set low to prevent altering the defect characteristics or damaging the device. Also, large temperature changes within semiconductors can alter their thermal diffusion properties and modify the phase/depth relationship.

Many 3D SiP devices undergo an initialization process that is triggered at a specific voltage level. If the applied voltage is cycled between 0 and a value above the initialization voltage level, the initialization process may cause non-defect related power dissipation that can interfere with detecting the true fail site. In these cases, the device should be initialized before the Lock-in Thermography (LIT) test begins, and the applied voltage should be cycled between two voltages that are above the initialization voltage.

Additionally, some 3D SiP devices include on-chip voltage regulators and defect power dissipation may not correlate with on-off power cycling. In such cases, the Lock-in relays can be used to trigger device test equipment in order to properly dias devices.

Calculating Fault Depth

By measuring the phase angle of one or more known reference heat sources inside a device, a relationship between phase angle and depth can be plotted (see Figure 2). This plot can then be used to estimate the depth of unkown faults by comparing their phase angle to the plot.

The relationship between phase angle and fault depth is dependent on the test cycle frequency. A suitable frequency should be selected that results in a high plot slope. This will enable differentiation between die levels more easily. First, a device is tested at a moderate frequency, such as 2.5 Hz. Then, depending on the phase results, another test may be conducted at a higher or lower frequency. If phase angles between 0 and -140 degrees are obtained at 2.5 Hz, for example, phase angles may be saturated at 0 degrees and the next test should be performed at a higher frequency, such as 3.75Hz. On the other hand, if phase angles between -220 and -360 degrees are obtained at 2.5 Hz, phase angles may be saturated at -360 degrees and the next test should be performed at a lower frequency, such as 1.25Hz. If phase angles between -140 and -220 degrees are obtained, the test frequency does not need to be changed.

To create a defect depth plot, the device must be tested by cycling power to at least one reference heat source whose depth is known. Defective devices can be used by recording the phase angle of known faults at various depths. Internal I/O diodes located on multiple die levels can also be used as reference heat sources by forward biasing them.

Figure 2: Plot of defect depth versus phase angle

Figure 2: Plot of defect depth versus phase angle

File Menu

Export Window

The Phase Image window can be saved to file in the following formats: bmp, jpg, png, and tif. The size of the exported image is proportional to the size of the window.

Note: Exported Phase Image windows tests are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Print

Print the Phase Image window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Setup

image-size Large Image Size

The phase image can be displayed with a size of 640 x 480 or 1280 x 960 pixels. Press this button to display the phase image size in 1280 x 960.

Zoom

zoom-in Zoom In | Select this button and then click a point on the image to zoom in to that area. Images can be zoomed from 1x up to 8x. After zooming in to 8x, the Pan tool is automatically selected to allow you to pan the image .
zoom-out Zoom Out | Select this button and click a point on the image to zoom out from that area. After zooming out to 1x, the Pan button pan is automatically selected.
zoom-out-all Zoom Out Full | Click this button to zoom out to 1x. After pressing this button, the Pan tool is automatically selected.
Zoom Level | This field display the current zoom level.
pan Pan | Select this button and then click and drag on the image to pan. The image must be zoomed in at least 2x in order to pan.

Color Palette

Phase images are displayed using the same colors as the Spectrum Color Palette when Image Subtraction is activated, i.e., a gray area is added to Spectrum Palette between the green and blue colors and represents the temperature value of zero. The units for phase angle are degrees and the scale range is -360 to 0 degrees.

Auto

Click this button to set the Palette Max and Min values to the highest and lowest phase angles in the phase image.

Tip: See Auto Scale Each and Auto Scale Region below for additional functionality.

In

Click this button to zoom in to the Palette Max and Min slider scales in order to make fine adjustments.

Out

Click this button to zoom out of the Palette Max and Min slider scales in order to make course adjustments.

Auto Scale Each

When this box is checked, the color palette is automatically scaled each time the phase image is updated and displayed.

Auto Scale Region

When this box is checked and a Region has been drawn on the phase image, the Palette Max and Min values are set to the highest and lowest phase angles within the Region when the Auto button is clicked. If no Region has been drawn, the palette is scaled to the highest and lowest temperatures of pixels in the entire phase image.

Palette Max, Min

Color palettes can be scaled within a specific phase angle range by dragging the palette Max and Min sliders. Adjust the sliders to improve the contrast of the image within the phase angle range of interest.

Tip: The palette sliders can also be adjusted using the mouse wheel and [Ctrl] key as explained in the Introduction.

The palette phase angle range, displayed to the right of the image, displays the phase angles represented by the individual colors of the current color palette.

Palette Max Value

Set or adjust the palette max value.

Palette Min Value

Set or adjust the palette min value.

Restore

Click this button to load the previously saved palette max and min values.

Set

Click this button to save the current Palette Max and Min values to memory as defaults. The currently saved default values are displayed to the right of this button.

Phase Offset

When plotting multiple phase/depth relationships on a device, it may helpful to zero the phase of a heat source at a specific depth. This can simplify the depth calculations of other heat sources on the device. To zero the phase, enter a Phase Offset value that results in a phase value of zero.

Enable | Check this box to enable phase offset correction.
Phase Offset | Enter a value to add to all of the phase angle values in the phase image. Values range from -180 to 180 degrees.
Update | Click this button to calculate and display the phase image.

Noise Reduction

The Phase image is created by calculating the inverse Tangent of the following ratio: (Single Phase Image at -90 degrees) / (Single Phase Image at 0 degrees). If pixel values in the Single Phase Image at -90 or at 0 degrees are too low, the resulting calculated phase angle will be noisy and unreliable. Noise reduction "zeroes" noisy pixel values by setting them equal to -360 degrees (the most negative phase angle).

Enable | Check this box to enable phase image noise reduction.
Threshold | Enter the threshold value for the pixel values in the Single Phase Image at 0 and -90 degrees. Values range from 0.000 mK to 10.000 mK.
Update | Click this button to calculate and display the phase image.
Increment | Select the amount that the Threshold setting is incremented or decremented when using the mouse or arrow keys.
Zero | Click this button to set the Threshold value to 0.

Overlay Merge

A thermal image or picture overlay can be merged with the Lock-in image to facilitate locating the xy coordinates of device heating. A thermal overlay is a grayscale thermal image of the device and is created by averaging all of the captured images that have been accepted in the LIT test. When thousands of images have been accepted, the thermal overlay image has very low noise level and provides a high resolution image for locating defects. The grayscale color palette that is applied to the thermal overlay associates the black end of the palette to the lowest temperature in the thermal overlay image and the white end to the highest temperature. A picture overlay is created using the Overlay window. To merge the overlay with the Lock-in image, pixels in the Lock-in image with the highest values replace corresponding pixels in the overlay. The temperature range of the replacement pixels is determined by the Range level.

Show

Check this box to calculate and display the merged overlay each time the Lock-in image is calculated and displayed.

Contrast

Check this box to enhance the thermal overlay contrast according to the Image Sectors and Histogram Limit settings in the Lock-in Advanced Settings window.

Picture

Check this box to create the merged overlay using the picture from the Overlay window. Uncheck this box to create the thermal overlay.

Refresh

Click this button to update the thermal overlay after changing the Max or Min.

Scale

Click this button to open the Thermal Overlay Palette window.

contrast Auto Scale

Click this button to automatically scale the thermal overlay.

Max

This setting determines the highest angles in the phase image that replace corresponding pixels in the thermal overlay. Drag the trackbar handle to change the value.

Tip: You can also hover over the trackbar and use the mouse scroll wheel to change the value.

Min

This setting determines the lowest angles in the phase image that replace corresponding pixels in the thermal overlay. Drag the trackbar handle to change the value.

Note: If Noise Reduction is enabled, setting Min to -360 degrees will include all pixels that have been set to -360 degrees in the noise reduction process.

Cursor Info

Temp | This field displays the phase image pixel value at the mouse cursor location.
Location | This field displays the XY coordinates at the mouse cursor location.

Region Tools

You can draw one Region of any shape or size on the phase image in order to view maximum, minimum, and mean values of the pixels enclosed by the region. When the Auto Scale Region box is checked, the Palette Max and Min values are set to the highest and lowest phase angles within the Region.

To help in locating device heating, the Region can be copied to/from the Main Image or the Lock-in Thermography window.

cursor-arrow Select | Select this button to position, resize, and rotate the Region.
crosshairs Point | Select this button and then click on the image to create a Point Region.
line Line | Select this button and then click and drag on the image to create a Line Region.
rect-region Rectangle | Select this button and then click and drag on the image to create a Rectangle Region.
oval-region Ellipse | Select this button and then click and drag on the image to create an Ellipse Region.
multi-line Polyline | Select this button and then click on the image to locate the first vertex of the Polyline Region. Click to locate each vertex and then right-click on the last vertex to complete the polyline.
polygon-region Polygon | Select this button and then click on the image to locate the first vertex of the Polygon Region. Click to locate each vertex and then right-click on the last vertex to complete the polygon.
delete-large Delete Region | Click this button to delete the Region.
reg-black-white Invert Region Color | The default color of an unselected Region is white. If the Region is difficult to distinguish from lite background colors, press this button to set the unselected Region color to black .
scale legend Scale Legend | Press this button to display a scale legend in the top left corner of the phase image. The size of the legend is determined by the Scale Legend Width setting in the Measure window.
center-map Show Center | Press this button to display a large cross hairs in the center of the phase image.
measure Measure Distance | Press this button to display the Measure Distance window.
Max, Min, Mean | These fields display temperature statistics within the Region or the entire table if no Region exists.
Image Transfer | Choose to copy the Region to/from the Main Image or the Lock-in Thermography window.
Send | Click this button to copy the Region to the image selected in the Image Transfer option.
Get | Click this button to copy the Region from the image selected in the Image Transfer option. Note: If there are multiple Regions on the Main Image, the first Region is copied.


Test Setup

Description

The Test Setup window (see Figure 1) is used to adjust test parameters when setting up a new Lock-in Thermography (LIT) test. To open this window, click the Test Setup item under the Setup menu (or click the settings button on the top toolbar) of the Lock-in Thermography window.

Figure 1: Test Setup window

Figure 1: Test Setup window

Cycle Frequency

Cycle Frequency is the number of power cycles performed per second. In most test scenarios, a device is powered during the first half of each cycle and unpowered during the second half. For example, if Cycle Frequency = 1.000 Hz, power is turned on for 0.5 seconds and then turned off for 0.5 seconds.

The appropriate value for Cycle Frequency typically depends on the configuration and thickness of the device. A higher Cycle Frequency (1.000 Hz and higher) is used for unencapsulated devices. Packaged devices require a lower Cycle Frequency. Very thin packaged devices can possibly be tested with a frequency of 1.000 Hz. Thicker devices and circuit boards however, may require a Cycle Time of up to 5 seconds (frequency of 0.2 Hz) so that heat generated between board layers or inside components has time to conduct to the surface where it radiates out to the camera.

Cycle Frequency can be increased to improve hot spot spatial resolution by reducing thermal spread but will also decrease the maximum temperature reached during each cycle, reducing test sensitivity.

Cycle Frequency | Select the appropriate test frequency. Values range from 1 to 15 Hz for the IS640 camera. The IS640-NLR* camera is limited to 2 Hz due to its lower frame capture rate. Note: Cycle Frequency cannot be changed after a lock-in test has begun.
Cycle Time | For frequencies below 1 Hz, set Cycle Time to the length of one cycle. Values range from 2 to 60 seconds. Note: Cycle Time cannot be changed after a lock-in test has begun.

*No export license required

Test Duration

Continuous Test

Check this box to continue the LIT test until the OFF button is pressed on the Lock-in Thermography window.

Test Time

Enter the number of hours, minutes, and seconds to run the test. After the specified time has elapsed, the test will end.

Note: At least one lock-in cycle must be completed before the test will stop. Therefore, if Test Time is less than Cycle Time, the test will continue to run until the first cycle is complete.

Power Mode

On/Off | Select this mode to power on for the first half of the cycle and then power off for the second half of the cycle (50% duty cycle).
Pulse | Pulse mode turns power on for a short duration at the beginning of each cycle. Note: When an instrument is enabled, a measurement will be triggered on the instrument at the end of each pulse and immediately before the next pulse, but only if there is adequate time for the instrument to process each measurement. If there is not adequate time, measurement are triggered only at the end of the first pulse and immediately before pulse two.
Pulse Length | Enter the lens of each pulse in milliseconds. Minimum pulse length is 5 ms.
Pulses per Cycle | Enter the number of pulses in each cycle. Maximum is 8 pulses.
Max Freq | This field displays the maximum test cycle frequency possible given the current values of Pulse Length, Pulses per Cycle, and instrument Protocol.

Test Resolution

Test Resolution determines the smallest temperature change that can be resolved and the range of temperature changes that can be displayed in a Lock-in image. On the other hand, lock-in test sensitivity is determined primarily by how long the test is run and the f/# (or Numerical Aperture for lenses with magnification greater than 1x) of the lens is installed on the camera.

10 µK

This option provides resolution of 10 µK (0.00001°C). Choose this option when testing devices with low levels of power dissipation that heatup below 550 mK (0.55°C).

Note: Temperature units of the Lock-in image scale are milliKelvin (mK) and the scale range is -100 to 550 mK (-0.10 to 0.55°C).

Important: Heating greater than 550 mK will exceed the data format, resulting in 16 bit integer overflow where higher values wrap around to zero and are displayed as low values.

10 mK

This option provide resolution of 10 mK (0.01°C). Choose this option when testing devices with higher power dissipation that heatup more than 550 mK.

Note: Temperature units of the Lock-in image scale are Kelvin (K) and the scale range is -100 to 550 Kelvin (-100 to 550°C).

Image Update

Lock-in images to be calculated and updated at the end of each cycle. Calculating Lock-in images however, requires significant processing resources and may temporarily delay the acceptance of captured thermal images into a test. To minimum such delays, the frequency at which Lock-in images are updated can be reduced by entering the minimum time period between updates.

Minimum

Enter the time period between updating (calculating and displaying) Lock-in images. Values range from 1 to 60 seconds.

Auto Save Test

LIT tests can be automatically saved to file at defined intervals while the test continues to run. This feature preserves test data periodically in case the test is stopped for any reason such as power failure or device damage.

Enable | Check this box to enable automatic test file saving. LIT tests are saved in a "day" folder, within a "year month" folder, within the "Optotherm\Thermalyze\LIT\AutoSaveTest" folder.
Period | Enter the time period between LIT test saves. Values range from 1 to 60 minutes. Important: Each automatically saved LIT test file is approximately 150 MB in size. Therefore, to avoid using up too much hard disk space, set Period to higher values when running long LIT tests. Furthermore, make sure to delete automatically saved test files that are not needed at the end of each long-running test.

Prolonged Testing

When running a lock-in test over the course of many hours, it is possible to experience an interruption in Camera Communication. Check the Auto Restart box to automatically reestablish camera communication and then automatically restart the test when such an event occurs.

Auto Restart

Check this box when running a long LIT test of many hours to automatically reestablish camera communication and restart the test if an interruption in camera communication occurrs.


Advanced Settings

Description

Settings that control image rejection and noise reduction are found in the Advanced Settings window (see Figure 1). To open this window, click the Advanced Settings item under the Setup menu (or click the settings-gray button) on the Lock-in Thermography window.

Figure 1: Advanced Settings window

Figure 1: Advanced Settings window

Restore Defaults

Click the Restore Defaults item on the Settings menu to restore all setting in the window to their factory default values. The default settings are appropriate for Lock-in Thermography (LIT) tests with Test Resolution set to 10 microk.

Cycle Initialization

After a period of time, and depending on the applied power and device thermal conductivity, the average temperature of a test device will eventually stabilize. As the average temperature gradually increases, the phase angle values in the phase image will gradually move to less negative values until the temperature has stabilized.

cycles

Enter the number power cycles to perform before incorporating data into the LIT test. Initialization cycles allow the device temperature to stabilize before Lock-in and phase images are calculated and displayed. Values range from 0 to 100 cycles.

Note: The affects of cycle initialization on phase angle is negligible unless device heating is significant (greater than 1°C). Therefore, set this value to zero for low levels of heating and when the phase image is not needed.

Touchup Delay

If your camera includes a physical shutter in front of the detector and the shutter touchup feature has been enabled for your camera, corrupt images can occur immediately following a touchup calibration if the shutter has not opened completely before thermal images are displayed.

sec

Enter the length of time that must elapse after a touchup calibration before images can be accepted into the LIT test. Values range from 0 to 10 seconds.

Image Rejection

LIT tests are sometimes performed for long periods of time (many hours) to improve sensitivity in order to detect very low levels of heating. During long tests, there is an increased possibility that corrupt images may be included in the test data. Corrupt image are usually caused by convection from the environment to the target, from background emittance reflecting off of the target, or from rapid changes in target temperature. Because the level of device heating during a long test is typically very low, a single corrupt image can overwhelm true test data, preventing faults from being detected. Therefore, it is essential that each captured image is evaluated so that corrupt images are identified and discarded before they can be incorporated into the test. Corrupt image are identified by evaluating image statistics of a differential image (Delta Avg image) created by subtracting each captured image from an average of recently captured images (Average Test Image).

icons8-electronics-bpr-40 - Copy

Bad Pixels: Bad pixels can cause images to be rejected even if the Rejection Criteria are set correctly. If bad pixels are suspected, open the User Bad Pixel Replacement window and then identify and add bad pixels.

Enable

Check this box to enable image rejection.

Tip: This box should be unchecked when Test Resolution is set to 10 mK because device heating will prevent significant numbers of captured images to be rejected.

History Weight

The Average Test Image is calculated by averaging new test images with a weighted sum of previously captured images. Enter the weight factor to apply to the Average Test Image. Values range from 50 to 99%.

Tip: A lower history weight will allow the Average Test Image to adapt to more recent changes in target and room temperature. A higher weight will prevent rapid temperature changes from being accepted into the test.

Auto Rejection Enable

Check this box to enable automatic adjustment of Rejection Criteria including the Change Max, Change Mean, and Change Std Dev settings. Automatic settings are determined by calculating image statistics of a differential image (Delta Prev image) created by subtracting each captured image from the previously captured image.

Auto Rejection Safety Factor

New values of Change Max, Change Mean, and Change Std Dev are caculated by multiplying the value of Auto Rejection Safety Factor by image statistics of the Diff Prev image and then adding Auto Rejection Safety Margin. Increase this setting to raise the value of Rejection Criteria and reduce the number of rejected images. Values range from 1 to 5x.

Auto Rejection Safety Margin

New values of Change Max, Change Mean, and Change Std Dev are caculated by multiplying the value of Auto Rejection Safety Factor by image statistics of the Diff Prev image and then adding Auto Rejection Safety Margin. Increase this setting to raise the value of Rejection Criteria and reduce the number of rejected images. Values range from 0 to 5K.

Change Max

A captured image is determined to be corrupt if the maximum of all pixels in the Delta Avg image exceeds the value of this setting. Values range from 0 to 10K.

Tip: If this value is set too low, a high number of captured images will be rejected. If this value is set too high, it is more likely that a corrupt image will be incorporated into the test.

Change Mean

A captured image is determined to be corrupt if the mean of all pixels in the Delta Avg image exceeds the value of this setting. Values range from 0 to 10K.

Tip: If this setting is too low, a high number of captured images will be rejected. If this value is set too high, it is more likely that a corrupt image will be incorporated into the test.

Change Std Dev

A captured image is determined to be corrupt if the standard deviation of all pixels in the Delta Avg image exceeds the value of this setting. Values range from 0 to 10K.

Tip: If this value is set too low, a high number of captured images will be rejected. If this value is set too high, it is more likely that a corrupt image will be incorporated into the test.

icons8-red-square-48

Reject Indication: When a captured image is rejected due to exceeding the Change Max, Mean, or Std Dev setting, the corresponding setting's box will turn red.

Automatic Image Rejection

In most cases, Auto Rejection should be enabled and will automatically adjust Rejection Criteria according to the noise level of captured images. Auto Rejection settings should only require adjustment if the ambient thermal noise surrounding the test device changes significantly. Follow these instructions to adjust the Auto Rejection settings.

1.Set the Safety Margin setting to 0K.

2.Reduce the Safety Factor setting until the Change Max box blinks red intermittently and then increase the setting until no red blinking occurs.

3.Increase the Safety Margin setting until no blinking occurs in the Change Mean and Change Std Dev boxes.

4.During a test, if you notice a substantial increase in the number of images in the Rejected field on the Lock-in Thermography window, you may need to readjust these settings.

Manual Image Rejection

If adjusting Rejection Criteria settings manually, appropriate values will depend on factors including Calibration Range, camera lens, and on the ambient thermal noise surrounding the test device. Follow these instructions to manually adjust the Rejection Criteria.

1.Reduce the Change Max setting until the setting's box blinks red intermittently and then increase the setting until no blinking occurs.

2.Repeat steps 5 and 6 to adjust the settings for Change Mean and Change Std Dev.

3.During a test, if you notice a substantial increase in the number of images in the Rejected field on the Lock-in Thermography window, you may need to readjust these settings.

Noise Reduction

Image noise can conceal low levels of localized heating. Noise reduction decreases a specific type of random spatial image noise commonly called salt-and-pepper noise using a rank filter.

Enable | Check this box to enable image noise reduction. Tip: Noise reduction should typically be enabled as it significantly reduces salt-and-pepper noise in Lock-in images, allowing much lower levels of heating to be distinguished.
Matrix Size | Choose the matrix to use with the rank filter. The matrix determines the neighboring pixel used in the noise removal algorithm. A larger matrix will remove more noise but will decrease image resolution and contrast. Note: The factory default value of Matrix Size is 3x3 cross.

Image Smoothing

Image noise can conceal low levels of localized heating. Image smoothing is a low-pass filter that decreases Gaussian noise that is generally associated with digitizing analog signals.

Enable | Check this box to enable image smoothing. Tip: Image smoothing should typically be enabled as it significantly reduces spatial noise in Lock-in images, allowing much lower levels of heating to be distinguished.
Matrix Size | Enter the size of the matrix to use for image smoothing. The matrix determines the neighboring pixel used in the noise removal algorithm. A larger matrix will remove more noise but will decrease image resolution and contrast. Note: The factory default value of Matrix Size is 5 x 5.
Strength | Enter the smoothing strength. Higher values will increase smoothing but will decrease image resolution and contrast. Values range from 1 to 5. Note: The factory default value of Strength is 2.

Relay/Output Timing

The timing within each cycle when power is applied is critical when calculating phase angles and phase images. To compensate for communication and activation delays associated with relay devices and other instruments, communication needs to be initiated somewhat earlier than the beginning of the first cycle frame (to apply power) and middle of each cycle (to remove power). For relay devices, this setting should be set to "previous frame end". For USB instruments, this setting should be set to "last frame end".

Important: Relay/Output Timing should be changed only if you are instructed to do so by an Optotherm support engineer.

Overlay Contrast Enhancement

Adaptive histogram equalization can be used to enhance the contrast of the thermal overlay image to better visualize features.

Image Sectors | Enter the number of horizontal and vertical image sectors. The thermal overlay image is divided into sectors and histogram equalization is used to optimize contrast in each sector.
Histogram Limit | Enter the maximum percentage of pixel values that can be assigned to any histogram bin. Thermal overlay images are 16 bit images, resulting in 65,536 discreet possible values for each pixel. A value of 1%, for example, limits the number of discreet pixel values to 655 for any histogram bin.


Relay Setup

Description

Relay outputs are used to control power to a device during a Lock-in Thermography (LIT) test. To open the Relay Setup for Lock-in Thermography Tests window (see Figure 1), select the Relay Setup item from the Setup menu (or click the on-off button on the top toolbar) on the Lock-in Thermography window .

icons8-book-40

Relay Info: Refer to the relay device manufacturer documentation for detailed specifications and instructions regarding making proper electrical connections.

icons8-relay-40

Relay State: All relays are deactivated when a lock-in test ends, even if the deactivate time has not been reached.
Figure 1: Relay Setup for Lock-in Thermography Tests window

Figure 1: Relay Setup for Lock-in Thermography Tests window

Relay Device Type | Choose the relay device that is connected to your computer.
Initialize Selected Device | Click this button to detect and establish communication with the selected relay device.
Enable Relays | Check this box enable all relays in the selected device. Note: This box must be checked in order for any relays to be activated.
Relay (0 to 7) | There are 8 relays (numbered 0 through 7) that can be used to control power to a device under test. Each relay can be programmed to activate and deactivate at a specific time while recording an image sequence. To enable a relay, check its corresponding box.
Activate (0 to 7) | These controls are disabled for LIT tests. The period of time that a device is powered is determined by the Cycle Time and Power Mode.
Deactivate (0 to 7) | These controls are disabled for LIT tests. The period of time that a device is powered is determined by the Cycle Time and Power Mode.
All On | Click this button to activate all enabled relays.
All Off | Click this button to deactivate all enabled relays.
Status (click to test) | Check a box to manually activate a relay. Uncheck the box to deactivate a relay. Mechanical and reed relays will make a soft click when activated or deactivated. Solid state relays will be silent.


Thermal Overlay Palette

Description

The Thermal Overlay Palette window (see Figure 1) contains controls to adjust the contrast of the color palette used to display the thermal overlay image on the Lock-in Thermography window and Phase Image window. To open the Thermal Overlay Palette window, click the Scale button on the on the Lock-in Thermography window or Phase Image window.

Figure 1: Thermal Overlay Palette window

Figure 1: Thermal Overlay Palette window

Palette Controls

Auto

Click this button to set the palette max and min values to the highest and lowest temperatures in the thermal overlay image.

In

Click thus button to zoom in to the palette slider scale in order to make fine adjustments.

Out

Click this button to zoom out of the Palette slider scales in order to make course adjustments

Auto Scale Each

When this box is checked, the palette is automaticaly scaled when the Lock-in image is updated.

Palette Max and Min Sliders

The color palette can be scaled within a specific temperature range by dragging the palette Max and Min sliders. Adjust the sliders to improve the contrast of the thermal overlay image.

The palette temperature range, displayed to the left of the sliders, displays the temperatures represented by the individual colors of the color palette.


Advanced Save and Export

Description

The Advanced Save and Export window allows users to export many Lock-in images at once, and also to save Lock-in Thermography (LIT) tests and export Lock-in images with important information included in filenames.

To open this window, click the Advanced Save and Export item under the File menu of the Lock-in Thermography window.

Figure 1: Lock-in Advanced Save and Export window

Figure 1: Lock-in Advanced Save and Export window

File Type

Choose to save the LIT test or to export one or more Lock-in images.

Images to Export

Select all Lock-in images to be exported. Settings on the Lock-in Thermography and Phase Image windows are used to create the images. Also select the file type file to export. Png files are typically a good choice because they are lossless (no loss in image data) and compressed (small file size).

Note: Selecting All Single Phase Angles will result in exporting a separate file for each single phase angle.

Include in Filename

Enter a name and select the Lock-in parameters to include in the filename. Date format is "YYYY-MM-DD". Time format is "THHMMSS". Electrical Properties are loaded into the fields by clicking the Send Values button on the Instrument Control window. These property fields can also be edited directly and cleared.

Save Test

Click this button to save the currently loaded LIT test.

Export Image(s)

Click this button to export the selected Lock-in images.


Defect Depth Analysis

Description

The Defect Depth Analysis window (see Figure 1) is used to describe the internal structure of a semiconductor device and package in order to calculate defect depth based on phase angle data from testing a device on both the top and bottom sides. To open this window, click the Defect Depth Analysis item under the Tools menu (or click the depth button on the top toolbar) on the Lock-in Thermography window.

Figure 1: Defect Depth Analysis window

Figure 1: Defect Depth Analysis window

File

open-file Open Layer Data

Select the binary layer data file (.olay) to open.

Note: The file name of the most recently opened or saved file is displayed at the bottom of the window.

save-file Save Layer Data

Layer data is saved in binary format with a ".olay" extension.

Note: When saving a layer data file, the file name that you provide is appended with ".olay" and saved in the "Optotherm\Thermalyze\Defect Depth" folder unless you specify a different folder.

Export Data

The layer data values can be saved to file in ASCII text format (.txt) or binary format (.imb) for import into a spreadsheet program or your own custom application.

In ASCII text format, the name of each layer is saved followed by the layer thickness and thermal conductivity. A tab character separates the name, thickness, and thermal conductivity values. A newline character (carriage return/line feed) separates one set of layer data from the next.

In binary format, all data is saved sequentially with no separators. The layer name is saved as a length-prefixed string and the layer thickness and thermal conductivity are saved as four-byte floating-point values in little endian format.

Export Window

The Defect Depth Analysis window can be saved to file in the following formats: bmp, jpg, png, and tif. The size of the exported image is proportional to the size of the window.

Note: Exported Defect Depth Analysis windows are saved in the "Optotherm\Thermalyze\Export" folder unless you specify a different folder.

Print

Print the Defect Depth Analysis window.

Note: You must have a printer connected to your computer.

Print with Preview

Select this menu item to open the Print Preview dialog before printing.

Toolbar

new-row Add Layer | Click this button to add a new layer. If a layer is selected, the new layer is added above the selected layer. If no layer is selected, the new layer is added below the last layer. Tip: Select a layer by clicking in the # column.
shift-up Shift Layer Up | Click this button to shift the currently selected layer up one row.
shift-down Shift Layer Down | Click this button to shift the currently selected layer down one row.
delete-small Delete Layer | Click this button to delete the currently selected layer.
delete-large Delete All Layer | Click this button to delete all layers.

Layer Data

# | Displays the number of each layer.
Name | Enter the name of each layer.
Thickness | Enter the thickness of each layer. Note: Any units for thickness can be used, as long as units remain consistent for all layers. Note that the calculated defect depth has three-decimal precision, therefore choose units that will not require higher precision.
Thermal Conductivity | Enter the thermal conductivity of each layer. Note: Any units for thermal conductivity can be used, as long as units remain consistent for all layers. Note that the calculated defect depth has three-decimal precision, therefore choose units that will not require higher precision.

Phase Angles

Top Side | Enter the defect phase angle when measured from the top side of the device. Important: Defect power dissipation has an affect on phase angle value. Therefore, power dissipated in the defect must remain equal and constant when testing both the top and bottom sides of a device.
Bottom Side | Enter the defect phase angle when measured from the bottom side of the device.

Defect Depth

Number of Steps | Enter the depth resolution used to calculate defect depth. For example, if 1000 is entered for a device having total thickness of 2mm, the calculated depth resolution will be 2mm / 1000 = 2µm. Keep in mind, however, that defect depth resolution also depends on phase angle resolution, which in turn depends on factors including defect power dissipation, device surface characteristics, and test time length.
Defect Depth | Click the Calculate Depth button to calculate defect depth and display the resulting value in this field.


Setting up a Test

Lock-in Thermography Window

Open the Lock-in Thermography window.

Camera Setup

1.Press the Camera Communication button signal to start communication between the camera and computer.

2.Press the Capture Images button camera-fixed to start capturing and displaying thermal images.

3.Select the lowest Calibration Range for the currently installed lens.

Test Setup

1.Open the Test Setup window.

2.Select Cycle Frequency to 1 Hz.

3.Check the Continuous Test box.

4.Set Test Resolution to 10 microK.

5.Set Image Update to 10 seconds.

6.Check the Auto Save Test Enable box and set Period to 60 minutes.

Advanced Settings

1.Open the Advanced Settings window.

2.Click the Restore Defaults item under the Settings menu to restore factory default settings.

Lock-in Thermography Window

1.In the Display panel, choose the Amplitude option and uncheck the Phase box.

2.In the Overlay panel, uncheck the Show box.

Positioning the Device and Focusing

1.Set the Enable Image Averaging button to off-button.

2.Position the device so that the area of interest is in view and then bring the lens into focus

Relay Setup

icons8-energy-meter-40

Instrument Control: If using the Instrument instead of relays, see the Instrument Control window for applicable information and instructions.

1.Make sure that the device power supply is unplugged and unpowered.

2.Connect a device power lead through one of the relays in the relay device. Devices requiring multiple voltage levels will require using a relay for each level.

3.Open the Relay Setup for Lock-in Thermography Tests window, select the Relay Device Type, check the Enable Relays box, and check the box for each relay that will be used.

icons8-book-40

Relay Info: Refer to the relay device manufacturer documentation for detailed specifications and instructions regarding making proper electrical connections.

Program Settings

Save a Program Settings file so that you can recall all of the settings when you need to perform a similar test in the future.


Testing

Start the Test

1.If you previously saved a Program Settings file with appropriate test settings, open this file.

2.Press the Capture Images button camera-fixed to begin capturing images.

3.Press the Clear Test button to remove all existing test data from memory.

4.Press the ON/OFF button to start the test. The number of completed cycles and test running time are displayed. Avoid moving near the device while the test is running to prevent body emittance from corrupting captured images.

5.When the Lock-in Data progress bar reaches 100%, the Lock-in image will be calculated and displayed.

6.You can press the ON/OFF button to stop the test at any point during the test. If the Continuous Test box is unchecked, the test will end automatically when Number of Cycles is reached. When the test ends, all activated relays are deactivated to cutoff power to the device (if using an instrument, the output is turned off and voltage is set to zero).

Adjust Image Rejection

While a lock-in test is running, the Rejected field displays the number of captured images that are rejected due to the Image Rejection Criteria. If images are rejected more often than 1 or 2 images per minute, then either corrupt images are being rejected or the Rejection Criteria are too low. Corrupt image are usually caused by convection from the environment to the target, from background emittance reflecting off of the target, or from rapid changes in target temperature. Before increasing image rejection criteria, make sure that none of these issues are causing images to be rejected. If it is determined that the Rejection Criteria are too low, increase the Auto Rejection Safety Factor and/or Safety Margin settings until the frequency of image rejection is acceptable.

Display Lock-in Images

1.Adjust the Palette Max and Min values to maximize contrast or press the Auto button to automatically set the Palette Max and Min values to the highest and lowest temperatures in the Lock-in image (or region if the Auto Scale in Region box is checked). When adjusting the values manually, you may only need to adjust the Palette Max value (Palette Min can usually remain equal to zero). Check the Auto Scale Each box to auto scale the palette each time the Lock-in image is updated.

2.Click the Amplitude button to display the amplitude image showing all temperature increases on the device at any time during the cycle.

3.Adjust the Single Phase Image Phase Angle and then click the Show button (or click the < > buttons) to display the single phase image to identify areas that heat up at different times during the cycle and at different device depths. Single phase images typically produce the best spatial resolution when locating faults.

4.Adjust the Cycle Sequence Image # and then click the Show button (or click the < > buttons) to display individual cycle images showing lateral heat flow across the device during the power up and cool down intervals of the cycle.

5.To improve the spatial resolution of faults, increase the Cycle Frequency and repeat the LIT test. Higher test frequencies reduce thermal diffusion into adjacent areas of the device.

Display the Thermal Overlay

1.Check the Show box to merge the thermal overlay with the Lock-in image.

2.Adjust the thermal overlay Range setting to set the range of high-temperature pixels in the Lock-in image that replace corresponding pixels in the thermal overlay.

3.To improve the contrast of the thermal overlay, draw a Region on the Lock-in image enclosing the device and check the thermal overlay In Region box.

Measuring Fault Phase Angle

1.Click the Phase button to display the Phase Image window.

2.Click the Auto button to maximize phase image contrast.

3.Draw a small Rectangle Region enclosing the center of the fault on the phase image. The phase angle statistics are listed in the Region Tools panel.

Calculate Fault Depth

See the instructions for Calculating Fault Depth.


Test Optimization

Test Sensitivity (Maximizing)

The sensitivity of a Lock-in Thermography (LIT) test is determined by the following factors.

·Test Length

·Lens Sensitivity

·Cycle Frequency

·Noise Level

Test Length

Test sensitivity is inversely proportional to the square root of the number of images captured during a lock-in test. Therefore, a lock-in test lasting 4 minutes is approximately 2x more sensitive than a 1 minute test. Due to the "square root" factor, there is a diminishing return of sensitivity as test length increases. For example, to improve test sensitivity of a 1 hour test by a factor of 2, a test lasting 4 hours is required. Due to typical environmental sources of thermal noise, the practical limit of test sensitivity is approximately 0.0002 Celsuis (0.2 mK). Therefore, once the noise in Lock-in images decrease below 0.2mK, there will be minimal improvement in sensitivity if the test is continued. Usually, this level of sensitivity requires testing for several hours.

Lens Sensitivity

There are four lenses designed for use with the IS640 camera: the Macroscopic, 80 micron, 20 micron, and 5 micron. The Macroscopic, 80 micron, and 20 micron lenses have approximately the same measurement sensitivity. The sensitivity of the 5 micron lens however, is approximately six times lower than the other three lenses due to its increased magnification. When performing initial tests on small devices with low levels of leakage (<500 microwatts), start with the 20 micron lens for optimal sensitivity and spatial resolution. The Macroscopic or 80 micron lens can be used for larger devices. After the defect site has been localized, testing with the 5 micron lens can be attempted to improve spatial resolution.

Cycle Frequency

Test sensitivity also depends on Cycle Frequency. Maximum test sensitivity is achieved when the heating reaches a steady-state level during each cycle. For this reason, the Cycle Frequency resulting in the highest sensitivity will depend on the characteristics of the device under test. When testing a bare semiconductor device, for example, highest sensitivity is typically reached at a Cycle Frequency of 1Hz. For a chip with a plastic package however, maximum sensitivity may be reached at Cycle Time of 4 seconds or longer because a longer period of time must elapse for heat to flow through the package to the surface where it can be detected.

Cycle Frequency can be increased to improve hot spot spatial resolution by reducing thermal spread and to more effectively cancel sources of thermal noise due to the increase in number of cycles. Increasing Cycle Frequency however, will result in a lower maximum temperature reached, reducing test sensitivity. In most cases, begin testing a device by setting Cycle Frequency for maximum sensitivity. Then, after isolating the location of the defect, increase Cycle Frequency to improve spatial resolution.

Noise Level

Because LIT tests involve detecting very small heating (<0.001 Celsius), source of low levels of thermal noise may easily corrupt a test. For this reason, it is very important to eliminate or minimize noise source near the device under test such as the following.

·Movement of infrared emittance sources such as people or equipment

·Sources of air currents such ventilation drafts (turn off the Thermal stage during LIT tests as the fan will lower test sensitivity)

·Overhead sources of infrared emittance such as heating/AC ducts

Power Dissipation (Level Required)

In order to determine whether a specific leakage current defect can be detected, it is necessary to measure or calculate the power dissipation in the fault. When testing bare semiconductor devices, current leakage dissipating 100 microwatts can usually be detected in about 1-2 minutes. Detecting <10 microwatts may require 1 hour or longer. When testing thick packaged devices, higher power dissipation will be required as heat spread will reduce the maximum temperature detected on the surface of the package. Packaged devices may require dissipating 500 microwatts (or more) in a fault in order for it to be detected and located.

Lock-in Images (Which to Use)

Single phase images provide the highest sensitivity of all Lock-in images, although they display heating that occurs at one specific time during the cycle. Amplitude images are somewhat less sensitive, but they display heating that occurs at any time during the cycle. Single phase images should typically be used for detection of low levels of leakage current. It is necessary however, to set Phase Angle to the proper value to display defect heating. Start with Phase Angle set to 0 degrees and decrease until fault heating is discernible. This image will display fault heating that occurs earliest in the cycle and will provide the best spatial resolution regarding fault location. Phase Images are primarily used for determining defect depth in devices such as stacked die.

Cycle Sequence (What's it For)

Cycle sequence images are typically not used for leakage current detection and location, but for creating a low-noise sequence of images showing the heating that takes place during one complete cycle. Cycle sequence images can be helpful when analyzing heat flow during product development.

Rejection Criteria (How to Set)

While a lock-in test is running, the Rejected field displays the number of captured images that are rejected due to the Image Rejection Criteria. If images are rejected more often than 1 or 2 images per minute, then either corrupt images are being rejected or the Rejection Criteria are too low. Corrupt image are usually caused by convection from the environment to the target, from background emittance reflecting off of the target, or from rapid changes in target temperature. Before increasing image rejection criteria, make sure that none of these issues are causing images to be rejected. If it is determined that the Rejection Criteria are too low, increase the Auto Rejection Safety Factor and/or Safety Margin settings until the frequency of image rejection is acceptable.


Thermal Model Comparison (TMC)

Description

Thermal Model Comparison (TMC) is a software tool used to identify defects on electronic devices such as circuit board assemblies. Many populated circuit board defects such as shorts and stressed components cannot easily be identified easily using conventional methods such as ICT, FT, AOI, and AXI. Much time is spent debugging boards with such defects and often these boards end up in the scrap pile. TMC tests provides an alternative method to isolate these defects, thus filling the gaps between conventional debugging techniques.

Figure 1: Thermal model comparison

Figure 1: Thermal model comparison

Test Overview

A Thermal Model Comparison test involves comparing a device's thermal behavior to the thermal behavior of operational devices (Model Group). The thermal comparison is made over a specific period of time and at a number of consecutive time intervals determined by settings in the Test Time window. To create the thermal model, one or more operational devices are tested under power in order to develop the Model that defines how non-defective devices should behave thermally. Less complex devices may need to be powered for only a short time. More sophisticated devices however, may need to be energized using diagnostic or functional tests in order to exercise all electronic components. After the model has been created, test devices are powered in the same manner as those in the Model Group and then their thermal behavior is compared to the model. Thermal deviations and from the model and their severity are displayed to aid in troubleshooting.

TMC can detect very small temperature differences between functional and defective devices that are nearly impossible to detect using any other temperature measurement method. Entire circuit boards can be inspected at once, regardless of component density, and without contacting the board. Hundreds of thousands of individual infrared detector elements in the thermal camera act as virtual test probes.

TMC employs a software process called Image Subtraction wherein a reference thermal image of an unpowered device is recorded and then subtracted from each thermal image that is captured while the device is powered. Because subtracted images represent temperature changes, ambient temperature fluctuations from test to test do not affect test sensitivity and results.

icons8-statue-40

Don't Move: Because TMC tests involve pixel-by-pixel comparisons between operational and test devices, the camera and device positions must be fixed and must not be change.

bullseye

No Touchup: Disable touchup calibrations when conducting TMC tests to prevent touchup-related image artifacts and also because the process of subtracting images removes noise that touchup calibrations are intended to correct.

Test Process

At the end of each test, the sequence of thermal images captured during the test are automatically saved with a unique ID. Thermal sequences of operational devices can be added to the Model Group and used to create the Model. Defective devices that have been successfully troubleshooted are added to the Fault Group along with failure mode and repair details. After the thermal sequence has been saved, it is compared to the Model and the results of the comparison are displayed. Areas on the device that are outside the acceptable range of the Model are displayed in color with pixel values indicating the magnitude of variance from the model. The Fault Group can be automatically searched in order to identify defective devices with similar thermal behavior.

Basic Functional Verification

TMC can be used to verify the basic functionality of electronic devices such as circuit board assemblies when no functional test is available. No custom hardware is required and tests can usually be setup in less than an hour. TMC is ideal for testing basic functionality when the high cost of a dedicated functional tester cannot be justified. More thorough functional validation is achieved when all electronic components on a device are electrically exercised.

Test Results

Test Results consist of a comparison sequence of images representing differences in thermal behavior between the test device and the Model during the test duration. An image in the comparison sequence will display values greater than zero to indicate components or areas on the test device having higher temperature than the Model. Similarly, values less than zero indicate areas having lower temperature than the Model. Each of these areas, called Fail Sites, are enclosed in a rectangle and are numbered consecutively according to severity.

Certain types of failure modes, such as some low-resistance short circuits, can sometimes be identified immediately or isolated to a small area on the device. Other failure modes, such as open circuits or missing components, may produce secondary thermal effects resulting in a number of suspect areas. In such cases, fault location can sometimes be determined by locating the earliest thermal difference in the comparison sequence. If the earliest thermal difference does not indicate the true fault location, the entire comparison sequence should be examined to identify additional Fail Sites. Knowledge of device functionality and repair history and access to device schematics will reduce troubleshooting time significantly. By considering the severity of Fail Sites and the time in which Fail Sites occur during the test, the defect search area can be significantly reduced.

The following is an example of the troubleshooting process when multiple Fail Sites are detected. Upon initial examination of the comparison sequence, an area containing a number of components is discovered to be lower in temperature than the Model. This could indicate that one or more of the components is not functioning properly. After inspecting the areas under X-ray, no internal defects are found. Device schematics indicate that the functionality of the suspect components are controlled by the I/O output from a neighboring component. Although the comparison sequence revealed no thermal differences between this component and the Model, it was inspected and believed to be the source of the failure. The diagnosis was verified by swapping out the component and retesting the device.

Fault Search

After a device has been tested and successfully troubleshooted, failure mode and repair details are added to the device test file which is added to the Fault Group. When testing devices in the future, the Fault Group can be searched to identify close matches ranked by similarity percentage. As the Fault Group grows, troubleshooting time decreases.


Main Window and Tabs

Section Topics

The topics in this section cover Thermal Model Comparison windows and tabs.


Main Window

Description

The Model Comparison (TMC) window (see Figure 1) helps troubleshoot electronic devices by assessing the thermal differences between faulty and operational devices. To open this window, click the Thermal Model Comparison item under the Testing menu or press the circuit-board button in the Testing section of the Shortcuts toolbar.

Figure 1: Thermal Model Comparison window

Figure 1: Thermal Model Comparison window

Project Folder and Data

The following data is saved when a project is saved. When a project is saved, a project folder is created with the same name as the project settings file to contain the project database, test sequences, regions, notes, and overlay.

Project Settings | Project settings are saved in an ASCII text file with .otmc extension. All settings accessible in the Thermal Model Comparison, Test Time, Model Settings, Overheat Protection, Relay Setup, Positioning Blocks, and User Preferences windows. Additionally, there are several lockable settings that are saved including Image Averaging, Camera Lens, and Calibration Range. Touchup Calibration is also saved but is not a lockable setting.
Project Database | A Microsoft Access OLE DB 12.0 database located in the project folder is used to contain the following project data: Test ID, test data/time, test notes, Model Group ID, Fault Group ID.
Test Sequences | Each test sequence is saved in a folder named "Test History" within the project folder. This directory is created within the project folder after the project has been locked and a device has been tested. Test image sequences are automatically saved in this folder at the end of each test. The saved sequence file and associated thumbnail are given the same name as the test ID.
Project Regions | Regions on the Main Image can be saved in a binary file with .orgn extension and located in the project folder. Project Regions are opened and displayed when the project is opened.
Project Notes | Notes entered into the Project Notes window can be saved in a binary file with .onts extension located in the project folder. Project notes are opened and displayed when a project is opened.
Project Overlay | An overlay can be saved with .bmp extension in the project folder. The project overlay is loaded as the current overlay when a project is opened.

File

open-file Open Project

Select the TMC project file (.otmc) to open. When a project is opened, all tests added to the Model Group in the project database are loaded into memory to speed Model creation. Tests added to the Fault Group, however, are not loaded into memory as the possibility of large numbers of tests could result in slow computer performance.

Note: The file name of the most recently opened or created project file is displayed at the bottom of the window.

wand Create Project

Create a new TMC project file. When creating a project file, the file name that you provide is appended with ".otmc" and saved in the "Optotherm\Thermalyze\Thermal Model Comparison" folder, unless a different folder is selected.

Note: The file name of the most recently opened or created project file is displayed at the bottom of the window.

close Close Project

Close the current project.

Tip: It is a good idea to close project files when you are finished with the project to prevent accidentally making changes to the project file settings.

unlock Lock Project

Lock the current project. When a project is locked, the Lockable Settings cannot be changed. The lock icon on the top toolbar changes to lock when the current project is locked.

While a project is open, changes to Lockable Settings can only be made while the project is unlocked. Once a project file is locked, it cannot be unlocked. This feature prevents inadvertent changes to settings that can invalidate prior test data. Project files should only be locked after test setup is complete and no further adjustments need to be made to lockable settings.

Note: Test sequences are automatically saved at the completion of each test only if the project is locked.

Save Project As

Save the current project under a new name.

Note: All of the project files under the former name are not deleted to prevent accidently losing important data. You must manually delete these files in order to remove them from the hard disk.

Save Project Settings

Save all program settings to the project settings file.

Save Project Regions

Save Regions on the Main Image to the current project folder. Regions can be used to define specific areas on a device and to exclude components, such as power leads or connectors, that may cause test failures due to high and inconsistent heating.

Save Project Notes

Save notes entered in the Project Notes window to the current project folder. Notes are used to enter descriptive information about the devices under test.

Save Project Overlay

Save the current overlay to the current project folder. Overlays are used to quickly locate fail sites on a device.

Setup

stopwatch Test Time | Select this menu item to open the Test Time window and set the test time and analysis rate.
square-wave Instrument Control | Select this menu item to open the Instrument Control window. The instrument output is used to power devices during TMC tests using Keithley source measure units.
on-off Relay Setup | Select this menu item to open the Relay Setup for Thermal Model Comparison window. The relay outputs are used to control power to electronic devices during TMC tests.
pos-blocks Positioning Blocks | Select this menu item to open the Positioning Blocks window and record the locations of fixture blocks used to position devices.
flame Short Circuit Test | Select this menu item to open the Short Circuit Test window and set the short circuit detection temperature increase and time.
settings Model Settings | Select this menu item to open the Model Settings window and set the criteria for creating the Model.
notepad Project Notes | Select this menu item to open the Project Notes window and enter information associated with the project.

Tabs

Controls and parameters for testing devices are separated into the following five tabs:

·New Test tab: Enter a new test device ID and start a new test.

·Test History tab: View test image sequences, add tests to the Model Group or Fault Group, and add troubleshooting notes.

·Test Results tab: Locate thermal differences between a device and Model and search the Fault Group for similar thermal behavior.

·Model Group tab: View Model Group test sequences, create the Model, test the Model Group against the model, and remove tests from the Model Group.

·Fault Group tab: View Fault Group test sequences and remove tests from the Fault Group.

Project Status

Model | Displays when the Model needs to be updated due to changes in the Model Group or Model Settings.
Project File | Displays the file name of the most recently opened or created project file.


New Test Tab

Description

The Thermal Model Comparison window New Test tab (see Figure 1) contains controls and settings for starting a new Thermal Model Comparison (TMC) test. Each test is performed over a specific time period and at a number of consecutive time intervals determined by settings in the Test Time window. Captured thermal images during the test are saved in memory as an image sequence and are saved to hard disk at the end of the test. Test sequences can be reloaded and retested using the Test History tab.

Figure 1: New Test Tab

Figure 1: New Test Tab

New Test Information

ID | Enter a unique name for the new test device such as its serial number. The ID is used as the file name of the test image sequence when it is automatically saved at the end of the test.
Notes | Enter descriptive information about the manufacturing and operational history and state of the device. Known operational devices that will be added to the Model Group should be designated as "Operational" or similar descriptor. Tip: Notes can be added or changed later on the Test History tab.

Test Options

Check ID Before Test | Check this box to require pressing the Check ID button before starting each new test. If this box is unchecked, the ID is automatically checked immediately after pressing the ON button.
Restore Color Palette Defaults Before Test | When a test ends, it is common practice to alter the Color Palette Max and Min values while reviewing test result images. Check this box to set the Palette Max and Min values back to the default values at the beginning of each new test so that live thermal events during the test can be compared under the same color palette settings from test to test .
Erase ID and Notes After Test | Check this box to erase the ID and Notes fields after each test ends so that duplicate information is not mistakenly entered for the following test.

Run Test

Check ID

Click this button to check if an ID has already been used.

ON/OFF

Press this button to start a new test.

Image Stability:

This field displays the temperature stability of the device being imaged. Before starting each test, make sure this value is close to the Noise Equivalent Temperature Difference (NETD) of the camera/lens combination to ensure that the temperature of the device has stabilized after being handled or previously tested.

See the camera and lens specifications for NETD information. For example, the NETD of the IS640 camera with Macro lens is < 40mK. Accordingly, image stability should be close to 0.04°C prior to starting a new test.

Note: If one or more regions exist, image stability is calculated only within the areas enclosed by regions.

Time Remaining:

This field displays the time remaining in the test.


Test History Tab

Description

The Test History tab (see Figure 1) contains controls and settings for performing the following tasks:

§Search for and load tests

§View test image sequences

§Delete tests

§Change test ID or notes

§Add tests to the Model Group

§Add tests to the Fault Group

When the Test History tab is selected and image capture is not activated, the loaded test sequence images are displayed in the Main Image. Use the controls in the Image Sequence panel to view individual images in the sequence.

icons8-subtract-48

Image Subtraction: If the ON/OFF button is pressed in the Image Subtraction panel, test images will be displayed by subtracting the thermal image of the unpowered device. Subtracted images represent temperature changes from the moment power was applied to the device. If the ON/OFF button is unpressed, test images are displayed as temperature images.
Figure 1: Test History Tab

Figure 1: Test History Tab

Loaded Test

ID

This test box displays the unique ID of the loaded test. The ID of the loaded test can be changed by altering the ID in this text box and then clicking the Save Changes button.

Tested

This field displays the date and time of the test.

Notes

This text box displays the notes associated with the loaded test. The loaded test notes can be changed by altering the notes in this text box and then clicking the Save Changes button.

Tip: Failure mode information is often added to notes after a defective device has been successfully troubleshooted. Descriptive defect information is helpful when performing a Fault Group search.

Save Changes

Click this button to save any changes that were made to the loaded test ID or notes.

Loaded Test Actions

Compare to Model | Click this button to compare the loaded test to the Model and then display the comparison sequence.
Add to Model Group | Click this button to add the loaded test to the Model Group. Important: The loaded test (not the test selected in the Test History table) is added to the Model Group.
Add to Fault Group | Click this button to add the loaded test to the Fault Group. Important: The loaded test (not the test selected in the Test History table) is added to Fault Group.

Test History Table

To aid in searching for specific tests, the Test History table can be reordered by clicking the heading for each column. Click the same column heading to alternate between ascending and descending order for the data in that column.

Load Selected Test | Click this button to load the test selected in the table into memory.
Resize Table | Click this button to automatically resize the Test History table to fit the data in the ID and Tested columns.
Delete Selected Test | Click this button to delete the test selected in the table from the project. Caution: Deleted tests are removed from the hard drive.

Search Test History

Show All Tests | Click this button to display all tests in the project.
Total Number of Tests | Displays the total number of tests in the project.
Search Dates | Click this button to display only those tests conducted between the dates selected in the From and To fields.
Search ID | Click this button to display only those tests whose ID contains the text entered in the Search ID field.
Search Notes | Click this button to display only those tests whose notes contain the text entered in the Search Notes field.


Test Results Tab

Description

The Test Results tab (see Figure 1) contains controls and settings for performing the following tasks:

·View the thermal comparison between a device and the Model

·Locate thermal differences between a device and the Model

·Search the Model Group for tests with thermal behavior similar

When the Test Results tab is selected and image capture is not activated, the comparison image sequence is displayed in the Main Image. Use the controls in the Image Sequence panel to view individual images in the sequence.

icons8-color-palette-48

Color Palette: A separate set of values for the Color Palette Max and Min and defaults are saved in memory when the Test Results tab is selected. Therefore, the Min and Max values and defaults will change when the Test Results tab is selected. Use this feature to save a different set of palette values that is optimized for viewing the comparison sequence images.
Figure 1: Test Results Tab

Figure 1: Test Results Tab

Comparison Sequence

When the thermal behavior of a device is compared with the Model, a comparison sequence is created by comparing each image in the test sequence to a corresponding set of pixel limits in the Model. When a pixel value in the test sequence image falls within the Model high and low limits, the corresponding pixel in the comparison sequence is set equal to zero. When a pixel value in the test sequence image falls outside the Model limits, the corresponding pixel in the comparison sequence is set to the difference between the pixel value and the closest limit.

Fail Sites

A fail site occurs when a group of pixels in a test sequence image (with size equal to or larger than the Fail Site Radius) fall outside of the Model limits. Fail sites are enclosed in a rectangle and are numbered consecutively according to severity. The most severe fail site is labeled with number 1. A value representing the severity of each fail site is displayed in parenthesis to the right of the number. A higher severity magnitude indicates a higher probability that the fail site is associated abnormal thermal behavior. Displayed to the right of the severity value is a number representing the magnitude that pixels within the fail site exceeded the Model limits. Negative severity and temperature difference values indicate that the fail site was colder than the Model.

fail-site-48

Fail Sites: A fail site can occur on any image (not just the last image) within the comparison sequence.

Loaded Test

ID | This field displays the unique ID of the test that was most recently compared with the Model. Note: If this ID does not match the ID of the test currently loaded from the Test History tab, a message is displayed below the this field. This can occur if a different tests is loaded after a comparison has been performed.
Notes | This field displays the notes associated with the test that was compared to the Model.

Test Results

icons8-select-48

Regions: Regions define image areas that are evaluated when making comparisons with the model. If no Regions exist, the entire image is evaluated.

PASS/FAIL

This field displays the results of the most recent comparison of a test sequence with the model. PASS indicates that there were no fail sites detected during the comparison. FAIL indicates that there was at least one fail site detected during the comparison.

Note: A comparison will pass only if there are no fail sites detected on any image in the comparison sequence.

Results Status

When tests have been added or removed from the Model Group or when Model Settings have been changed, a message is displayed below the PASS/FAIL field indicating that the test should be re-compared to the Model.

Image Fail Sites

This field displays the total number of fail sites in the comparison sequence image currently displayed.

< >

Click these buttons to display the previous and next fail sites on the currently displayed comparison sequence image in order of severity.

Show All

Click this button to display all fail sites on the currently displayed comparison sequence image.

Number Shown

Select the number of fail sites to display on the current comparison image.

Note: If this number is smaller than the total number of fail sites on the current comparison image, some of the fail sites will not be displayed.

Invert Color

The default color of fail site rectangles is white. Check this box to change the color of fail site rectangles to black.

Fault Group Search

rows-48

Row Order: To aid in searching for specific tests in the Fault Group Search table, table rows can be reordered by clicking a column heading. Click the same column heading to alternate between ascending and descending order for the data in that column.

Search Fault Group

Press this button to search the Fault Group for similar thermal behavior when tested against the Model. Each test that has been added to the Fault Group is opened in turn and compared with the Model. Fault Group tests are listed in the table in order from most to least similar. A similarity value indicates the percentage of matching fail sites.

Tip: When searching for similar tests in the Fault Group, notes describing the root cause of a defect can be very helpful in troubleshooting. Make sure to add descriptive notes for each test added to the Fault Group.

Resize Table

Click this button to automatically resize the Fault Group Search table to fit the data in the ID, Similarity, and Tested columns.


Model Group Tab

Description

The Model Group tab (see Figure 1) contains controls and settings for performing the following tasks:

·Search for and view Model Group test image sequences

·Create the Model

·Test the Model Group against the Model

·Remove tests from the Model Group

When the Model Group tab is selected and image capture is not activated, sequence images of the Model Group test selected in the Model Group table are displayed in the Main Image. Use the controls in the Image Sequence panel to view individual images in the sequence.

Figure 1: Model Group Tab

Figure 1: Model Group Tab

Model

The Model defines the thermal acceptance limits for each pixel in every image of the test sequence. The Model is created by applying Model Settings to the Model Group.

Model Group Table

Tip: To aid in searching for specific test in the Model Group table, rows can be reordered by clicking a column heading. Click the same column heading to alternate between ascending and descending order for the data in that column.

Create Model | Click this button to create the Model.
Compare to Model | Click this button to compare the selected Model Group test to the Model.
Compare All | Click this button to compare all Model Group tests to the Model. Tip: This is useful for identifying Model Group outliers that should be removed from the group.
Resize Table | Click this button to automatically resize the Model Group table to fit the data in the ID and Tested columns.
Remove Selected Test | Click this button to remove the test selected in the Model Group table from the Model Group. Note: The selected test is not deleted, it is simply unmarked as a member of the Model Group the project database.

Search Model Group

Total Number of Model Group Tests | Click this button to display the total number of tests that have been added to the Model Group.
Show All Tests | Click this button to display all tests that have been added to the Model Group.
Search ID | Click this button to display only those tests in the Model Group whose ID contains the text entered in the search ID field.
Search Notes | Click this button to display only those tests in the Model Group whose notes contain the text entered in the Search Notes field.


Fault Group Tab

Description

The Fault Group tab (see Figure 1) contains controls and settings for performing the following tasks:

·Search for and view Fault Group test image sequences

·Remove tests from the Fault Group

When the Fault Group tab is selected and image capture is not activated, test sequence images of the Fault Group test selected in the Fault Group table are displayed in the Main Image. Use the controls in the Image Sequence frame to view individual images in the sequence.

Figure 1: Fault Group Tab

Figure 1: Fault Group Tab

Fault Group Table

Tip: To aid in searching for specific tests in the Fault Group table, rows can be reordered by clicking a column heading. Click the same column heading to alternate between ascending and descending order for the data in that column.

Resize Table | Click this button to automatically resize the Fault Group table to fit the data in the ID and Tested columns.
Remove Selected Test | Click this button to remove the test selected in the Fault Group table from the Fault Group. Note: The selected test is not deleted, it is simply unmarked as a member of the Fault Group in the project database.

Search Fault Group

Total Number of Defect Group Tests | Click this button to display the total number of test that have been added to the Fault Group.
Show All Tests | Click this button to display all tests that have been added to the Fault Group.
Search ID | Click this button to display only those tests in the Fault Group whose ID contains the text entered in the search ID field.
Search Notes | Click this button to display only those tests in the Fault Group whose notes contain the text entered in the Search Notes field.


Project Settings

Section Topics

The topics in this section explain how to set Thermal Model Comparison project settings.


Lockable Settings

Description

Program settings include all of the settings that can be changed by the user in the Thermalyze program. Lockable Settings specific program settings that cannot be altered after a Thermal Model Comparison project has been locked as changing their values would invalidate any test image sequences that have been saved to the project. Changes to Lockable Settings can only be made while the project is unlocked.

Settings accessible in the Test Time window

·Test Time (Hours, Minutes, and Seconds)

·Analysis Rate

Settings located in the Relay Setup window

·Enable Relays

·Enable Relay (individual relays 0 through 7)

·Activate (individual relays 0 through 7)

·Deactivate (individual relays 0 through 7)

Settings accessible in the Camera Control toolbar

·Enable Image Averaging

·Number of Images to Average

·Camera Lens

·Calibration Range

Settings located in the User Preferences window

·Flip Captured Images Horizontally

·Flip Captured Images Vertically

Settings located in the Image Processing window

·Noise Reduction

·Enable Image Smoothing

·Image Smoothing Matrix Size

·Image Smoothing Strength


Test Time

Description

The length of a Thermal Model Comparison (TMC) test and the frequency at which test thermal images are recorded and analyzed can be set in the Test Time window (see Figure 1). To open this window, click the Test Time item under the Setup menu (or press the stopwatch button on the top toolbar) of the Thermal Model Comparison window .

Figure 1: Test Time window

Figure 1: Test Time window

Hours, Minutes, Seconds

Enter the test time length. Values range from 1 second to 24 hours.

Analysis Rate

Select the frequency at which test thermal images will be recorded and analyzed during the test.

Tip: Because image averaging is often used to decrease image noise during a TMC test, there is no reason to analyze test images at a rate higher than 1/sec. In fact, a smaller number of comparison sequence images are often much easier to view and analyze. Use a rate that results in the fewest number of test images required to obtain a thermal representation of the device. In most cases, 30 or fewer test images are sufficient.

Test Images

This field displays the total number of test thermal images that will be recorded and analyzed during each test. The number of test images is determined by multiplying the Test Time by the Analysis Rate. For example, given a Test Time of 30 seconds and an Analysis Rate of 1/sec, the total number of test images will be (30 x 1 = 30).

Important: The number of test images is limited to 100. Large test image sequences may slow computer processing and, depending on computer speed and memory, may result in slow performance or “out of memory” errors.


Model Settings

Description

Settings that control how the Model is created and how tests are compared to the Model are accessible on the Model Settings window (see Figure 1). To open this window, click the Model Settings item under the Setup menu (or press the settings button on the top toolbar) of the Thermal Model Comparison window .

Model Creation settings determine how the model is generated. Model Comparison settings determine how tests are compared to the Model. The Model is comprised of a collection of image pixel acceptance ranges for each image in the test sequence. In a test comprised of 10 test images, for example, there is an acceptance range for every image pixel in each of the 10 images. When a test image sequence is compared against the Model, comparisons are made with the Model for each test image and for each image pixel. This enables the detection of thermal differences anywhere on a device at any time during the test.

Figure 1: Model Settings window

Figure 1: Model Settings window

Model Creation

Small Group

Select this option when creating the Model from the Model Group containing less than 10 tests. The pixel acceptance ranges a in the Model will include the range of thermal behavior of every device in the group. As a result, all tests in the Model Group will pass if they are compared against the Model.

Large Group

Select this option when creating the Model from the Model Group containing more than 10 tests. The pixel acceptance ranges in the Model are calculated by applying a number of standard deviations to the average of the Model Group tests.

Spatial Tolerance

Sometimes device features and components may not be aligned precisely from device to device. This may be due to a inconsistent manufacturing process or because of difficulty fixturing an unusual device configuration. In these cases, the Spatial Tolerance setting can provide compensation for slight misalignment from test to test. Severe misalignment however, should be rectified by improved device fixturing.

Select the estimated misalignment in number of pixels. When the Model is created, each pixel acceptance range will include the thermal behavior of adjacent pixels within a radius of the Spatial Tolerance setting. Values range from 0 to 10 pixels.

Important: Because Spatial Tolerance will reduce test sensitivity, non-zero values for this setting should only be used when properly aligning devices is not possible.

Model Comparison

Small Group Sensitivity

Because a small group model is based on the thermal behavior of only a small number of operational devices, the pixel acceptance ranges in the Model must be expanded to accommodate natural variances inherent in larger numbers of devices. The Small Group Sensitivity setting is used simulate a larger Model Group by expanding each pixel acceptance range in the Model.

Decrease this setting to expand the pixel acceptance ranges in the Model in order to ignore small differences from the Model. Increase this setting to reduce the pixel acceptance ranges in order to detect small differences from the Model. Values range from 1 to 10. When a value of 1 (lowest sensitivity) is entered, the maximum expansion is applied to the pixel acceptance ranges in the Model. When a value of 10 (highest sensitivity) is entered, no expansion is applied.

Large Group Standard Deviation

Select the number of standard deviations to apply to the average of the tests in the Model Group for each pixel acceptance range in the Model. Increase this setting to expand the pixel acceptable ranges in the Model to ignore small differences from the Model. Decrease this setting to reduce the pixel acceptance ranges in the Model to detect small differences from the Model. Values range from 1 to 6 standard deviations.

Image Noise Level

This setting is used to compensate for image noise by expanding the pixel acceptance ranges in the Model. Image noise can be due to thermal reflections from nearby heat sources such as machinery, lighting, heating ducts, and human movement. Image noise can also be caused by air currents and device handling.

Increase this setting to expand the pixel acceptance ranges. Values range from 0.0 to 10.0°C. When a value of 0.0°C is entered, no pixel acceptance range expansion is applied to the Model.

Tip: Because it is virtually impossible to eliminate all sources of image noise, it is usually helpful to set the Image Noise Level to an initial value such as 0.5°C and then adjust this value when required.

Fail Site Radius

When comparing test sequence images against the Model, there may be groups of pixels that fall outside the pixel acceptance ranges. This settings designates the minimum radius of such a group to qualify as a fail site. Groups with radius smaller than this setting will not be identified as fail sites on comparison sequence images.

Increase this setting to reduce the number of fail sites. Reduce this setting to increase the number of fail sites. Values range from 0 to 20 pixels.

Note: A value of 0 allows single pixel fail sites to be identified.

Password Protection

Enable

Check this box to require the user to enter the correct password before changing any Model Creation or Model Comparison settings.

Important: Password protecting model settings prevents unauthorized users from altering settings that could change the model or change how devices are compared against the Model.

Change Password

Click this button to open the Change Password window. The password can be zero to eight alphanumeric characters (letter and numbers only).


Overheat Protection

Description

During a Thermal Model Comparison (TMC), overheating may occur due to a short circuit or component degredation. Overheat protection can prevent sensitive components from being damaged. During a TMC test, if the temperature threshold is reached anywhere on the device, the test is immediately stopped and all relays are deactivated.

Settings that control overheat protection are accessible on the Overheat Protection window (see Figure 1). To open this window, click the Overheat Protection item under the Setup menu (or press the flame button on the top toolbar) of the Thermal Model Comparison window.

Figure 1: Overheat Protection window

Figure 1: Overheat Protection window

Enable

Check this box to enable overheat protection during TMC tests. When enabled, all relays in the relay device are immediately deactivated when an area on the device reaches the Threshold setting and before the Test Time setting has elapsed.

Note: If any regions exists, only areas enclosed by Regions are evaluated for overheating. If no Regions exists, then the entire image is evaluated.

Threshold

Enter the short circuit detection temperature. Values range from 1 to 100°C.

Test Time

Enter the length of time at the beginning of Model Comparison tests that images will be evaluated for short circuits.

Important: After Test Time has expired, short circuits will not be detected even if the Threshold setting has been exceeded.


Relay Setup

Description

Relay are used to control voltage to a device during a Thermal Model Comparison (TMC) test. To open the Relay Setup for Thermal Model Comparison Tests window (see Figure 1), select the Relay Setup item from the Setup menu (or press the on-off button on the top toolbar) of the Thermal Model Comparison window .

icons8-book-40

Don't Move: Refer to the relay device manufacturer documentation for detailed specifications and instructions regarding making proper electrical connections.

Figure 1: Relay Setup for Thermal Model Comparison Tests window

Figure 1: Relay Setup for Thermal Model Comparison Tests window

Relay Setup

Relay Device Type

Choose the relay device that is connected to your computer.

Initialize Selected Device

Click this button to detect and establish communication with the selected relay device.

Enable Relays

Check this box enable all relays in the selected device.

Important: This box must be checked in order for any relays to be activated.

Relay (0 to 7)

There are 8 relays (numbered 0 through 7) that can be used to control voltage to a device under test. Each relay can be programmed to activate and deactivate at a specific time during a TMC test. To enable a relay, check its corresponding box.

Activate (0 to 7)

Enter the time (in seconds) to activate the relay. The time is measured from the start of a TMC test.

Note: The response time of activating and deactivating relays may be different for each type of relay device.

Deactivate (0 to 7)

Enter the time (in seconds) to deactivate the relay. The time is measured from the start of a TMC test.

Important: All relays are automatically deactivated when a TMC test ends or is cancelled, even if the deactivate time has not been reached.

All On

Click this button to activate all enabled relays.

All Off

Click this button to deactivate all enabled relays.

Status (click to test)

Check a box to manually activate a relay. Uncheck the box to deactivate a relay. Mechanical and reed relays will make a soft click when activated or deactivated. Solid state relays will be silent.


Project Notes

Description

Enter device information, powering instructions, and troubleshooting details in the Project Notes window (see Figure 1). To open the Project Notes window, click the Project Notes item under the Setup menu (or press the notepad button on the top toolbar) of the Thermal Model Comparison window .

Figure 1: Project Notes window

Figure 1: Project Notes window


Project File Structure

Description

When a new project is created, the project file, project folder, and database file are created automatically (see Figure 1).

Project File

The project file (see Figure 1) is created and saved in the default directory "Optotherm\Thermalyze\Thermal Model Comparison" by appending .otmc to the project name entered when creating the project. Project files contain all program settings that are associated with Thermal Model Comparison tests.

Model Comparison

down-right-arrow-24x24 Project Name.otmc

down-right-arrow-24x24 Project Folder

down-right-arrow-24x24 TMC.mdb

down-right-arrow-24x24 regions.orgn

down-right-arrow-24x24 notes.onts

down-right-arrow-24x24 overlay.png

down-right-arrow-24x24 Test History

down-right-arrow-24x24 Test 1.oseq

down-right-arrow-24x24 Test 2.oseq

down-right-arrow-24x24 Test 3.oseq

Figure 1: Project Files Structure

Project Folder

The project folder is created in the default directory "Optotherm\Thermalyze\Model Comparison" with the same name as the project name. All files associated with the project (except for the project file) are stored in this folder.

Project Database File

An empty database file named "TMC.mdb" is saved in the project folder. This database file will contain a list of all test IDs, creation date, and notes. It will also identify which tests have been added to the group of Model Group and Fault Group. When a project is opened, all tests that have been added to the Model Group are loaded into memory to speed Model creation. Tests that have been added to the Fault Group, however, are not loaded into memory as the possibility of large numbers of tests could result in slow computer performance.

The database file is automatically updated as changes are made to a project.

Project Regions File

Regions that have been drawn on the Main Image are saved in binary files named "regions.orgn" within the project folder. Project Regions are saved upon project creation and when the Save Project Regions item under the File menu is clicked on the Thermal Model Comparison window. Saved Regions are automatically opened and displayed when the project is opened.

Project Notes File

Notes entered into the Project Notes window are saved in binary files named "notes.onts" within the project folder. Project notes are saved upon project creation and when the Save Project Settings item is clicked under the File menu on the Thermal Model Comparison window.

Project Overlay File

An overlay can be associated with the project and saved with the name "overlay.png" in the project folder. The project overlay is saved upon project creation and when the Save Project Overlay item under the File menu is clicked on the Thermal Model Comparison window.

Test History Folder

The Test History folder is created in the project folder sfter the project has been locked and a new device has been tested. Test image sequences are automatically saved in this folder at the end of each test. The saved sequence file and folder are given the same name as the test ID. The sequence folder contains all of the individual thermal images in the sequence.


Project Setup

Section Topics

The topics in this section explain how to setup a Thermal Model Comparison project.


Start a New Project

Create a New Project

1.Open the Thermal Model Comparison window.

2.Click the create project button wand item on the top toolbar, enter a name for the new project, and then click Save.

Test Time Settings

1.Enter a value for Test Time that is equal to the time required to electrically activate the devices. When testing device without a boot up process, set the test time equal to the time required for the majority of device components to reach approximately 50% of their steady-state temperature.

2.Select an Analysis Rate that results in 30 or fewer test images.

3.On the Thermal Model Comparison window select File >> Save Project Settings to save these settings to the project folder.

Lockable Settings

The following Lockable Settings must be set before the project can be locked.

1.Enable Image Averaging and set the number of images to average to 32 images. Higher settings can be used to reduce image noise for a long Test Time. Lower settings should be used for short Test Times requiring faster temperature response.

2.Make sure the currently installed Camera Lens is selected.

3.Set Calibration Range to the lowest range for the currently installed lens to maximize measurement sensitivity. Higher calibration ranges should only be used when device temperatures exceed the low range during the test.

4.Make sure the Flip Image Horizontally and Vertically boxes are set appropriately to view thermal images in the correct orientation. Typically, both boxes are checked when the camera is mounted looking down with the top of the camera facing the operator.

5.Make sure that Noise Reduction and Image Smoothing are disabled.

6.On the Thermal Model Comparison window select File >> Save Project Settings to save these settings to the project folder.

Other Program Settings

1.Press the Spectrum Color Palette button rainbow-palette.

2.Activate Image Subtraction. Note: When activated, there is a gray zone between the green and blue colors of the spectrum palette that represents a temperature change of zero.

3.Set the Palette Min and Max values to 0.00°C and 20.00°C, respectively, and then click the Set button to set the image subtraction default max and min values. Note that these values can be adjusted to accommodate the specific heating ranges of each project.

icons8-settings-48

Program Settings: After creating and setting up a new project, save a Program Settings file so that you can recall all of the settings if you need to create a similar project in the future.


Device Position

Procedure

Follow this procedure to position the device using the Positioning Blocks:

1.Using a device as a reference, position the blocks so that the device is centered in the image.

2.Open the Positioning Blocks window and record the positions of the blocks.

3.On the Thermal Model Comparison window select File >> Save Project Settings to save these settings to the project folder.


Camera Position

Description

If your system includes an automated vertical camera stage, follow these directions to set the height of the camera:

1.Open the Linear Stage Control window.

2.Press the Connect button, and then select Online Control Mode.

3.If necessary, home the linear stages.

4.Move the camera height to an appropriate height so that the device is in view and then focus the camera lens.

5.On the Thermal Model Comparison window select File >> Save Project Settings to save these settings to the project folder.


Device Power Control

Description

Relay Setup

1.Make sure that the device power supply is unplugged and unpowered.

2.Connect one of the device power supply leads through a relay in the relay device. Devices requiring multiple power levels will require using multiple relays. In order to test complex devices, a functional tester may be required to exercise all device components. Synchronizing a Thermal Model Comparison test with a functional tester can be accomplished by sending a signal to the functional tester at the start of a test using one of the relays.

3.Open the Relay Setup window, check the Enable Relays box, and then check each relay that will be used.

4.Enter the appropriate Activate and Deactivate times for each relay. Typically the Activate time is set to 0.0 and the Deactivate time is set equal to the Test Time so that the device is powered for the duration of the test.

5.On the Thermal Model Comparison window select File >> Save Project Settings to save these settings to the project folder.

icons8-book-40

Relay Info: Refer to the relay device manufacturer documentation for detailed specifications and instructions regarding making proper electrical connections.


Lock a Project

Description

While a project is open, changes to Lockable Settings can only be made while the project is unlocked. Once a project file is locked, it cannot be unlocked. This feature prevents inadvertent changes to settings that can invalidate prior test data. Project files should only be locked after test setup is complete and no further adjustments need to be made to lockable settings.

icons8-relay-40

Relay Info: Test sequences are automatically saved at the completion of each test only if the project is locked.

On the Thermal Model Comparison window, click the lock project button unlock on the top toolbar to lock the project.

lock

Locked Project: Once a project is locked, it cannot be unlocked.


Test Regions

Description

Regions can be used to define specific areas on the device to evaluate. There may be areas on the device, such as power leads or connectors, that should be excluded as they may cause false test failures due to high or inconsistent heating. When one or more Regions exist, fail sites are evaluated only in areas enclosed by Regions.

icons8-select-48

Regions: If no Regions exist, then the entire image is tested.

1.Draw one or more Regions to enclose areas on the device to evaluate.

2.On the Thermal Model Comparison window select File >> Save Project Regions to save the Regions to the project folder.


Model Setup

Section Topics

The topics in this section explain how to create a Thermal Model Comparison model.


Add Tests to the Model Group

Procedure

Follow these directions to test operational devices and then add them to the Model Group:

1.Start Capturing Images.

2.Position an operational device using the Positioning Blocks.

3.Select the New Test tab in the Thermal Model Comparison window.

4.Enter a unique ID for the device and type in "Operational" in the Notes text box.

5.Wait for the value in the Image Stability field to stabilize after handling the device.

6.Press the ON/OFF button to start the test. The time remaining in the test is displayed to the right of the ON/OFF button. Note: You can press the Cancel Operation button to manually stop the test at any point.

7.When the test ends, the following message is displayed: "Cannot compare the loaded test to the model because no tests have been added to the model group." Click OK to close the message box.

8.Click the Add to Model Group button to add the loaded test to the Model Group.

9.Repeat this pocedure to test and add another test to the Model Group.

icons8-statue-40

Don't Move: The camera and device position must be remain fixed for all tests within the same project. If the camera or device position changes, devices under test will not align properly with Model Group tests and therefore, model comparisons will not be valid.


Create the Model

Model Creation Settings

1.Open the Model Settings window.

2.Select the Small Group option (or select the Large Group option when the number of tests in the Model Group will be 10 or more).

Create the Model

1.Select the Model Group tab.

2.Click the Create Model button to create the Model.

Model Comparison Settings

1.Open the Model Settings window.

2.Enter an initial value for Small Group Sensitivity, such as 8 (or Large Group Std Dev, such as 4).

3.Enter an initial value for Image Noise Level, such as 0.50°C.

4.Enter an initial value for Fail Site Radius, such as 2 pixels.


Testing

Section Topics

The topics in this section explain how to perform a Thermal Model Comparison test and locate potential fail sites.


Conduct a Test

Test a Device

1.Position a device using the Positioning Blocks.

2.Start Capturing Images.

3.Wait for the value in the Image Stability field to stabilize after handling the device.

4.Press the ON/OFF button to start the test. The time remaining in the test is displayed to the right of the ON/OFF button. Note: You can press the Cancel Operation button to manually stop the test at any point during the test.

5.When the test ends, the Test Results tab is automatically selected and a comparison sequence is created by comparing each image in the test sequence to a corresponding set of pixel limits in the Model. When a pixel value in the test sequence image falls within the Model high and low limits, the corresponding pixel in the comparison sequence is set equal to zero. When a pixel value in the test sequence image falls outside the Model limits, the corresponding pixel in the comparison sequence is set to the difference between the pixel value and the closest limit.

6.The PASS/FAIL results of the test are displayed on the Test Results tab.

Re-comparing Defective Devices

If a known defective device is tested and passes, model creation and comparison settings can be adjusted in order to detect and locate smaller deviations from the the Model. Note that when re-comparing a test, it is not necessary to power the device again. The test image sequence loaded in memory can be compared to the Model with new model comparison settings or after recreating the Model with new model creation settings.

Change the Model Comparison Settings

1.Decrease Small Group Sensitivity (or Large Group Std Dev) to reduce the ranges of pixel acceptance limits.

2.Decrease Image Noise Level to reduce the ranges of pixel acceptance limits.

3.Decrease the Fail Site Radius to detect smaller fail sites.

4.Click the Compare to Model button to recompare the loaded test sequence to the Model.

Change the Model Creation Settings

1.Decrease Spatial Tolerance to reduce the number of adjacent pixels used to determine the range of pixel acceptance limits.

2.Click the Create Model button to recreate the Model based on the changed setting.

3.Click the Compare to Model button to compare the loaded test sequence to the Model.


Locate Fail Sites

Identify Fail Sites

1.Select the Test Results tab.

2.Set Number Shown to the maximum number of fail sites to display.

3.Drag the Sequence Slider to scan through the comparison sequence images, locating the image with the most fail sites. Often, the last image in the sequence will contain the most fail sites.

4.If the number displayed in the Image Fail Sites field is greater than 20, increase the Fail Site Radius to decrease the number of fail sites. Note: You can also reduce other Thermal Model Comparison settings to decrease the number of fail sites.

5.Press the Auto button or manually adjust the Palette Max and Min values to view the fail sites that have been detected. Note: If the Auto Scale Region box is checked and a Region is selected, pressing the Auto Scale button results in scaling the palette to the maximum and minimum values within the selected Region.

6.If more than one fail site is displayed, you can show each fail site individually or all of them at once using the Previous (<), Next (>), and Show All buttons.

7.Draw one or more Regions to mark the locations of the fail sites on the Main Image.

Locate Fail sites on the Device

1.Disable Image Averaging and deactivate image subtraction in order to view real-time thermal images of the device.

2.Move the tip of your finger or a non-conductive pointer over the device until it is aligned with the Regions drawn that mark the fail sites. Alternatively, you can use the Overlay software tool to locate the fail sites on the device.


Fault Group Search

Add a Fault Description

1.After a defective test device has been successfully troubleshooted, select the Test History tab.

2.Load the defective test device.

3.In the Notes field, enter a description of the failure mode and the repair details.

4.Press the Save Changes button to save the notes.

Add to Fault Group

1.Click the Add to Fault Group button to add the loaded test to the group of Fault Group.

Search Fault Group

1.After a test has ended and failed, make sure the Test Results tab is selected and press the Search Fault Group button. When the search has completed, similar behaving devices are listed in order from most to least similar.

2.Use the notes in the list to help troubleshoot the device.


Thermalyze API

Description

Thermalyze API is a set of functions that can be called from your custom program that is written in a programming language such as C#, C++, or Visual Basic. These functions enable you to startup Thermalyze, operate the software, and return images and data from Thermalyze to your program for additional processing and analysis.

The API functions were designed to operate the software in the same manner as when a user operates the Thermalyze program. Consistency in operation between the Thermalyze program and the API functions makes your custom program easier to develop and troubleshoot. After calling an API function in your program, you can quickly verify correct operation by viewing the Thermalyze program window.

icons8-settings-48

Program Settings: Unlike operating Thermalyze manually, many program settings can be altered without opening the window in which the parameter displayed (e.g., changing the Background Temperature in the Emissivity Settings window). However, there is functionality that can only be accessed when a particular window is opened (e.g., creating emissivity tables in the Emissivity Tables window). In these cases, there are API functions to open and close these windows. Setting cannot be altered using an API function if the setting is disabled within Thermalyze.

Naming conventions

·Constants are named in all upper case letters (i.e., THERMALYZE_ERROR_NONE).

·Public variables begin with an upper case letter and end with an underscore (i.e., ThermalyzeExe_).

·Private variables and function parameters begin with a lower case letter and end with an underscore (i.e., newCapturedImage_).

Definitions

·Passed Parameters: Values that are passed to the function

·Returned Parameters: Values that are returned from the function

Thermalyze API Topics

* API functions still in development and do not yet function properly

Calling API Functions

·Running Thermalyze from Your Program

·Function Return Values

Running Thermalyze

·ThermalyzeStart

·ThermalyzeStop

Camera Control

·CameraLinkBoardInitialize

·CameraLinkBoardFree

·CameraLinkPowerOn

·CameraLinkPowerOff

·CameraCommunicationStart

·CameraCommunicationStop

·CapturingStart

·CapturingStop

·TouchupCalEnable

·TouchupCalPerform

Images

·DisplayedImageGet

·SaveImage*

·OpenImage*

·ExportImageTemperature*

·ExportImageRadiance*

·ExportImage*

Camera Settings

·SetCalibrationRange

Image Processing

·EnableImageAveraging*

· SetImageAveragingLevel*

Regions

· CreateRegion*

· SelectRegion*

· SetSelectedRegionSettings*

· DeleteSelectedRegion*

· DeleteAllRegions*

· MoveSelectedRegion*

· GetRegionStatistics*

· SaveRegions*

· OpenRegions*

Emissivity Settings

·SetBackgroundTemperature*

· SetUseCameraTemp*

Emissivity Tables

·OpenETablesWindow*

· CloseETablesWindow*

· SetETablesControlTemp*

· CreateETable*

· ETableAmbientCorrection*

· SetETableAmbientCorrectionActive*

· SelectActiveETable*

· ReadActiveETable*

· SaveETable*

·OpenETable*

Lock-in Thermography

·LITWindowOpen

·LITWindowClose

·LITCycleFrequencySet

·LITCycleTimeSet

·LITTestStart

·LITTestStop

·LITAmplitudeImageGet

·LITSinglePhaseAngleSet

·LITSinglePhaseImageGet

·LITTestClear


Calling Functions

Section Topics

The topics in this section explain how to run Thermalyze from an external program.


Running Thermalyze from Your Program

Procedure

Follow this procedure to start Thermalyze from within your custom program (see the code below for examples):

1.Copy the Calibration, Config, Cursors, Databases, Graphics, Help, and Sounds folders (including their contents) to the same directory in which your custom program resides. These folders are located in the same directory as the Thermalyze.exe file. The default folder during Thermalyze installation is C:\Program Files\Optotherm\Thermalyze.

2.Add function return constants.

3.Add a reference to the Thermalyze.exe file from your program. The default folder during Thermalyze installation is C:\Program Files\Optotherm\Thermalyze.

4.Declare an object variable of type Thermalyze.clsApi.

5.Check that a Thermalyze.clsApi object has not already been instantiated.

6.Instantiate a Thermalyze.clsApi object.

7.Start the Thermalyze program by calling the API function StartThermalyze.

8.(Optional) Bring your custom program window to the front to prevent it from being hidden by the Thermalyze window. This can be performed each time a Thermalyze window is opened.

icons8-launch-40

Start Thermalyze: In order to call the API functions from your own program, Thermalyze must be started by calling the API function StartThermalyze so that the Thermalyze executable will run in the same process space as the calling program. When Thermalyze is started by double-clicking the icon on the desktop, Thermalyze will run in its own process space and your program will not have access to the API functions.

C# Example

class YourClassName

{

private const Int16 THERMALYZE_ERROR_NONE = 0;

private const Int16 THERMALYZE_ERROR_INVALID_PARAMETER = 1;

private const Int16 THERMALYZE_ERROR_UNAVAILABLE = 2;

private const Int16 THERMALYZE_ERROR_CANNOT_PERFORM = 3;

private const Int16 THERMALYZE_ATTEMPT_FAILED = 4;

private const Int16 THERMALYZE_ERROR_INTERNAL = 5;

private const Int16 THERMALYZE_ERROR_PROGRAM_MINIMIZED = 6;

private const Int16 THERMALYZE_ERROR_PROGRAM_CLOSED = 7;

private Thermalyze.clsApi ThermalyzeExe_;

public void YourMethodName()

{

Int16 return_;

if (ThermalyzeExe_ != null) return;

ThermalyzeExe_= new Thermalyze.clsApi();

return_ = ThermalyzeExe_.StartThermalyze();

Application.OpenForms["YourFormName"].BringToFront();

}

}


Function Return Values

Description

After each API function is called, it returns one of the following values:

Name | Value | Description
THERMALYZE_ERROR_NONE | 0 | The function completed with no errors.
THERMALYZE_ERROR_INVALID_PARAMETER | 1 | An invalid parameter was passed to the function (e.g., sending a parameter value that is not in the acceptable range).
THERMALYZE_ERROR_REDUNDANT | 2 | The function action is redundant (e.g., attempting to set a parameter to its current value).
THERMALYZE_ERROR_UNAVAILABLE | 3 | The function action is currently unavailable (e.g., requested data is not available, required window is closed, controls are disabled, or a modal dialog box is open).
THERMALYZE_ERROR_CANNOT_PERFORM | 4 | The function could not be performed (e.g., attempting to change a parameter that could interfere with existing test data).
THERMALYZE_ATTEMPT_FAILED | 5 | An attempt at performing the function failed (e.g., the function failed to correctly perform the intended action).
THERMALYZE_ERROR_INTERNAL | 6 | An internal error occurred in the function (e.g., an unexpected error occurred during execution of the function).
THERMALYZE_ERROR_PROGRAM_MINIMIZED | 7 | The Thermalyze program is minimized and windows cannot be opened properly (e.g., attempting to open a window, such as the Emissivity Tables window, while the main Thermalyze window is minimized).
THERMALYZE_ERROR_PROGRAM_CLOSED | 8 | The Thermalyze program has been closed (e.g., calling a function after the Thermalyze program has been closed).

After calling each API function, you can then call code in your custom program to handle the different errors as shown in the following examples.

C# Example

Int16 return_ = ThermalyzeExe_.FunctionName();

switch (return_)

{

case THERMALYZE_ERROR_NONE:

//add error code

break;

case THERMALYZE_ERROR_INVALID_PARAMETER:

//add error code

break;

case THERMALYZE_ERROR_REDUNDANT:

//add error code

break;

case THERMALYZE_ERROR_UNAVAILABLE:

//add error code

break;

case THERMALYZE_ERROR_CANNOT_PERFORM:

//add error code

break;

case THERMALYZE_ATTEMPT_FAILED;

//add error code

break;

case THERMALYZE_ERROR_INTERNAL:

//add error code

break;

case THERMALYZE_ERROR_PROGRAM_MINIMIZED:

//add error code

break;

case THERMALYZE_ERROR_PROGRAM_CLOSED:

//add error code

break;

}


Running Thermalyze

Section Topics

The API functions in this section control starting and stopping Thermalyze.


ThermalyzeStart

Description

Start the Thermalyze program and open the main Thermalyze window.

C# Declaration

public Int16 ThermalyzeStart()

C# Example

Int16 return_ = ThermalyzeExe_.ThermalyzeStart();


ThermalyzeStop

Description

Stop the Thermalyze program and close all Thermalyze windows.

C# Declaration

public Int16 ThermalyzeStop()

C# Example

Int16 return_ = ThermalyzeExe_.ThermalyzeStop();


Capturing Images

Section Topics

The API functions in this section control capturing thermal images.


CameraLinkBoardInitialize

Description

Setup the Matrox Solios camera link video board for image capture.

This function has the same functionality as pressing the Initialize Camera Link Board button on the top toolbar within Thermalyze.

C# Declaration

public Int16 CameraLinkBoardInitialize()

C# Example

Int16 return_ = ThermalyzeExe_.CameraLinkBoardInitialize();


CameraLinkBoardFree

Description

Free the Matrox Solios camera link video board computer resources.

This function has the same functionality as unpressing the Initialize Camera Link Board button on the top toolbar within Thermalyze.

C# Declaration

public Int16 CameraLinkBoardFree()

C# Example

Int16 return_ = ThermalyzeExe_.CameraLinkBoardFree();


CameraLinkPowerOn

Description

Enable power over camera link (PoCL) via the Matrox Solios camera link video board.

This function has the same functionality as pressing the Camera Link Power button on the top toolbar within Thermalyze.

C# Declaration

public Int16 CameraLinkPowerOn()

C# Example

Int16 return_ = ThermalyzeExe_.CameraLinkPowerOn();


CameraLinkPowerOff

Description

Disable power over camera link (PoCL) via the Matrox Solios camera link video board. This function has the same functionality as unpressing the Camera Link Power button on the top toolbar within Thermalyze.

C# Declaration

public Int16 CameraLinkPowerOff()

C# Example

Int16 return_ = ThermalyzeExe_.CameraLinkPowerOff();


CameraCommunicationStart

Description

Establish communication between the camera and computer.

This function has the same functionality as pressing the Establish Camera Communication button on the top toolbar within Thermalyze.

C# Declaration

public Int16 CameraCommunicationStart()

C# Example

Int16 return_ = ThermalyzeExe_.CameraCommunicationStart();


CameraCommunicationStop

Description

Stop communication between the camera and computer.

This function has the same functionality as unpressing the Establish Camera Communication button on the top toolbar within Thermalyze.

C# Declaration

public Int16 CameraCommunicationStop()

C# Example

Int16 return_ = ThermalyzeExe_.CameraCommunicationStop();


CapturingStart

Description

Start capturing and displaying images from the camera.

This function has the same functionality as pressing the Capture Images button on the top toolbar within Thermalyze.

C# Declaration

public Int16 CapturingStart()

C# Example

Int16 return_ =ThermalyzeExe_.CapturingStart();


CapturingStop

Description

Stop capturing and displaying images from the camera.

This function has the same functionality as unpressing the Capture Images button on the top toolbar within Thermalyze.

C# Declaration

public Int16 CapturingStop()

C# Example

Int16 return_ =ThermalyzeExe_.CapturingStop();


TouchupCalEnable

Description

Enable or disable periodic camera touchup calibrations. The value of the passed parameter determines if touchup calibrations will be enabled or disabled. Pass the value of 0 to disable touchup calibrations and 1 to enable.

This function has the same functionality as pressing the Enable Automatic Touchup Calibrations button on the top toolbar within Thermalyze.

C# Declaration

public Int16 TouchupCalEnable(Byte value_)

C# Example

Byte value_ = 0; //disable camera touchup calibrations

Int16 return_ = ThermalyzeExe_.TouchupCalEnable(value_);


TouchupCalPerform

Description

Perform a camera touchup calibration.

This function has the same functionality as pressing the Touchup Calibration button on the top toolbar within Thermalyze.

C# Declaration

public Int16 TouchupCalPerform()

C# Example

Int16 return_ = ThermalyzeExe_.TouchupCalPerform();


Images

Section Topics

The API functions in this section control displaying, saving and opening, and exporting thermal images.


DisplayedImageGet

Description

Retrieve the most recently displayed thermal image. When this function returns THERMALYZE_ERROR_NONE, the returned parameter imageArray_ contains the most recently displayed image in the form of a two-dimensional array of unsigned 16 bit integer pixel values. Pixel values can be converted to units of degrees Celsius or radiant emittance [W/m²].

When the returned parameter newCapturedImage_ contains the value of 1, the returned parameter image_ contains a newly captured image that has not yet been read using this function. A value of 0 indicates that the image is not a captured image (i.e., it was opened from file) or it has already been read previously using this function.

The programing examples below demonstrate how to read the currently displayed thermal image. If you need to continuously read captured images (for example, at the maximum frame rate of 60 images per second) place the GetDisplayedImage function in a continuous loop so that it is called repeatedly and check the returned parameter newCapturedImage_ to determine if the current image is a newly captured image.

C# Declaration

public Int16 DisplayedImageGet(ref UInt16[,] imageArray_, ref Byte newCapturedImage_)

C# Example

public UInt16 [,] imageArray_ = new UInt16 [480, 640]; //640 rows, 480 columns

Byte newCapturedImage_ = 0;

Int16 return_ = ThermalyzeExe_.DisplayedImageGet(ref imageArray_, ref newCapturedImage_);

const Double STEFAN_BOLTZMANN_CONSTANT = 5.6704E-8;

for (Int32 y_ = 0; y_ < 480; y_++)

{

for (Int32 x_ = 0; x_ < 640; x_++)

{

Double pixTempC_ = (imageArray_[y_, x_] - 10000) / (Double)100;

//pixTempC_ now holds the image pixel value in units of temperature in

//degrees C at location [y_, x_]

Double pixTempK_ = pixTempC_ + 273.16;

Double pixRadiance_ = STEFAN_BOLTZMANN_CONSTANT * Math.Pow(pixTempK_, 4);

//pixRadiance_ no holds the image pixel value in units of radiant emittance in

//Watts per square meter

}

}


SaveImage

Description

Save the Main Image in Portable Network Graphics (PNG) format with .png extension. PNG is a 16 bit lossless format that preserves temperature resolution of 0.01°C and is the native format for saving thermal images within Thermalyze. This function has the same functionality as selecting the Save Image menu item within Thermalyze.

icons8-save-48

Overwrite: This function will overwrite existing files.

C# Declaration

public short SaveImage(String filename_)

C# Example

String filename_ = null;

filename_ = "c:\\Optotherm\\Thermalyze\\Images\image1.png";

Int16 return_ = ThermalyzeExe_.SaveImage(filename_);


OpenImage

Description

Open and display a thermal image from file. Image files must be in Portable Network Graphics (PNG) format with .png extension. PNG is a 16 bit lossless format that preserves temperature resolution of 0.01°C and is the native format for saving thermal images within Thermalyze.

When this function returns THERMALYZE_ERROR_NONE, the returned parameter backTempC_ contains the background temperature that is displayed in the Emissivity Settings window (see the function SetBackgroundTemperature). In order to accurately measure the temperature of an opened image with regions having emissivity less than 1.00 or when using an emissivity table, you must first call the SetBackgroundTemperature function with the parameter value of backTempC_ to set the background temperature to the value of the ambient background temperature as when the image was originally captured.

This function has the same functionality as selecting the Open Image menu item within Thermalyze.

C# Declaration

public short OpenImage(string filename_, ref Double backTempC_)

C# Example

String filename_ = null;

Double backTempC_;

filename_ = "c:\\Optotherm\\Thermalyze\\Images\\image1.png";

Int16 return_ = ThermalyzeExe_.OpenImage(filename_, ref backTempC_);


ExportImageTemperature

Description

Save the individual image pixel temperature values in the Main Image to file in ASCII text or binary file formats. Image pixel temperature values are saved in degrees Celsius. The first row of image pixels is saved to file from left to right and then each subsequent row is saved likewise.

ASCII text files are saved with a ".txt" extension as text temperature values (for example, 37.54) with a newline character (carriage return/line feed) separating each value. Binary files are saved with an ".imb" extension, as four-byte floating-point values in little endian format.

This function has the same functionality as selecting the Export Image Temperature menu item within Thermalyze.

icons8-save-48

Overwrite: This function will overwrite existing files.

C# Declaration

public Int16 ExportImageTemperature(string filename_)

C# Example

String filename_ = null;

filename_ = "c:\Optotherm\Thermalyze\Export\Image Temperature\imageTemp1.txt";

//save the image temperature file as an ASCII text file

Int16 return_ = ThermalyzeExe_.ExportImageTemperature(filename_);


ExportImageRadiance

Description

Save the individual image pixel radiant emittance values in the Main Image to file in ASCII text or binary file formats. Image pixel radiance values are saved in units of [Watts/ m²]. The first row of image pixels is saved to file from left to right and then each subsequent row is saved likewise.

ASCII text files are saved with a ".txt" extension, as text radiance values (for example, 542.7) with a newline character (carriage return/line feed) separating each value. Binary files are saved with an ".imb" extension, as four-byte floating-point values in little endian format.

This function has the same functionality as selecting the Export Image Radiance menu item within Thermalyze.

icons8-save-48

Overwrite: This function will overwrite existing files.

C# Declaration

public Int16 ExportImageRadiance(string filename_)

C# Example

String filename_ = null;

filename_ = "c:\Optotherm\Thermalyze\Export\Image Radiance\imageRad1.txt";

//save the image radiance file as an ASCII text file

Int16 return_ = ThermalyzeExe_.ExportImageRadiance(filename_);


ExportImage

Description

Save the Main Image in the following formats: bmp, jpeg, gif, png, or tiff. The value of the passed parameter includeData_ determines if data from the Region Data Grid and any existing notes (if the Notes window is open) will be included below the image. Pass the value of 0 to not include Region data and notes and pass 1 to include these items.

This function has the same functionality as selecting the Export Image or Export Image and Data item within Thermalyze.

icons8-save-48

Overwrite: This function will overwrite existing files.

C# Declaration

public short ExportImage(string filename_, Byte includeData_)

C# Example

String filename_ = null;

Byte includeData_ = 0; //do not include region data or notes

filename_ = "c:\\Optotherm\\Thermalyze\\Export\image1.bmp";

Int16 return_ = ThermalyzeExe_.ExportImage(filename_, includeData_);


Camera Settings

Section Topics

The API functions in this section control setting the thermal camera Calibration Range.


SetCalibrationRange

Description

Set the calibration range of the camera. The value of the passed parameter range_ determines the calibration range of the camera. Pass the value of 1 to set the camera to low range and 2 to set the camera to high range.

This function has the same functionality as selecting an entry from the Calibration Range drop-down box in the Camera Settings window.

icons8-application-window-48

Open Window: The Camera Settings window must be open when calling this function.

C# Declaration

public Int16 SetCalibrationRange(Byte range_)

C# Example

Byte range_ = 1; //set calibration range to low range

Int16 return_ = ThermalyzeExe_.SetCalibrationRange(range_);


Image Processing

Section Topics

The API functions in this section control thermal image averaging.


EnableImageAveraging

Description

Enable or disable image averaging. The value of the passed parameter enable_ determines if image averaging will be enabled or disabled. Pass the value of 0 to disable image averaging and 1 to enable.

This function has the same functionality as checking the Enable Image Averaging box in the Image Processing window.

icons8-application-window-48

Open Window: The Image Processing window must be open when calling this function.

C# Declaration

public Int16 EnableImageAveraging(Byte enable_)

C# Example

Byte enable_ = 1; //enable image averaging

Int16 return_ = ThermalyzeExe_.EnableImageAveraging(enable_);


SetImageAveragingLevel

Description

Set the number of captured images to average in real time. The value of the passed parameter level_ determines the number of image to average. Acceptable values for this parameter are shown in the table below.

This function has the same functionality as entering a value into the Image Averaging drop-down box in the Image Processing window.

level_ | Image Averaged
1 | 2
2 | 4
3 | 8
4 | 16
5 | 32
6 | 64
7 | 128

icons8-application-window-48

Open Window: The Image Processing window must be open when calling this function.

C# Declaration

public Int16 SetImageAveragingLevel(Byte level_)

C# Example

Byte level_ = 4; //set image averaging to 16 images

Int16 return_ = ThermalyzeExe_.SetImageAveragingLevel(level_);


Regions

Section Topics

The API functions in this section control creating and using regions.


CreateRegion

Description

Create a point, line, rectangle, or oval region. The value of the passed parameter shape_ determines the shape of the region: 1 for a point, 2 for a line, 3 for a rectangle, and 4 for an oval. The values of the passed parameter par1_, par2_, par3_, and par4_ determine the location (and in some cases the size) of the Rgion created according to the following table. Parameters must have values that allow the Region to be created within the image.

rows-bottom-48

New Regions: Regions are added to the bottom of the list of Regions.

Region Shape | par1_ | Par2_ | par3_ | par4_
Point | left location | top location | not used | not used
Line | left location of first point | top location of first point | left location of second point | top location of second point
Rectangle | left location of upper left corner | top location of upper left corner | rectangle width | rectangle height
Oval | left location of center | top location of center | oval width | oval height

icons8-up-left-40

Image origin: The top left corner of the image has values of left = 0 and top = 0.

C# Declaration

public short CreateRegionRectangle(Byte shape_, Int32 par1_, Int32 par2_, Int32 par3_, Int32 par4_)

C# Example

Byte shape_ = 3; //create a rectangle region

Int32 par1_ = 10;

Int32 par2_ = 50;

Int32 par3_ = 60;

Int32 par4_ = 100;

Int16 return_ = ThermalyzeExe_.CreateRegion(shape_, par1_, par2_, par3_, par4_);


SelectRegion

Description

Select a Region. The value of the passed parameter regionIndex_ determines the index of the region to be selected (1 is the index of the first region). Pass the value of 0 to select no region.

This function has the same functionality as clicking a Region row in the Region Data Grid within Thermalyze.

C# Declaration

public short SelectRegion(Byte regionIndex_)

C# Example

Byte regionIndex_ = 1; //select the first region

Int16 return_ = ThermalyzeExe_.SelectRegion(regionIndex_);


SetSelectedRegionSettings

Description

Assign the settings for the currently selected Region (or the default Region when no Region is selected). The acceptable values of the passed parameter name_, emissivity_, statistic_, highLimit_, lowLimit_, highLimitSub_ and lowLimitSub_ are listed in the following table.

Parameter | Range of Values
name_ | 20 ASCII characters including letters, numbers, underscores, dashes, and spaces
emissivity_ | 0.01 to 1.00
statistic_ | 0 = none, 1 = max, 2 = min, 3 = mean, 4 = max and min
highLimit_ | -40 to 500°C
lowLimit_ | -40 to 500°C
highLimitSub_ | -40 to 500°C
lowLimitSub_ | -40 to 500°C

icons8-application-window-48

New Regions: The Region Settings window must be open when calling this function. The value of highLimit_ cannot be equal to or below the value of lowLimit_. Likewise, the value of highLimitSub_ cannot be equal to or below the value of lowLimitSub_.

C# Declaration

public short SetSelectedRegionSettings(String name_, Double emissivity_, Byte statistic_, Double highLimit_, Double lowLimit_, Double highLimitSub_, Double lowLimitSub_)

C# Example

String name_ = “Capacitor U51”;

Double emissivity_ = 0.95;

Byte statistic_ = 1; //max statistic

Double highLimit_ = 100; //100°C

Double lowLimit_ = 0; //0°C

Double highLimitSub_ = 10; //10°C

Double lowLimitSub_ = -10; //-10°C

Int16 return_ = ThermalyzeExe_.SetSelectedRegionSettings(name_, emissivity_, statistic_, highLimit_, lowLimit_, highLimitSub_, lowLimitSub_);


DeleteSelectedRegion

Description

Delete the currently selected a region. A Region must first be selected before it can be deleted (see the function SelectRegion).

This function has the same functionality as pressing the Delete Region button on the Region toolbar within Thermalyze.

C# Declaration

public Int16 DeleteSelectedRegion()

C# Example

Int16 return_ = ThermalyzeExe_.DeleteSelectedRegion();


DeleteAllRegions

Description

Delete all existing Regions. This function has the same functionality as pressing the Delete All Regions button on the Region toolbar within Thermalyze.

C# Declaration

public Int16 DeleteAllRegions()

C# Example

Int16 return_ = ThermalyzeExe_.DeleteAllRegions();


MoveSelectedRegion

Description

Move the currently selected region. A Region must first be selected before it can be moved (see the function SelectRegion). The value of the passed parameter direction_ determines the direction to move the region: 1 is left, 2 is right, 3 is up, and 4 is down. The value of the passed parameter pixels_ determines the number of pixels to move the region. Regions can be moved a maximum of 1000 pixels in any direction.

C# Declaration

public Int16 MoveSelectedRegion(Byte direction_, Int32 pixels_)

C# Example

Byte direction_ = 2; // move to the right

Int32 pixels_ = 10; // move 10 pixels

Int16 return_ = ThermalyzeExe_.MoveSelectedRegion(direction_, pixels_);


GetRegionStatistics

Description

Read the maximum, minimum, and mean temperature statistics of a Region drawn on the Main Image. The value of the passed parameter regionIndex_ determines the index of the Region (1 is the index of the first region). The returned parameters max_, min_, and mean_ contain the statistics as signed 16 bit integer values. These values can easily be converted to units of degrees Celsius or radiant emittance [W/m²].

C# Declaration

public Int16 GetRegionStatistics(Byte regionIndex_, ref Int16 max_, ref Int16 min_, ref Int16 mean_)

C# Example

Byte regionIndex = 0;

Int16 max_ = 0;

Int16 min_ = 0;

Int16 mean_ = 0;

Int16 return_ = ThermalyzeExe_.GetRegionStatistics(regionIndex_, ref max_, ref min_, ref mean_);

Double maxDegreesC_ = (max_ + 18000) / 100;


SaveRegions

Description

Save the currently existing Regions to file in ASCII text format with .rgn extension. This function has the same functionality as selecting the Save Regions menu item within Thermalyze.

Note: This function will overwrite existing files.

C# Declaration

public Int16 SaveRegions(string filename_)

C# Example

String filename_ = null;

filename_ = "c:\\Optotherm\\Thermalyze\\Regions\regions1.rgn";

Int16 return_ = ThermalyzeExe_.SaveRegions(filename_);


OpenRegions

Description

Open and display Regions from file. Regions must be in ASCII text formate format with .rgn extension. This function has the same functionality as selecting the Open Regions menu item within Thermalyze.

C# Declaration

public Int16 Open Regions(string filename_)

C# Example

String filename_ = null;

filename_ = "c:\\Optotherm\\Thermalyze\\Regions\\regions1.rgn";

Int16 return_ = ThermalyzeExe_.OpenRegions(filename_);


Emissivity Settings

Section Topics

The API functions in this section control emissivity settings.


SetBackgroundTemperature

Description

Set the temperature of the ambient environment surrounding the object to be measured. The value of the passed parameter backTempC_ is the background temperature in degress Celsius. The acceptable range for this parameter is -40 to 500°C.

This function has the same functionality as entering a value into the Background Temperature field in the Emissivity Settings window.

icons8-application-window-48

Open Window: The Emissivity Settings window must be open when calling this function.

C# Declaration

public Int16 SetBackgroundTemperature(Double backTempC_)

C# Example

Double backTempC_ = 23.5; //set background temperature to 23.5°C

Int16 return_ = ThermalyzeExe_.SetBackgroundTemperature(backTempC_);


SetUseCameraTemp

Description

Set the camera temperature to be used as the background temperature (see SetBackgroundTemperature). The value of the passed parameter useCamTemp_ determines if the camera temperature will not be used (0) or will be used (1) for the background temperature.

This function has the same functionality as checking or unchecking the Use Camera Temp box in the Emissivity Settings window.

icons8-application-window-48

Open Window: The Emissivity Settings window must be open when calling this function.

C# Declaration

public Int16 SetUseCameraTemp(Byte useCamTemp_)

C# Example

Byte useCamTemp_ = 1; //use the camera temperature for the background temp

Int16 return_ = ThermalyzeExe_.SetUseCameraTemp(useCamTemp_);


Emissivity Tables

Section Topics

The API functions in this section control creating and applying emissivity tables.


ETablesWindowOpen

Description

Open the Emissivity Tables window. Many of the functions involving emissivity tables require that the Emissivity Tables window is open while calling the function.

This function has the same functionality as selecting the Emissivity Tables item under the Tools menu within Thermalyze.

C# Declaration

public Int16 ETablesWindowOpen()

C# Example

Int16 return_ = ThermalyzeExe_.ETablesWindowOpen();


ETablesWindowClose

Description

Close the Emissivity Tables window.

C# Declaration

public Int16 ETablesWindowClose()

C# Example

Int16 return_ = ThermalyzeExe_.ETablesWindowClose();


SetETablesControlTemp

Description

Set the emissivity table control temperature. The value of the passed parameter controlTempC_ is the emissivity tables control temperature in degrees Celsius. The acceptable range for this parameter is -40 to 500°C.

This function has the same functionality as entering a value into the Control Temp field in the Emissivity Tables window.

icons8-application-window-48

Open Window: The Emissivity Tables window must be open when calling this function.

C# Declaration

public Int16 SetETablesControlTemp(Double controlTempC_)

C# Example

Double controlTempC_ = 60; //set the control temperature to 60°C

Int16 return_ = ThermalyzeExe_.SetETablesControlTemp(controlTempC_);


CreateETable

Description

Create a single or double temperature point emissivity table. The value of the passed parameter eTableType_ determines which emissivity table to create: 1 to create single point table one, 2 to create single point table two, and 3 to create the double point table.

This function has the same functionality as pressing the Create Single Point 1, Create Single Point 2, or Create Double Point button in the Emissivity Tables window.

icons8-application-window-48

Open Window: The Emissivity Tables window must be open when calling this function.

C# Declaration

public Int16 CreateETable(Byte eTableType_)

C# Example

Byte eTableType_= 1; //create single point table one

Int16 return_ = ThermalyzeExe_.CreateETable(eTableType_);


ETableAmbientCorrection

Description

Correct for any changes in ambient background characteristics since emissivity tables were created. This function has the same functionality as pressing the Ambient Correction button in the Emissivity Tables window.

Note: The Emissivity Tables window must be open when calling this function.

C# Declaration

public Int16 ETableAmbientCorrection()

C# Example

Int16 return_ = ThermalyzeExe_.ETableAmbientCorrection();


SetETableAmbientCorrectionActive

Description

Apply the ambient correction to the emissivity tables. The value of the passed parameter activate_ determines if the ambient correction will be activated or not: 0 to deactivate, and 1 to activate.

This function has the same functionality as checking the Active box in the Emissivity Tables window.

icons8-application-window-48

Open Window: The Emissivity Tables window must be open when calling this function.

C# Declaration

public Int16 SetETableAmbientCorrectionActive(Byte activate_)

C# Example

Byte activate_= 1; //activate the ambient correction

Int16 return_ = ThermalyzeExe_.SetETableAmbientCorrectionActive(activate_);


SelectActiveETable

Description

Select the emissivity table to apply to the Main Image. The value of the passed parameter activeETable_ determines which emissivity table to select: 0 to select no table, 1 to select single point table one, 2 to select single point table two, 3 to select the double point table, and 4 to select the table opened from file.

This function has the same functionality as selecting an option in the Select Active Table group in the Emissivity Tables window.

icons8-application-window-48

Open Window: The Emissivity Tables window must be open when calling this function.

C# Declaration

public Int16 SelectActiveETable(Byte activeETable_)

C# Example

Byte activeETable_= 1; //select single point table one

Int16 return_ = ThermalyzeExe_.SelectActiveETable(activeETable_);


ReadActiveETable

Description

Read the emissivity table that is currently active. When this function returns THERMALYZE_ERROR_NONE, the returned parameter eTable_ contains the active emissivity table in the form of a two-dimensional array of signed 16 bit integer pixel values. These pixel values can easily be converted to emissivity with resolution of 0.001.

icons8-application-window-48

Open Window: The Emissivity Tables window must be open when calling this function.

C# Declaration

public Int16 ReadActiveETable(ref PixelValue2D eTable_)

C# Example

PixelValue2D eTable_ = null;

Int16 return_ = ThermalyzeExe_.ReadActiveETable(ref eTable_);

for (Int32 row_ = 0; row_ <= 239; row_++)

{

for (Int32 column_ = 0; column_ <= 319; column_++)

{

Double emissivity_ = (eTable_.I16[row_, column_] / 1000);

// emissivity_ now holds the pixel emissivity value with range from 0 to 1 with

// resolution of 0.001 at location [row_, column_]

}

}


SaveETable

Description

Save the active emissivity table in Portable Network Graphics (PNG) format with .png extension. PNG is a 16 bit lossless format that preserves emissivity value resolution of 0.001 and is the native format for saving emissivity tables within Thermalyze.

This function has the same functionality as selecting the Save Table item on the Emissivity Tables window menu.

icons8-application-window-48

Open Window: The Emissivity Tables window must be open when calling this function.

icons8-save-48

Overwrite: This function will overwrite existing files.

C# Declaration

public Int16 SaveETable(string filename_)

C# Example

String filename_ = null;

filename_ = "c:\\Optotherm\\Thermalyze\\Emissivity Tables\etable1.png";

Int16 return_ = ThermalyzeExe_.SaveETable (filename_);


OpenETable

Description

Open an emissivity table from file. Emissivity table files must be in Portable Network Graphics (PNG) format with .png extension. PNG is a 16 bit lossless format that preserves emissivity value resolution of 0.001 and is the native format for saving emissivity tables within Thermalyze.

This function has the same functionality as selecting the Open Table item on the Emissivity Tables window menu.

icons8-application-window-48

Open Window: The Emissivity Tables window must be open when calling this function.

C# Declaration

public Int16 OpenETable(string filename_)

C# Example

String filename_ = null;

filename_ = "c:\\Optotherm\\Thermalyze\\Emissivity Tables\\etable1.png";

Int16 return_ = ThermalyzeExe_.OpenETable(filename_);


Lock-in Thermography

Section Topics

The API functions in this section control running lock-in thermography tests.


LITWindowOpen

Description

Open the Lock-in Thermography window.

C# Declaration

public Int16 LITWindowOpen()

C# Example

Int16 return_ = ThermalyzeExe_.LITWindowOpen();


LITWindowClose

Description

Open the Lock-in Thermography window.

C# Declaration

public Int16 LITWindowClose()

C# Example

Int16 return_ = ThermalyzeExe_.LITWindowClose();


LITCycleFrequencySet

Description

Cycle Frequency is the number of power cycles performed per second. Acceptable values for this parameter are shown in the table below.

This function has the same functionality as choosing an option from the Cycle Frequency frame in the LIT Test Setup window.

Value | Cycle Frequency
0 | 1 Hz
1 | 1.25 Hz
2 | 1.5 Hz
3 | 1.875 Hz
4 | 2.5 Hz
5 | 3 Hz
6 | 3.75 Hz
7 | 5 Hz
8 | 7.5 Hz
9 | 15 Hz
10 | Cycle Time

C# Declaration

public Int16 LITCycleFrequencySet(Byte value_)

C# Example

Byte value_ = 0; //set Cycle Frequency to 1 Hz

Int16 return_ = ThermalyzeExe_.LITCycleFrequencySet(value_);


LITCycleTimeSet

Description

For frequencies below 1 Hz, set Cycle Time to the length of one cycle. Values range from 2 to 60 seconds.

This function has the same functionality as entering a value in the Cycle Time box in the LIT Test Setup window.

C# Declaration

public Int16 LITCycleTimeSet(Byte value_)

C# Example

Byte value_ = 4; //set Cycle Time to 4 seconds

Int16 return_ = ThermalyzeExe_.LITCycleTimeSet(value_);


LITTestStart

Description

Start a Lock-in Thermography tests.

This function has the same functionality as pressing the ON button in the Testing frame of the Lock-in Thermography window.

C# Declaration

public Int16 LITTestStart()

C# Example

Int16 return_ = ThermalyzeExe_.LITTestStart();


LITTestStop

Description

Stop the Lock-in Thermography tests.

This function has the same functionality as pressing the OFF button in the Testing frame of the Lock-in Thermography window.

C# Declaration

public Int16 LITTestStop()

C# Example

Int16 return_ = ThermalyzeExe_.LITTestStop();


LITAmplitudeImageGet

Description

Create and retrieve the Lock-in Thermography amplitude image. An amplitude image displays all temperature increases on a device at any time during the cycle and is commonly used to determine fault location in the xy direction. The returned parameter imageArray_ contains the amplitude image in the form of a two-dimensional array of unsigned 16 bit integer pixel values. Pixel values can be converted to units of degrees mK (0.001°C).

icons8-temperature-40

Units: Image units are in degrees mK when Test Resolution is set to 10 microK. If Test Resolution is set to 10 mK, image units will be in degrees C.

C# Declaration

public Int16 LITAmplitudeImageGet(ref UInt16[,] imageArray_)

C# Example

public UInt16 [,] imageArray_ = new UInt16 [480, 640]; //640 rows, 480 columns

Int16 return_ = ThermalyzeExe_.LITAmplitudeImageGet(ref imageArray_);

for (Int32 y_ = 0; y_ < 480; y_++)

{

for (Int32 x_ = 0; x_ < 640; x_++)

{

Double pixTemp_mK_ = (imageArray_[y_, x_] - 10000) / (Double)100;

//pixTempC_ now holds the amplitude image pixel value in units of temperature in

//degrees mK (0.001°C) at location [y_, x_]

}

}


LITSinglePhaseAngleSet

Description

Set the Single Phase Angle.

This function has the same functionality as dragging the Single Phase Angle trackbar handle in the Lock-in Thermography window.

The available phase angles depend on Cycle Frequency and are equally distributed within the range of 0 to -360 degrees. The number of phase angle increments is determined by the following equation: Number Phase Increments = Camera Frame Rate / Test Cycle Frequency. For example, the number of phase increments when Cycle Frequency is set to 5Hz = 60Hz / 5Hz = 12. Dividing the range of 0 to -360 by 12 yields 30 degrees. Therefore, the available phase angles are 0, -30, -60, -90, -120, -150. -180, -210, -240, -270, -300, -330, and -360 degrees. Note that for Cycle Frequency of 1Hz and all values of Cycle Time, the number of phase angle increments is equal to 60. In the table below, the phase angle increments and available phase angles are show for each Cycle Frequency.

Cycle Frequency | # Increments | Increment [degrees] | Available Phase Angles
1Hz and all Cycle Times | 60 | 6 | -360, -354, -348, -342, -336, -330
1.25Hz | 48 | 7.5 | -360, -352.5, -345, -337.5, -330, -322.5, -315, -307.5, -300, -292.5, -285, -277.5, -270, -262.5, -255, -247.5, -240, -232.5, -225, -217.5, -210, -202.5, -195, -187.5, -180, -172.5, -165, -157.5, -150, -142.5, -135, -127.5, -120, -112.5, -105, -97.5, -90, -82.5, -75, -67.5, -60, -52.5, -45, -37.5, -30, -22.5, -15, -7.5, 0
1.5Hz | 40 | 9 | -360, -351, -342, -333, -324, -315, -306, -297, -288, -279, -270, -261, -252, -243, -234, -225, -216, -207, -198, -189, -180, -171, -162, -153, -144, -135, -126, -117, -108, -99, -90, -81, -72, -63, -54, -45 ,-36, -27, -18, 9, 0
1.875Hz | 32 | 11.25 | -360, -348.75, -337.5, -326.25, -315, -303.75, -292.5, -281.25, -270, -258.75, -247.5, -236.25, -225, -213.75, -202.5, -191.25, -180, -168.75, -157.5, -146.25, -135, -123.75, -112.5, -101.25, -90, -78.75, -67.5, -56.25, -45, -33.75, -22.5, -11.25, 0
2.5Hz | 24 | 15 | -360, -345, -330, -315, -300, -285, -270, -255, -240, -225, -210, -195, -180, -165, -150, -135, -120, -105, -90, -75, -60, -45, -30, -15, 0
3Hz | 20 | 18 | -360, -342, -324, -306, -288, -270, -252, -234, -216, -198, -180, -162, -144, -126, -108, -90, -72, -54, -36, -18, 0
3.75Hz | 16 | 22.5 | -360, -337.5, -315, -292.5, -270, -247.5, -225, -202.5, -180, -157.5, -135, -112.5, -90, -67.5, -45, -22.5, 0
5Hz | 12 | 30 | -360, -330, -300, -270, -240, -210, -180, -150, -120, -90, -60, -30, 0
7.5Hz | 8 | 45 | -360, -315, -270, -225, -180, -135, -90, -45, 0
15Hz | 4 | 90 | -360, -270, -180, -90, 0

C# Declaration

public Int16 LITSinglePhaseAngleSet(Int16 value_)

C# Example

Int16 value_ = -12; //set Single Phase Angle to -12 degrees

Int16 return_ = ThermalyzeExe_.LITSinglePhaseAngleSet(value_);


LITSinglePhaseImageGet

Description

Create and retrieve the Lock-in Thermography single phase image. A single phase image displays temperature increases at a specific time in the cycle. The time within the cycle can be expressed as a phase angle with 0 degrees representing the beginning of the cycle when a device is powered and -180 degrees representing when power is removed. A phase angle of 360 degrees represents the end of the cycle and is equivalent to a phase angle of 0 degrees. Single phase images are is used to locate faults in the xy direction. They can also identify areas that heat up at different times within the cycle providing a correlation with defect depth. Single phase images typically produce the highest xy spatial resolution of all LIT images.

The returned parameter imageArray_ contains the single phase image in the form of a two-dimensional array of unsigned 16 bit integer pixel values. Pixel values can be converted to units of degrees mK (0.001°C).

icons8-temperature-40

Units: Image units are in degrees mK when Test Resolution is set to 10 microK. If Test Resolution is set to 10 mK, image units will be in degrees C.

C# Declaration

public Int16 LITSinglePhaseImageGet(ref UInt16[,] imageArray_, Byte phaseAngle_)

C# Example

public UInt16 [,] imageArray_ = new UInt16 [480, 640]; //640 rows, 480 columns

Int16 return_ = ThermalyzeExe_.LITSinglePhaseImageGet(ref imageArray_, Byte phaseAngle_);

for (Int32 y_ = 0; y_ < 480; y_++)

{

for (Int32 x_ = 0; x_ < 640; x_++)

{

Double pixTemp_mK_ = (imageArray_[y_, x_] - 10000) / (Double)100;

//pixTempC_ now holds the single phase image pixel value in units of temperature in

//degrees mK (0.001°C) at location [y_, x_]

}

}


LITTestClear

Description

Clear all existing test data from memory in order to begin a new test.

This function has the same functionality as pressing the Clear Test button in the Testing frame of the Lock-in Thermography window.

C# Declaration

public Int16 LITTestClear()

C# Example

Int16 return_ = ThermalyzeExe_.LITTestClear();


Troubleshoot

Section Topics

The topics in this section include troubleshooting information.


Image Capture

Camera Communication Problems

Symptoms

When starting camera communication, a window opens and displays the following message: Camera communication could not be started. Or after camera communication has been established, a window opens and displays the following message: Camera communication has stopped due to an unknown event.

Solution # | Troubleshooting Instructions
Solution 1 | Make sure that the Camera Link cable is securely connected to the camera and computer. Press the Camera Communication button to start camera communication. If the problem continues, proceed to the next solution.
Solution 2 | Make sure that the correct serial com port and baud rate (115,200 bps) are selected in the Camera Communication Settings window. To identify the correct serial com port, open Windows Device Manager and expand the items under Ports (COM & LPT). There should be an entry called Matrox Solios Camera Link Com Port 0 (Com#). # indicates the serial com port to which the camera is connected. If the problem continues, proceed to the next solution.
Solution 3 | Make sure that the Camera Link cable is not located parallel to or near any high-power cables that may cause electromagnetic inference.
Solution 4 |

Slow Capture Rate

Symptoms

The rate at which images are captured and displayed is below the camera maximum frame rate. The frame rate of the IS640 camera is 60 Hz (a 7.5 Hz version of the IS640 camera is also available).

Details

The following software analysis tools consume a large portion of a computer’s resources and can decrease image capture rate. They are listed in order of most to least severe.

·Emissivity tables

·Multiple regions

·Picture Merge

·Strip chart

·Line profile

·Histogram

In many cases it is best to record an image sequence of the thermal event of interest. After the sequence has been recorded, the sequence can be replayed while performing post analysis using the software tools.

Solution # | Troubleshooting Instructions
Solution 1 | Make sure that the small image size is displayed by unchecking the Large Image Size button in the Setup section of the Shortcuts toolbar. If the problem continues, proceed to the next solution.
Solution 2 | Open the Image Processing window and make sure that “none” is chosen for Noise Reduction and Image Smoothing Enable is unchecked. If the problem continues, proceed to the next solution.
Solution 3 | Close any software tools that are not needed. If the problem continues, proceed to the next solution.
Solution 4 | If an emissivity table is active, reduce the number of pixels in the image to which the emissivity table is applied by drawing one or more regions. If the problem continues, proceed to the next solution.
Solution 5 | Hide the region statistics on the display by unchecking the Display Statistic on Region button on the Region toolbar. If the problem continues, proceed to the next solution.
Solution 6 | Disable region max locating by unchecking the Locate Region Max button on the Region toolbar. If the problem continues, proceed to the next solution.
Solution 7 | Reduce the number of regions displayed to reduce the number of image statistics that are performed. If the problem continues, proceed to the next solution.
Solution 8 | Reduce the number of regions whose emissivity is less than 1.00. When region emissivity is less than 1.00, applying emissivity to pixels enclosed by a region requires significant processing resources. To change a region’s emissivity, double-click a region on the Region Data Grid to select the region and display its settings in the Region Settings window. Set the region’s emissivity to 1.00 in the Emissivity box. If the problem continues, proceed to the next solution.
Solution 9 | Turn off picture merge by disabling picture overlay or by selecting the Opacity option in the Picture Overlay frame. If the problem continues, proceed to the next solution.
Solution 10 | If displaying the Line Profile, Histogram, or Strip Chart, select a lower rate in the Update box in the top toolbar windows. If the problem continues, proceed to the next solution.
Solution 11 | Open the User Preferences window and select a lower rate in the Region Data Update Rate box. If the problem continues, proceed to the next solution.
Solution 12 | Open the User Preferences window and check the Update Image in Background Thread and Update Graphics in Background Thread boxes. Note: Regions and graphics displayed on the Main Image may flicker periodically.


Instruments

TSP Syntax Error

Symptoms

When attempting to communicate with the Keithley graphical SMU models 2450, 2460, 2461, or 2470 using SCPI protocol, “TSP Syntax error..." is displayed on the instrument.

Solution # | Troubleshooting Instructions
Solution 1 | Change the instrument Command Set to SCPI. On the instrument, push the Menu button and then on the touch screen select System >> Settings >> Command Set >> SCPI. Reboot the instrument when prompted.

SCPI Syntax Error

Symptoms

When attempting to communicate with the Keithley graphical SMU models 2450, 2460, 2461, or 2470 using TSP protocol, “SCPI Syntax error..." is displayed on the instrument.

Solution # | Troubleshooting Instructions
Solution 1 | Change the instrument Command Set to TSP. On the instrument, push the Menu button and then on the touch screen select System >> Settings >> Command Set >> TSP. Reboot the instrument when prompted.

Lost USB Communication

Symptoms

If communication is lost between the instrument and computer and cannot be reestablished, the cause may be due to USB buffer corruption.

Solution # | Troubleshooting Instructions
Solution 1 | Click the Initialize Instrument button to clear the computer USB buffers. If the problem continues, proceed to the next solution.
Solution 2 | Cycle instrument power to clear the instrument USB buffers.

Incorrect Readings

Symptoms

Incorrect readings of current and voltage are displayed in the Instrument window.

Details

Instrument voltage and current are read and displayed at specific times during a lock-in test that is determined by the test cycle frequency. Instrument settings including Voltage High and Low, High Capacitance Mode, Current Limit, NPL Cycles, and Auto Zero determine the instrument output response time.

Solution # | Troubleshooting Instructions
Solution 1 | After checking an Output checkbox to turn on the low or high voltage output when setting up a Lock-in test, the Take Reading button may need to be clicked several times to read and display the settled output voltage and current. If the problem continues, proceed to the next solution.
Solution 2 | During a lock-in test, increase the Reading Delay setting to delay measurements, allowing adequate time for the instrument output to settle and to conduct measurements.

Instrument Buffer Overflow

Symptoms

Voltage output is delayed or inconsistent during Lock-in tests.

Details

During a Lock-in test, commands are sent to the instrument through the USB interface. If the instrument is unable to process all commands before receiving additional commands, the additional commands will accumulate in the instrument buffer, resulting in corruption of output timing.

Solution # | Troubleshooting Instructions
Solution 1 | If testing at cycle frequencies above 1Hz, disable High Capacitance Mode to improve instrument output response. If the problem continues, proceed to the next solution.
Solution 2 | Cycle instrument power to clear the instrument buffer.

Windows USB Power Saving

Symptoms

Intermittent disruptions in communication occur.

Solution # | Troubleshooting Instructions
Solution 1 | Disable the Windows USB power saving feature: 1.Open Windows Device Manager. 2.Locate the instrument in the list and then right-click and select Properties. 3.On the General tab note the Hub #. 4.Expand Universal Serial Bus controllers. 5.Right-click each USB Hub and on the General tab, identify the hub on which the device is located. 6.When the correct hub is identified, select the Power Management tab and uncheck "Allow the computer to turn off this device to save power". 7.Clock OK to close Device Manager.


Errors

Unexpected Thermalyze Error

Symptoms

During operation, the “Unexpected Thermalyze Error” window opens and displays error information.

Solution # | Troubleshooting Instructions
Solution 1 | There is currently no solution for this problem. Please record the error message information and email to Optotherm Technical Support so that we can work on providing a solution to this problem. We greatly appreciate your aid in helping us to identify any software problems.